/************************************************************************
 *
 * AboutDialog.java -
 *
 * $Id: AboutDialog.java,v 1.1.1.1 2006-06-30 23:38:03 priimak Exp $
 *
 *-----------------------------------------------------------------------
 * Copyright (c) 2002, Board of Trustees, Leland Stanford Jr. University
 ************************************************************************/
import java.util.*;
import java.lang.*;
import java.net.*;
import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
import javax.swing.table.*;
import stanford.netdb.utils.*;
import java.rmi.*;
import java.rmi.registry.LocateRegistry;
import java.rmi.server.UnicastRemoteObject;

class AboutDialog extends JDialog {

    public AboutDialog() {
        super(MainWindow.win, true);
        setTitle("About");

        GridBagLayout gb_layout   = new GridBagLayout();
        GridBagConstraints gbc    = new GridBagConstraints();
        gbc.weightx = 1.0;
        gbc.weighty = 1.0;
        gbc.gridx = 0;
        gbc.gridy = 0;
        JPanel main_panel = new JPanel(gb_layout);
        main_panel.addMouseListener(new MouseAdapter() {
                public void mousePressed(MouseEvent e) {
                    hide();
                }
            });
        main_panel.setBackground(Color.white);
        gbc.fill = GridBagConstraints.VERTICAL;
        JPanel topP = new JPanel();
        topP.setBackground(Color.white);
        gb_layout.setConstraints(topP, gbc);
        main_panel.add(topP);
        gbc.gridy++;
        gbc.fill = GridBagConstraints.NONE;
        gbc.weighty = 0.0;
        try {
            URL iconURL = ClassLoader.getSystemResource("netdb_gui.gif");
            if( iconURL != null ) {
                ImageIcon logo = new ImageIcon(iconURL);
                JLabel label = new JLabel(logo, JLabel.CENTER);
                gb_layout.setConstraints(label, gbc);
                main_panel.add(label);
                gbc.gridy++;
            }
            JLabel label = new JLabel("$Name: v4_4_0_R1 $", JLabel.CENTER);
            gb_layout.setConstraints(label, gbc);
            main_panel.add(label);
            gbc.gridy++;
        } catch (Exception ex) {
            JLabel label = new JLabel("$Name: v4_4_0_R1 $", JLabel.CENTER);
            gb_layout.setConstraints(label, gbc);
            main_panel.add(label);
            gbc.gridy++;
            Utils.warn("Failed to load netdb_gui.gif "+ex.toString());
        };
        gbc.weighty = 1.0;
        gbc.fill = GridBagConstraints.VERTICAL;
        JPanel bottomP = new JPanel();
        bottomP.setBackground(Color.white);
        gb_layout.setConstraints(bottomP, gbc);
        main_panel.add(bottomP);

        getContentPane().add(main_panel);

        this.setDefaultCloseOperation(JFrame.HIDE_ON_CLOSE);
        this.pack();
    }

    public void show() {
        this.setSize(350, 350);
        Dimension scrnsize = Toolkit.getDefaultToolkit().getScreenSize();
        setLocation( (int)((scrnsize.getWidth()-getWidth())/2),
                     (int)((scrnsize.getHeight()-getHeight())/2) );

        super.show();
    }
}
