/************************************************************************
 *
 * MainWindow.java -
 *
 * $Id: MainWindow.java,v 1.1.1.1 2006-06-30 23:38:03 priimak Exp $
 *
 *-----------------------------------------------------------------------
 * Copyright (c) 2002, Board of Trustees, Leland Stanford Jr. University
 ************************************************************************/
import java.awt.*;
import java.util.*;
import javax.swing.*;
import java.awt.event.*;
import stanford.netdb.utils.*;

public class MainWindow {

    public static final boolean enable_node = true;
    public static final boolean enable_sys_management = true;
    public static final Color tool_bar_color = new Color(12312063);

    public static boolean mac = System.getProperty("mrj.version")!=null?true:false;

    public static XFrame win = null;

    public static NetDBi netdb = null;

    public static JDialog aboutDialog;

    public static String defaultDomain;

    public static String userDefDomain = "";

    public static ImageIcon rightArrowIcon;

    public static ImageIcon downArrowIcon;

    public static Hashtable user;

    public static Hashtable acl = null;

    public static Hashtable queue = new Hashtable();

    private static String    dataLock = "";

    private static Hashtable allGroupsH;
    private static Hashtable allDepartmentsH;
    private static Hashtable allLocationsH;
    private static Hashtable allModelsH;
    private static Hashtable allOsesH;
    private static Hashtable myAddrSpacesH;
    private static Hashtable allDhcpServicesH;

    public static Hashtable getGroups() {
        Hashtable data = null;
        synchronized (dataLock) {
            try {
                data = Utils.copyHash(allGroupsH);
            } catch (Exception ex) {
                Utils.error(ex.getMessage());
            }
        }
        return data;
    }

    public static Hashtable getDepartments() {
        Hashtable data = null;
        synchronized (dataLock) {
            try {
                data = Utils.copyHash(allDepartmentsH);
            } catch (Exception ex) {
                Utils.error(ex.getMessage());
            }
        }
        return data;
    }

    public static Hashtable getLocations() {
        Hashtable data = null;
        synchronized (dataLock) {
            try {
                data = Utils.copyHash(allLocationsH);
            } catch (Exception ex) {
                Utils.error(ex.getMessage());
            }
        }
        return data;
    }

    public static Hashtable getModels() {
        Hashtable data = null;
        synchronized (dataLock) {
            try {
                data = Utils.copyHash(allModelsH);
            } catch (Exception ex) {
                Utils.error(ex.getMessage());
            }
        }
        return data;
    }

    public static Hashtable getOSes() {
        Hashtable data = null;
        synchronized (dataLock) {
            try {
                data = Utils.copyHash(allOsesH);
            } catch (Exception ex) {
                Utils.error(ex.getMessage());
            }
        }
        return data;
    }

    public static Hashtable getMyAddrSpaces() {
        Hashtable data = null;
        synchronized (dataLock) {
            try {
                data = Utils.copyHash(myAddrSpacesH);
            } catch (Exception ex) {
                Utils.error(ex.getMessage());
            }
        }
        return data;
    }

    public static Hashtable getDHCPServices() {
        Hashtable data = null;
        synchronized (dataLock) {
            try {
                data = Utils.copyHash(allDhcpServicesH);
            } catch (Exception ex) {
                Utils.error(ex.getMessage());
            }
        }
        return data;
    }

    public static void loadData() {
        try {
            synchronized (dataLock) {
                allGroupsH       = netdb.simpleSearch(Constants.GROUP, "*");
                allDepartmentsH  = netdb.getInfo(Constants.DEPARTMENT, "");
                allLocationsH    = netdb.getInfo(Constants.LOCATION, "");
                allModelsH       = netdb.getInfo(Constants.MODEL, "");
                allOsesH         = netdb.getInfo(Constants.OS, "");
                myAddrSpacesH    = netdb.listMyAddrSpaces();
                allDhcpServicesH = netdb.listDHCPServices();
            }
        } catch (Exception ex) {
            JOptionPane.
                showMessageDialog(win, "<html><body>Failed to preload data.<br>"+
                                  Utils.htmlize(ex.toString())+"</body></html>",
                                  "Error", JOptionPane.ERROR_MESSAGE);
            exit(1);
        }
    }

    public static void loadOSes() throws Exception {
        synchronized (dataLock) {
            allOsesH         = netdb.getInfo(Constants.OS, "");
        }
    }

    public static void exit(int code) {
        try {
            netdb.logout();
        } catch (Exception ex) {
        } finally {
            System.exit(code);
        }
    }
}
