/************************************************************************
 *
 * SecProvider.java - custom sec. provider. it is here to avoid using
 *                    config file.
 *
 * $Id: SecProvider.java,v 1.2 2006-08-07 19:34:31 priimak Exp $
 *
 *-----------------------------------------------------------------------
 * Copyright (c) 2002, Board of Trustees, Leland Stanford Jr. University
 ************************************************************************/
import java.lang.*;
import java.util.*;
import javax.security.auth.login.*;

public class SecProvider extends Configuration {

    public SecProvider() {
    }

    public AppConfigurationEntry[] getAppConfigurationEntry(String applicationName) {
        if( applicationName == null || !applicationName.equals("NetDBClient") )
            return null;

        AppConfigurationEntry[] entry = new AppConfigurationEntry[1];
        Hashtable map = new Hashtable();
        if( System.getProperty("keytab")    != null &&
            System.getProperty("principal") != null ) {
            map.put("useKeyTab", "true");
            map.put("storeKey",  "false");
            map.put("keyTab",    System.getProperty("keytab"));
            map.put("principal", System.getProperty("principal"));
        }

        map.put("useTicketCache", "true");
        String krb5ccname = System.getProperty("KRB5CCNAME", "");
        if( krb5ccname.length() > 0 )
            map.put("ticketCache", krb5ccname);

        entry[0] =
            new AppConfigurationEntry("com.sun.security.auth.module.Krb5LoginModule",
                          AppConfigurationEntry.LoginModuleControlFlag.REQUIRED, map);
        return entry;
    }

    public void refresh() {}
}
