
create or replace package tools as

    procedure set_id_sequence(tablename in varchar2);

end tools;
/

create or replace package body tools as

    -- set_id_sequence - set sequence for table.id to proper value
    --                   note:  assumes freshly created sequences, incremented by 1
    procedure set_id_sequence(tablename in varchar2) as
        debugging boolean := false;
        cur int;
        new int;
    begin
        -- if there are no rows in the table, we're cool
        EXECUTE IMMEDIATE 'select count(id) from ' || tablename into cur;
        if cur = 0 then return ; end if;
        -- otherwise, set the next sequence value to max(id)+1
        EXECUTE IMMEDIATE 'select ' || tablename || '_id_seq.nextval from dual'  into cur;
        EXECUTE IMMEDIATE 'select max(id)-' || cur || ' from ' || tablename      into new;
        if debugging then dbms_output.put_line('   cur: '||cur||'    new: '||new); end if;
        if new = 0 then return ; end if;
        EXECUTE IMMEDIATE 'alter sequence ' || tablename ||'_id_seq increment by ' || new;
        <<nextval>>
        EXECUTE IMMEDIATE 'select ' || tablename ||'_id_seq.nextval from dual'   into cur;
        EXECUTE IMMEDIATE 'alter sequence ' || tablename ||'_id_seq increment by 1';
    end set_id_sequence;

end tools;
/

