-- NetDB_ResName.sql --- functions dealing with reserved names.

create or replace package body NetDB_ResName as

    -- See if a name is a reserved/restricted for a user.
    function is_reserved ( p_op_uid    in int,
                           p_name      in varchar,
                           p_domain_id in int := null ) return boolean
    as
        is_reserved boolean := false;
    begin
        for r in ( select id from ResName
                    where regexp_like (p_name, name) and (domain is null or p_domain_id = domain) )
        loop
            is_reserved := true;

            if (NetDB_Owner.check_access (p_op_uid, r.id, 'resname', false)) then
                return false;
            end if;
        end loop;

        return is_reserved;
    end is_reserved;

end NetDB_ResName;
/
