-- IP.sql --- functions for manipulating IP addresses and prefixes

create or replace package IP as

    subtype address is varchar(39);  -- *normalized* IP address type
    subtype prefix  is varchar(43);  -- *normalized* IP subnet prefix type

    function family(ip varchar) return int deterministic;

    function normalize(ip varchar) return varchar deterministic;

    function host(ip varchar) return varchar deterministic;
    function text(ip varchar) return varchar deterministic;

    function network(ip varchar) return varchar deterministic;
    function broadcast(ip varchar) return varchar deterministic;
    function netmask(ip varchar) return varchar deterministic;

    function masklen(ip varchar) return int deterministic;

    function plus(ip varchar, addend int) return varchar deterministic;
    function difference(minuend varchar, subtrahend varchar) return int deterministic;

end IP;
/

grant execute on IP to public;
