-- NetDB_Access.sql --- Access package spec

create or replace package NetDB_Access as

    function check_access ( p_user_id               in int,
                            p_access_type           in varchar,
                            p_record_id             in int     := null,
                            p_check_all_record_flag in boolean := true ) return boolean;

    procedure has_access_or_die ( p_user_id               in int,
                                  p_record_type           in varchar,
                                  p_record_id             in int     := null,
                                  p_check_all_record_flag in boolean := true );

    function list return NetDB.ref_cursor;

    function verify_or_die ( p_access_id in int     := null,
                             p_label     in varchar := null ) return int;

    function handle (p_access_id in int) return varchar;

end NetDB_access;
/

grant execute on NetDB_Access to netdb_execute;
