-- NetDB_AdminTeam.sql --- contains functions related to  AdminTeam

create or replace package NetDB_AdminTeam
as
    procedure member ( p_action    in varchar,
                       p_op_uid    in int,
                       p_lock      in timestamp,
                       p_ateam_id  in int,
                       p_person_id in int );

    procedure org ( p_action   in varchar,
                    p_op_uid   in int,
                    p_lock     in timestamp,
                    p_ateam_id in int,
                    p_org_id   in int );

    procedure locked_or_die ( p_op_uid   in int,
                              p_lock     in timestamp,
                              p_ateam_id in int );

    function lock_record ( p_op_uid   in int,
                           p_ateam_id in int ) return NetDB.ref_cursor;

    procedure unlock_record ( p_op_uid   in int,
                              p_lock     in timestamp,
                              p_ateam_id in int );

    function info (p_ateam_id in int) return NetDB.ref_cursor;
    function info_pipelined (p_ateam_id in int) return result_set pipelined;

    procedure del ( p_op_uid   in int,
                    p_lock     in timestamp,
                    p_ateam_id in int );

    function ins ( p_op_uid   in int,
                   p_name     in varchar,
                   p_email    in varchar,
                   p_phone    in varchar,
                   p_comments in varchar := null ) return NetDB.ref_cursor;

    procedure upd ( p_op_uid   in int,
                    p_lock     in timestamp,
                    p_ateam_id in int,
                    p_name_new in varchar,
                    p_email    in varchar,
                    p_phone    in varchar,
                    p_comments in varchar := null );

    function handle (p_ateam_id in int) return varchar;

    procedure verify_and_log ( p_op_uid   in int,
                               p_ateam_id in int );

    function verify_or_die ( p_ateam_id in int     := null,
                             p_name     in varchar := null ) return int;

end NetDB_AdminTeam;
/

grant execute on NetDB_AdminTeam to netdb_execute;
