-- NetDB_Interface.sql --- contains functions related to interfaces

create or replace package NetDB_Interface as

    function get_parent_id (p_intfc_id in int) return int;

    procedure locked_or_die ( p_op_uid   in int,
                              p_lock     in timestamp,
                              p_intfc_id in int );

    function info (p_intfc_id in int) return NetDB.ref_cursor;
    function info_pipelined (p_intfc_id in int) return result_set pipelined;

    procedure del ( p_op_uid   in int,
                    p_lock     in timestamp,
                    p_intfc_id in int );

    function ins ( p_op_uid     in int,
                   p_lock       in timestamp,
                   p_type       in varchar,
                   p_node_id    in int,
                   p_roam       in int     := 0,
                   p_dhcp       in int     := 1,
                   p_HW_address in varchar,
                   p_comment    in varchar := null) return NetDB.ref_cursor;

    procedure upd ( p_op_uid     in int,
                    p_lock       in timestamp,
                    p_intfc_id   in int,
                    p_type       in varchar,
                    p_roam       in int     := 0,
                    p_dhcp       in int     := 1,
                    p_HW_address in varchar,
                    p_comment    in varchar := null);

    function verify_or_die ( p_intfc_id   in int     := null,
                             p_HW_address in varchar := null ) return int;

    function pretty_handle (hw_address in varchar) return varchar;
    function handle (p_intfc_id in int) return varchar;

end NetDB_Interface;
/

grant execute on NetDB_Interface to netdb_execute;
