-- NetDB_Location.sql --- contains functions related to Location table

create or replace package NetDB_Location as

    function list (p_filter in varchar) return NetDB.ref_cursor;

    procedure del ( p_op_uid      in int,
                    p_location_id in int );

    function ins ( p_op_uid   in int,
                   p_location in varchar,
                   p_site     in varchar,
                   p_code     in varchar ) return NetDB.ref_cursor;

    procedure upd ( p_op_uid       in int,
                    p_location_id  in int,
                    p_location_new in varchar,
                    p_site         in varchar,
                    p_code         in varchar );

    function verify_or_die ( p_location_id in int     := null,
                             p_location    in varchar := null ) return int;

    function handle (p_location_id in int) return varchar;

end NetDB_Location;
/

grant execute on NetDB_Location to netdb_execute;
