-- NetDB_Model.sql --- contains functions related to Model table

create or replace package NetDB_Model as

    procedure supplant ( p_op_uid        in int,
                         p_model_id_old  in int,
                         p_make_new      in varchar,
                         p_modelname_new in varchar );

    function list (p_filter in varchar := null) return NetDB.ref_cursor;

    procedure del ( p_op_uid   in int,
                    p_model_id in int );

    function ins ( p_op_uid    in int,
                   p_make      in varchar,
                   p_modelname in varchar,
                   p_modeltype in varchar := null ) return NetDB.ref_cursor;

    procedure upd ( p_op_uid        in int,
                    p_model_id      in int,
                    p_make_new      in varchar,
                    p_modelname_new in varchar,
                    p_modeltype_new in varchar := null );

    function verify_or_die ( p_model_id in int     := null,
                             p_make     in varchar := null,
                             p_model    in varchar := null ) return int;

end NetDB_Model;
/

grant execute on NetDB_Model to netdb_execute;
