-- NetDB_Network.pkg --- Network package spec.

create or replace package NetDB_Network
as

    procedure location ( p_action      in varchar,
                         p_op_uid      in int,
                         p_lock        in timestamp,
                         p_network_id  in int,
                         p_location_id in int );

    procedure locked_or_die ( p_op_uid     in int,
                              p_lock       in timestamp,
                              p_network_id in int );

    function lock_record ( p_op_uid in int,
                           p_net_id in int ) return NetDB.ref_cursor;

    procedure unlock_record ( p_op_uid in int,
                              p_lock   in timestamp,
                              p_net_id in int );

    function list (p_user_id in int) return NetDB.ref_cursor;

    function info (p_net_id in int) return NetDB.ref_cursor;
    function info_pipelined (p_net_id in int) return result_set pipelined;

    procedure del ( p_op_uid in int,
                    p_lock   in timestamp,
                    p_net_id in int );

    function ins ( p_op_uid     in int,
                   p_service_id in int     := null,
                   p_comment    in varchar := null ) return NetDB.ref_cursor;

    procedure upd ( p_op_uid     in int,
                    p_lock       in timestamp,
                    p_net_id     in int,
                    p_service_id in int     := null,
                    p_comment    in varchar := null );

    procedure verify_and_log ( p_op_uid in int,
                               p_net_id in int );

    function verify_or_die ( p_network_id in int     := null,
                             p_network    in varchar := null) return int;

    function handle (p_network_id in int) return varchar;

end NetDB_Network;
/

grant execute on NetDB_Network to netdb_execute;
