-- NetDB_Organization.sql --- contains functions related to Organization table

create or replace package NetDB_Organization as

    procedure consultant ( p_action    in varchar,
                           p_op_uid    in int,
                           p_person_id in int,
                           p_org_id    in int     := null,
                           p_org_name  in varchar := null,
                           p_primary   in int     := 0 );

    function supplant ( p_op_uid in int,
                        p_id_old in int,
                        p_id_new in int) return NetDB.ref_cursor;

    function list (p_filter in varchar := null) return NetDB.ref_cursor;

    function info (p_org_id in int) return NetDB.ref_cursor;
    function info_pipelined (p_org_id in int) return result_set pipelined;

    procedure del ( p_op_uid in int,
                    p_org_id in int );

    function ins ( p_op_uid in int,
                   p_name   in varchar,
                   p_reg_id in varchar ) return NetDB.ref_cursor;

    function upd ( p_op_uid   in int,
                   p_org_id   in int,
                   p_name_new in varchar,
                   p_reg_id   in varchar ) return NetDB.ref_cursor;

    function verify_or_die ( p_org_id in int     := null,
                             p_name   in varchar := null ) return int;

    function handle (p_org_id in int) return varchar;

end NetDB_Organization;
/

grant execute on NetDB_Organization to netdb_execute;
