-- NetDB_Person.sql --- contains functions which deal with person

create or replace package NetDB_Person as

    function name (p_person_id in int) return varchar;

    function info (p_person_id int) return NetDB.ref_cursor;

    procedure del (p_person_id in int);

    function ins ( p_person_id    in int,
                   p_person_regid in varchar,
                   p_name         in varchar,
                   p_netid        in varchar := null,
                   p_email        in varchar := null,
                   p_phone        in varchar := null,
                   p_active       in int,
                   p_lastname     in varchar := null,
                   p_directoryid  in varchar := null ) return NetDB.ref_cursor;

    function upd ( p_person_id    in int,
                   p_person_regid in varchar,
                   p_name         in varchar,
                   p_netid        in varchar := null,
                   p_email        in varchar := null,
                   p_phone        in varchar := null,
                   p_active       in int,
                   p_lastname     in varchar := null,
                   p_directoryid  in varchar := null ) return NetDB.ref_cursor;

    function verify_or_die ( p_person_id in int     := null,
                             p_handle    in varchar := null ) return int;

end NetDB_Person;
/

grant execute on NetDB_Person to netdb_execute;
