-- NetDB_SS.sql --- contains functions related to a simple search

EXEC Util.drop_type_if_exists('ss_result');

create or replace type ss_row
    as object ( type         varchar(7),
                key          varchar(1024),
                hash_level   int,
                value_type   varchar(256),
                value_string varchar(256) );
/

create or replace type ss_result as table of ss_row;
/

create or replace package NetDB_SS as

    function get_ateams( p_filter in varchar := null ) return NetDB.ref_cursor;
    function get_domains( p_filter in varchar := null ) return NetDB.ref_cursor;
    function get_groups( p_filter in varchar := null ) return NetDB.ref_cursor;

    function get_networks( p_search_param1 in varchar := null,
                           p_search_param2 in varchar := null,
                           p_search_type   in varchar,
                           p_op_uid        in int     := null ) return NetDB.ref_cursor;

    function get_networks_by_ip( p_ip1    in IP.address := null,
                                 p_ip2    in IP.address := null,
                                 p_op_uid in int        := null ) return ss_result pipelined;

    function get_networks_by_name( p_filter in varchar := null,
                                   p_op_uid in int     := null ) return ss_result pipelined;

    function get_nodes( p_search_param1 in varchar := null,
                        p_search_param2 in varchar := null,
                        p_search_type   in varchar,
                        p_op_uid        in int     := null ) return NetDB.ref_cursor;

    function get_nodes_by_hw( p_hw     in varchar,
                              p_op_uid in int := null ) return ss_result pipelined;

    function get_nodes_by_ip( p_ip1    in IP.address := null,
                              p_ip2    in IP.address := null,
                              p_op_uid in int        := null ) return ss_result pipelined;

    function get_nodes_by_name( p_filter in varchar := null,
                                p_op_uid in int     := null ) return ss_result pipelined;

    function get_users( p_filter in varchar := null ) return NetDB.ref_cursor;

    function get_users_by_name( p_filter in varchar := null ) return ss_result pipelined;

end NetDB_SS;
/

grant execute on NetDB_SS to netdb_view;
