-- NetDB_State.sql --- State package spec.

create or replace package NetDB_State as

    function check_access ( p_user_id in int,
                            p_state   in varchar ) return boolean;

    procedure has_access_or_die ( p_user_id in int,
                                  p_state   in varchar );

    function list ( p_filter  in varchar := null,
                    p_user_id in int     := null ) return NetDB.ref_cursor;

    procedure del ( p_op_uid in int,
                    p_state  in varchar );

    procedure ins ( p_op_uid       in int,
                    p_state        in varchar,
                    p_rank         in int,
                    p_denyDHCP     in int     := 0,
                    p_denyDNS      in int     := 0,
                    p_description  in varchar := null,
                    p_access_group in varchar := null );

    procedure upd ( p_op_uid       in int,
                    p_state        in varchar,
                    p_state_new    in varchar,
                    p_rank         in int,
                    p_denyDHCP     in int     := 0,
                    p_denyDNS      in int     := 0,
                    p_description  in varchar := null,
                    p_access_group in varchar := null );

    function verify_or_die (p_state in varchar) return varchar;

end NetDB_State;
/

grant execute on NetDB_State to netdb_execute;
