-- Simple.sql --- Simple, simplified, and SQL-ized (not using PL/SQL types) functions
--                For use by reporting tools, etc; not for use by the middleware!

EXEC Util.drop_type_if_exists ('simple_table_of_varchar');

create type simple_table_of_varchar as table of varchar(512);
/

create or replace package Simple as

    function check_ownership_access (  p_user_id              in int,
                                       p_record_id            in int,
                                       p_record_type          in varchar,
                                       p_check_all_group_flag in int := 1,
                                       p_check_active_state   in int := 1 ) return int;

    function check_ownership_access (  p_netid                in varchar,
                                       p_record_id            in int,
                                       p_record_type          in varchar,
                                       p_check_all_group_flag in int := 1,
                                       p_check_active_state   in int := 1 ) return int;

    function check_recordtype_access ( p_user_id               in int,
                                       p_access_type           in varchar,
                                       p_record_id             in int := null,
                                       p_check_all_record_flag in int := 1 ) return int;

    function check_recordtype_access ( p_netid                 in varchar,
                                       p_access_type           in varchar,
                                       p_record_id             in int := null,
                                       p_check_all_record_flag in int := 1 ) return int;

    function IPaddressSpace_list ( p_user_id in int     ) return simple_table_of_varchar;
    function IPaddressSpace_list ( p_netid   in varchar ) return simple_table_of_varchar;

end Simple;
/

grant execute on Simple to netdb_select;

