-- bind-addr.sql --- sql to generate DNS addr records from NetDB

-- node name(s) on every active interface address on the node

select Name.name, 'A', IPaddress_txt
  from Name, IPaddress, Interface
 where Name.node = Interface.node
   and Name.domain = (select id from Domain where lower(domain) = '$domain')
   and Interface.id = IPaddress.interface
   and IPaddress.active = 1;

-- interface name on every active address on the interface

select Name.name, 'A', IPaddress_txt
  from Name, IPaddress
 where Name.interface = IPaddress.interface
   and Name.domain = (select id from Domain where lower(domain) = '$domain')
   and IPaddress.active = 1;

-- address name on every active address

select Name.name, 'A', IPaddress_txt
  from Name, IPaddress
 where Name.IPaddress = IPaddress.id
   and Name.domain = (select id from Domain where lower(domain) = '$domain')
   and IPaddress.active = 1;

-- the domain name can also be used as an "A" record

-- node name(s) on every active interface address on the node

select Name.fullname || '.', 'A', IPaddress_txt
  from Name, IPaddress, Interface
 where lower(fullname) = '$domain'
   and Name.node = Interface.node
   and Interface.id = IPaddress.interface
   and IPaddress.active = 1
   and '$dodomain' = 'yes' and instr('$domain','.') != 0;

-- interface name on every active address on the interface

select Name.fullname || '.', 'A', IPaddress_txt
  from Name, IPaddress
 where lower(fullname) = '$domain'
   and Name.interface = IPaddress.interface
   and IPaddress.active = 1
   and '$dodomain' = 'yes' and instr('$domain','.') != 0;

-- address name on every active address

select Name.fullname || '.', 'A', IPaddress_txt
  from Name, IPaddress
 where lower(fullname) = '$domain'
   and Name.IPaddress = IPaddress.id
   and IPaddress.active = 1
   and '$dodomain' = 'yes' and instr('$domain','.') != 0;

