-- bind-inaddr.sql --- sql to generate DNS ptr records from NetDB

-- every active address gets address name

select IPaddress.IPaddress_txt, IPaddress.PTRpref, Name.name, Domain.domain
  from IPaddress, Name, Domain
 where IPaddress.IPaddress
  like substr( IP.normalize('$net'), 1, instr(IP.normalize('$net'), '.', 1, DNS.labels('$net'))) || '%'
   and IPaddress.active = 1
   and IPaddress.id = Name.IPaddress
   and Name.domain = Domain.id;

-- every active address on the interface gets interface name

select IPaddress.IPaddress_txt, IPaddress.PTRpref, Name.name, Domain.domain
  from IPaddress, Name, Domain
 where IPaddress.IPaddress
  like substr( IP.normalize('$net'), 1, instr(IP.normalize('$net'), '.', 1, DNS.labels('$net'))) || '%'
   and IPaddress.active = 1
   and IPaddress.interface = Name.interface
   and Name.domain = Domain.id;

-- every active interface address gets node name(s)

select IPaddress.IPaddress_txt, IPaddress.PTRpref, Name.name, Domain.domain
  from IPaddress, Interface, Name, Domain
 where IPaddress.IPaddress
  like substr( IP.normalize('$net'), 1, instr(IP.normalize('$net'), '.', 1, DNS.labels('$net'))) || '%'
   and IPaddress.active = 1
   and IPaddress.interface = Interface.id
   and Interface.node = Name.node
   and Name.domain = Domain.id;

-- static ip client (not supported yet, see Rob's notes)

