-- AccessGroup.sql --- record access security group

create table AccessGroup
(
    id              int            PRIMARY KEY,        -- synthetic key
    label           varchar(32)    NOT NULL,           -- internal name
    description     varchar(64),                       -- long description, for help and the like
    default_access  numeric(1)     default 0 NOT NULL, -- if true, everyone gets this access
    display_label   varchar(32)                        -- external name
);

create sequence accessgroup_id_seq nocache;

create unique index accessgroup_lower_label_idx on AccessGroup (lower(label));

grant select on AccessGroup to netdb_select;

