-- Domain.sql --- DNS domain names

create table Domain
(
    id           int            PRIMARY KEY references Name on delete cascade,
    domain       varchar(256)   NOT NULL,   -- system maintained fully
                                            --  qualified domain name
    created_by   int            NOT NULL references Person,
    modified_by  int            NOT NULL references Person,
    created      timestamp(3)   NOT NULL,
    modified     timestamp(3)   NOT NULL,
    limited      numeric(1)     default 1 NOT NULL,
    delegated    numeric(1)     default 0 NOT NULL,
    locked_by    int,
    locked       timestamp(3),
    comments     varchar(256)
);

create unique index domain_lower_domain_idx on Domain (lower(domain));

grant select on Domain to netdb_select;

