-- Log.sql --- log of record creation, modification, and deletion

create table Log
(
    id                 int           PRIMARY KEY,
    person             int           NOT NULL references Person,
    action             varchar(16)   NOT NULL,
    recordtype         varchar(32)   NOT NULL,
    recordtype_display varchar(32)   NOT NULL,
    record_id          int           NOT NULL,
    logdate            timestamp(3)  NOT NULL,
    state              varchar(32)       NULL
);

create sequence log_id_seq;

create index log_person_idx    on Log (person);
create index log_record_id_idx on Log (record_id);
create index log_logdate_idx   on Log (logdate);

grant select on Log to netdb_select;

