-- Model.sql --- node models (PowerBook, OtterPlex, Insipid, etc.)

create table Model
(
    id           int           PRIMARY KEY,
    make         varchar(32)   NOT NULL references Make,
    modelname    varchar(32)   NOT NULL,
    modeltype    varchar(32)            references ModelType,
    modified_by  int           NOT NULL references Person,
    modified     timestamp(3)  NOT NULL
);

create sequence model_id_seq nocache;

create unique index model_make_modelname_idx on Model (lower(make), lower(modelname));

create index model_make_idx            on Model (make);
create index model_lower_mfgr_idx      on Model (lower(make));

create index model_modelname_idx       on Model (modelname);
create index model_lower_modelname_idx on Model (lower(modelname));

create index model_modeltype_idx       on Model (modeltype);
create index model_lower_modeltype_idx on Model (lower(modeltype));

grant select on Model to netdb_select;
