-- Node.sql --- IP network devices (computers, routers, access points, etc.)

create table Node
(
    id              int           PRIMARY KEY,
    organization    int           NOT NULL references Organization,
    location        int           NOT NULL references Location,
    room            varchar(32)   NOT NULL,
    state           varchar(32)   NOT NULL references State,
    model           int           NOT NULL references Model,
    created_by      int           NOT NULL references Person,
    modified_by     int           NOT NULL references Person,
    created         timestamp(3)  NOT NULL,
    modified        timestamp(3)  NOT NULL,
    comments        varchar(256),
    expiration      timestamp(3),
    DHCPservice     int               NULL references DHCPservice,
    IPaddressSpace  int               NULL references IPaddressSpace on delete SET NULL,
    locked_by       int,
    locked          timestamp(3)
);

create sequence node_id_seq;

create index node_location_idx     on Node (location);
create index node_what_is_this_idx on Node (model, id, organization, location);
create index node_organization_idx on Node (organization);

grant select on Node to netdb_select;

