-- Node_Admin.sql --- node administrators - people and administration teams

create table Node_Admin
(
    id        int PRIMARY KEY,
    node      int NOT NULL references Node on delete cascade,
    adminteam int     NULL references AdminTeam,
    person    int     NULL references Person,
    CHECK ((adminteam is not null and person is null) or
           (person is not null and adminteam is null)),
    UNIQUE (node, adminteam, person)
);

create sequence node_admin_id_seq;

create index node_admin_node_idx on Node_Admin (node);
create index node_admin_team_idx on Node_Admin (adminteam);
create index node_admin_pers_idx on Node_Admin (person);

grant select on Node_Admin to netdb_select;

