-- AdminTeam_Owner_a_ud_s.sql --- AdminTeam_Owner table after update or delete trigger

create or replace trigger AdminTeam_Owner_a_ud_s
  after update or delete on AdminTeam_Owner
declare
    N int := 0;
begin

    -- count admin teams without owners
    select count(*) into N
      from AdminTeam_Owner right outer join AdminTeam on AdminTeam.id = AdminTeam_Owner.adminteam
     where AdminTeam_Owner.owner is null;

    -- if there are any, raise a ruckus
    if N > 0 then
        raise_application_error(NetDB.ex_record_requires_group, 'Admin Teams must be in at least one group.');
    end if;

end;
/

