-- AdminTeam_b_i_r.sql --- AdminTeam table before insert or update trigger

create or replace trigger AdminTeam_b_iu_r
  before insert
      or update of name, email, phone, modified_by, modified, comments on AdminTeam
  for each row
begin
    -- validate email column
    if (not regexp_like(:NEW.email,'^[-a-z0-9+._]+@[-a-z0-9.]+$','i')) then
        raise_application_error(NetDB.ex_invalid_email_address,
          '"' || :NEW.email || '" is not a valid email address.');
    end if;
end;
/

