-- Domain_Owner_a_ud_s.sql --- Domain_Owner table after update or delete trigger

create or replace trigger Domain_Owner_a_ud_s
  after update or delete on Domain_Owner
declare
    N int := 0;
begin

    -- count domains without owners
    select count(*) into N
      from Domain_Owner right outer join Domain on Domain.id = Domain_Owner.domain
     where Domain_Owner.owner is null;

    -- if there are any, raise a ruckus
    if N > 0 then
        raise_application_error(NetDB.ex_record_requires_group, 'Domains must be in at least one group.');
    end if;

end;
/

