-- Domain_a_d_s.sql --- Domain table after delete trigger

create or replace trigger Domain_a_d_s
  after delete on Domain
declare
    counter int := 0;
begin
    select count (*) into counter
      from ( select id from Name
              where label = 'Domain' and reserved is null and reserved_by is null
                 minus
             select id from Domain );

    if (counter > 0) then
        raise_application_error (NetDB.ex_idiot_programmer,
            'Domains must be deleted from the Name table to prevent orphaned names.');
    end if;
end;
/
