-- Domain_b_iu_r.sql --- Domain table before insert or update trigger

create or replace trigger Domain_b_iu_r
  before insert or update on Domain
  for each row
begin

    -- make sure the user is not setting domain column
    if INSERTING then
        NetDB_Util.sysmaint_check('domain',:NEW.domain);
    end if;

    -- always build the domain name from name table data
    :NEW.domain := NetDB_Name.generate_fullname(:NEW.id);

    -- delegated domains cannot have CNAMES
    if :NEW.delegated != 0 then
        select count (*) into NetDB.existence_counter from Name
         where lower (:NEW.domain) = fullname_lc and DNSlabel = 'CNAME';

        if (NetDB.existence_counter > 0) then
            raise_application_error (NetDB.ex_name_collision,
                'The domain "' || :NEW.domain ||
                '" cannot be delegated because there is an alias with that name.');
        end if;
    end if;

end;
/

