-- IPaddressSpace_a_iu_s.sql --- IPaddressSpace table after insert or update trigger

create or replace trigger IPaddressSpace_a_iu_s
  after insert or update on IPaddressSpace
declare
    A_prefix IPaddressSpace.prefix_txt%TYPE;
    B_prefix IPaddressSpace.prefix_txt%TYPE;
begin

    -- make sure address spaces don't overlap
    select A.prefix_txt, B.prefix_txt into A_prefix, B_prefix
      from IPaddressSpace A
      join IPaddressSpace B on A.address between B.address and B.broadcast
     where A.id != B.id and rownum = 1;

    raise_application_error(NetDB.ex_overlapping_address_spaces,
      'The requested action results in the address spaces "' ||
       A_prefix || '" and "' || B_prefix || '" overlapping.');

exception
    when NO_DATA_FOUND then
        null;
end;
/
