-- IPaddressSpace_b_u_r.sql --- IPaddressSpace table before update trigger

create or replace trigger IPaddressSpace_b_u_r
  before update
    of id, prefix_txt, address, address_txt, broadcast, broadcast_txt
    on IPaddressSpace
  for each row
begin

    -- user must not change the value of the id column
    if (UPDATING('id') and :NEW.id != :OLD.id) then
        raise_application_error(NetDB.ex_system_supplies_id, 'ID values are supplied by the system and cannot be changed.');

    -- user must not update derivative columns
    elsif (UPDATING('prefix_txt'   )) then NetDB_Util.sysmaint_check('prefix_txt',    'prefix_txt'   );
    elsif (UPDATING('address'      )) then NetDB_Util.sysmaint_check('address',       'address'      );
    elsif (UPDATING('address_txt'  )) then NetDB_Util.sysmaint_check('address_txt',   'address_txt'  );
    elsif (UPDATING('broadcast'    )) then NetDB_Util.sysmaint_check('broadcast',     'broadcast'    );
    elsif (UPDATING('broadcast_txt')) then NetDB_Util.sysmaint_check('broadcast_txt', 'broadcast_txt');

    end if;

end;
/

