-- Interface_b_u_r.sql --- Interface table before update trigger

create or replace trigger Interface_b_u_r
  before update of id, node on Interface
  for each row
begin
    -- user must not change the value of the id column
    if (:NEW.id != :OLD.id) then
        raise_application_error(NetDB.ex_system_supplies_id, 'ID values are supplied by the system and cannot be changed.');
    end if;

    -- Interfaces cannot be moved between nodes
    if (:NEW.node != :OLD.node) then
        raise_application_error(NetDB.ex_no_moving_interfaces, 'Interfaces cannot be moved between nodes.');
    end if;
end;
/

