-- LogIPaddress_b_iu_r.sql --- LogIPaddress table before insert or update trigger

create or replace trigger LogIPaddress_b_iu_r
  before insert or update on LogIPaddress
  for each row
begin

    -- make sure the user is not setting derived column IPaddress_txt
    if INSERTING then
        NetDB_Util.sysmaint_check('IPaddress_txt', :NEW.IPaddress_txt);
    elsif (UPDATING('IPaddress_txt')) then
        NetDB_Util.sysmaint_check('IPaddress_txt','IPaddress_txt');
    end if;

    -- normalize IPaddress and set IPaddress_txt
    :NEW.IPaddress     := IP.normalize(:NEW.IPaddress);
    :NEW.IPaddress_txt := IP.host(:NEW.IPaddress);

end;
/

