-- Log_b_u_r.sql --- Log table before update trigger

create or replace trigger Log_b_u_r
  before update of id, recordtype_display on Log
  for each row
begin
    -- user must not change the value of the id column
    if (:NEW.id != :OLD.id) then
        raise_application_error(NetDB.ex_system_supplies_id, 'ID values are supplied by the system and cannot be changed.');
    end if;

    -- user must not update derived columns
    if (UPDATING('recordtype_display')) then
        NetDB_Util.sysmaint_check('recordtype_display','recordtype_display');
    end if;
end;
/

