-- Name_a_iu_s.sql --- Name table after insert or update trigger

create or replace trigger Name_a_iu_s
  after insert or update
    of IPaddress, aliasee, interface, node
    on Name
begin

    -- set related_node
    --   this should work, but it gets the error:  table NETDB.NAME is mutating
    --     update Name set related_node=NetDB_Name.related_node(Name.id)
    --      where Name.id in (select name from dirty_related_node);
    --   so instead, do it this other way...

    -- set related_node in dirty_related_node table
    update dirty_related_node set related_node=NetDB_Name.related_node(name);

    -- copy related_node from dirty_related_node to Name
    for record in (select name, related_node from dirty_related_node) loop
        update name set related_node=record.related_node
         where name.id=record.name;
    end loop;

    -- clean up
    delete dirty_related_node;

end;
/

