-- Name_b_i_r.sql --- Name table before insert trigger

create or replace trigger Name_b_i_r
  before insert on Name
  for each row
begin
    if (:NEW.id is not null) then
        -- user must not set the id column
        raise_application_error(NetDB.ex_system_supplies_id, 'ID values are supplied by the system and cannot be changed.');
    else
        -- because we set it from the sequence
        select name_id_seq.nextval into :NEW.id from dual;
        -- add new name id to dirty_related_node so related_node will get set
        insert into dirty_related_node (name) values (:NEW.id);
    end if;
end;
/

