-- Name_b_iu_r.sql --- Name table before insert or update trigger

create or replace trigger Name_b_iu_r
  before insert or update on Name
  for each row
begin

    -- make sure the user is not setting derivatives
    if INSERTING then
        NetDB_Util.sysmaint_check( 'fullname',     :NEW.fullname     );
        NetDB_Util.sysmaint_check( 'fullname_lc',  :NEW.fullname_lc  );
        NetDB_Util.sysmaint_check( 'related_node', :NEW.related_node );
    end if;

    -- set fullname (NOTE: the root domain, ``.'' always has id=1)
    if :NEW.domain != 1 then
        select :NEW.name || '.' || domain into :NEW.fullname
          from Domain where Domain.id = :NEW.domain;
    else
        :NEW.fullname := :NEW.name;
    end if;

    -- set fullname_lc
    :NEW.fullname_lc := lower(:NEW.fullname);

end;
/

