-- Network_b_i_r.sql --- Network table before insert trigger

create or replace trigger Network_b_i_r
  before insert on Network
  for each row
begin
    if (:NEW.id is not null) then
        -- user must not set the id column
        raise_application_error(NetDB.ex_system_supplies_id, 'ID values are supplied by the system and cannot be changed.');
    else
        -- because we set it from the sequence
        select network_id_seq.nextval into :NEW.id from dual;
    end if;
end;
/

