-- Node_Admin_a_ud_s.sql --- Node_Admin table after update or delete trigger

create or replace trigger Node_Admin_a_ud_s
  after update or delete on Node_Admin
declare
    N int := 0;
begin

    -- count nodes without administrators
    select count(*) into N
      from Node_Admin right outer join Node on Node.id = Node_Admin.node
     where Node_Admin.node is null;

    -- if there are any, raise a ruckus
    if N > 0 then
        raise_application_error(NetDB.ex_node_must_have_admin, 'Nodes must have at least one administrator.');
    end if;

end;
/

