-- Node_Owner_a_ud_s.sql --- Node_Owner table after update or delete trigger

create or replace trigger Node_Owner_a_ud_s
  after update or delete on Node_Owner
declare
    N int := 0;
begin

    -- count nodes without owners
    select count(*) into N
      from Node_Owner right outer join Node on Node.id = Node_Owner.node
     where Node_Owner.owner is null;

    -- if there are any, raise a ruckus
    if N > 0 then
        raise_application_error(NetDB.ex_record_requires_group, 'Nodes must be in at least one group.');
    end if;

end;
/

