-- Users_b_u_r.sql --- Users table before update trigger

create or replace trigger Users_b_u_r
  before update of id, netid on Users
  for each row
begin

    -- user must not change the value of the id column
    if (UPDATING('id') and :NEW.id != :OLD.id) then
        raise_application_error(NetDB.ex_id_must_not_change, 'ID values cannot be changed.');

    -- user must not update netid column
    elsif (UPDATING('netid')) then
        NetDB_Util.sysmaint_check('netid','netid');
    end if;

end;
/

