-- FS_AddressSpaceIPaddressInfo.sql --- view for network full search

create or replace view FS_AddressSpaceIPaddressInfo as
    select IPaddressSpace.network    id,
           IPaddress.IPaddress_txt,
           null                      location,
           case
               when IPaddress.active = 1 then 'Yes'
               else 'No'
           end ip_active,
           Name.name                 ip_name,
           Domain.domain             ip_domain,
           IPaddressSpace.prefix_txt ip_as_prefix,
           null                      as_prefix,
           null                      as_dhcp_option,
           null                      net_dhcp_option,
           null                      comments,
           null                      as_comments,
           null                      lowres,
           null                      highres,
           null                      as_owner,
           null                      name_id,
           null                      net_name,
           null                      net_domain,
           null                      dhcp_service,
           null                      owner,
           null                      mod_by_netid,
           null                      mod_by_name,
           null                      modified,
           null                      created_by_netid,
           null                      created_by_name,
           null                      created,
           null                      site,
           null                      code
      from IPaddress
      join IPaddressSpace on IPaddressSpace.id = IPaddress.IPaddressSpace
      left join Name      on IPaddress.id      = Name.IPaddress
      left join Domain    on Name.domain       = Domain.id;

grant select on FS_AddressSpaceIPaddressInfo to netdb_view;
