-- FS_AdminTeam.sql --- view for full search for admin teams.

create or replace view FS_AdminTeam as
    select AdminTeam.id,              AdminTeam.name,          AdminTeam.comments,
           Organization.organization, Owner.label owner,       AdminTeam.email,
           AdminTeam.phone,           mm.netid member_netid,   mm.name member_name,
           mp.netid mod_by_netid,     mp.name mod_by_name,     AdminTeam.modified modified,
           cp.netid created_by_netid, cp.name created_by_name, AdminTeam.created created
    from AdminTeam
    join Person cp               on cp.id                       = AdminTeam.created_by
    join Person mp               on mp.id                       = AdminTeam.modified_by
    join AdminTeam_Owner         on AdminTeam_Owner.adminteam   = AdminTeam.id
    join Owner                   on Owner.id                    = AdminTeam_Owner.owner
    left join AdminTeam_Member   on AdminTeam_Member.adminteam  = AdminTeam.id
    left join Person mm          on mm.id                       = AdminTeam_Member.person
    left join AdminTeam_Orgs     on AdminTeam_Orgs.adminteam    = AdminTeam.id
    left join Organization       on AdminTeam_Orgs.organization = Organization.id;

grant select on FS_AdminTeam to netdb_view;
