-- FS_NetworkDHCPoptionsInfo.sql --- view for network full search

create or replace view FS_NetworkDHCPoptionsInfo as
    select Network.id,
           null IPaddress_txt,
           null location,
           null ip_active,
           null ip_name,
           null ip_domain,
           null ip_as_prefix,
           null as_prefix,
           null as_dhcp_option,
           case
                when DHCPoption.label is not null
                    then DHCPoption.label || '=' || Network_DHCPoptions.value
                else
                    null
           end  net_dhcp_option,
           null comments,
           null as_comments,
           null lowres,
           null highres,
           null as_owner,
           null name_id,
           null net_name,
           null net_domain,
           null dhcp_service,
           null owner,
           null mod_by_netid,
           null mod_by_name,
           null modified,
           null created_by_netid,
           null created_by_name,
           null created,
           null site,
           null code
      from Network
      left join Network_DHCPoptions
            on Network_DHCPoptions.network = Network.id
      left join DHCPoption
            on DHCPoption.id = Network_DHCPoptions.DHCPoption;

grant select on FS_NetworkDHCPoptionsInfo to netdb_view;
