-- FS_NetworkInfo.sql --- view for network full search

create or replace view FS_NetworkInfo as
    select Network.id,
           null              IPaddress_txt,
           nvl(Location.name, '')  location,
           null              ip_active,
           null              ip_name,
           null              ip_domain,
           null              ip_as_prefix,
           null              as_prefix,
           null              as_dhcp_option,
           null              net_dhcp_option,
           Network.comments,
           null              as_comments,
           null              lowres,
           null              highres,
           null              as_owner,
           Name.id           name_id,
           Name.name         net_name,
           Domain.domain     net_domain,
           DHCPservice.label dhcp_service,
           Owner.label       owner,
           mp.netid          mod_by_netid,
           mp.name           mod_by_name,
           Network.modified  modified,
           cp.netid          created_by_netid,
           cp.name           created_by_name,
           Network.created   created,
           nvl(Location.site, '') site,
           nvl(Location.code, '') code
      from Network
      join Name                  on Network.id                = Name.network
      join Domain                on Name.domain               = Domain.id
      join Network_Owner         on Network.id                = Network_Owner.network
      join Owner                 on Network_Owner.owner       = Owner.id
      left join DHCPservice      on Network.DHCPservice       = DHCPservice.id
      left join Network_Location on Network.id                = Network_Location.network
      left join Location         on Network_Location.location = Location.id
      join Person cp             on cp.id                     = Network.created_by
      join Person mp             on mp.id                     = Network.modified_by;

grant select on FS_NetworkInfo to netdb_view;
