-- FS_Node.sql --- view for node full search

create or replace view FS_Node as
    select Node.id,                 Organization.organization department,
           Location.site,           Location.code,
           Location.name location,  Node.room,
           Node.state,              Model.make,
           Model.modelname model,   Node.comments,
           Node_OS.os,              Owner.label owner,
           mp.netid mod_by_netid,   mp.name mod_by_name,
           Node.modified,           cp.netid created_by_netid,
           cp.name created_by_name, Node.created created,
           Node.expiration,         replace(NodeTag.label, '#', '#hsh') || '#eql' || replace(NodeTag.value, '#', '#hsh') custom_field
      from Node
      join Organization on Node.organization = Organization.id
      join Location     on Node.location     = Location.id
      join State        on Node.state        = State.state
      join Model        on Node.model        = Model.id
      join Node_OS      on Node.id           = Node_OS.node
      join Node_Owner   on Node.id           = Node_Owner.node
      join Owner        on Node_Owner.owner  = Owner.id
      join Person cp    on cp.id             = Node.created_by
      join Person mp    on mp.id             = Node.modified_by
      left join NodeTag on Node.id           = NodeTag.node;

grant select on FS_Node to netdb_view;
