-- FS_NodeInfoIPaddresses.sql --- view for full search for nodes.

create or replace view FS_NodeInfoIPaddresses as
    select Node.id,
           null name_id,
           null name,
           null domain,
           null aliasee,
           null interface,
           null node,
           null IPaddress,
           null ip_name_interface,
           null mx_name,
           null mx_domain,
           null mx_received_by,
           null mx_pref,
           null ipc_address_txt,
           null ipc_active,
           null interface_id,
           null interface_hw,
           null interface_roam,
           null interface_dhcp,
           null dhcp_options,
           ip.interface          ip_interface,
           case
                when Node.IPaddressSpace is not null then IPaddressSpace.prefix_txt
                else ip.IPaddress_txt
           end  ip_address_txt,
           case
                when Node.IPaddressSpace is not null then ' '
                when ip.PTRpref is not null then
                    case
                        when ip.PTRpref = 0 then 'All'
                        when ip.PTRpref = 1 then 'Closest'
                        else to_char(ip.PTRpref)
                    end
                else null
           end PTRpref,
           case
                when Node.IPaddressSpace is not null then ' '
                when ip.active is not null then
                    case
                        when ip.active = 1 then 'Yes'
                        else 'No'
                    end
                else null
           end ip_active,
           null type,
           null state,
           null location,
           null room,
           null expiration,
           null organization,
           null owner,
           null make_and_model,
           null os,
           null comments,
           null node_admin,
           null tag,
           null node_user,
           null mod_by_netid,
           null mod_by_name,
           null modified,
           null created_by_netid,
           null created_by_name,
           null created,
           null site,
           null code
      from Node
      left join Interface      on Node.id             = Interface.node
      left join IPaddress ip   on Interface.id        = ip.interface
      left join IPaddressSpace on Node.IPaddressSpace = IPaddressSpace.id;

grant select on FS_NodeInfoIPaddresses to netdb_view;
