-- FS_NodeInfoInterfaces.sql --- view for full search for nodes.

create or replace view FS_NodeInfoInterfaces as
    select Node.id,
           null name_id,
           null name,
           null domain,
           null aliasee,
           null interface,
           null node,
           null IPaddress,
           null ip_name_interface,
           null mx_name,
           null mx_domain,
           null mx_received_by,
           null mx_pref,
           null ipc_address_txt,
           null ipc_active,
           Interface.id          interface_id,
           Interface.HW_address  interface_hw,
           decode(Interface.roam, null, null,
                  decode(Interface.roam, 1, 'Yes', 'No')) interface_roam,
           decode(Interface.dhcp, null, null,
                  decode(Interface.dhcp, 1, 'Yes', 'No')) interface_dhcp,
           case
                when DHCPoption.label is not null
                    then DHCPoption.label || '=' || Interface_DHCPoptions.value
                else
                    null
           end dhcp_options,
           null ip_interface,
           null ip_address_txt,
           null PTRpref,
           null ip_active,
           null type,
           null state,
           null location,
           null room,
           null expiration,
           null organization,
           null owner,
           null make_and_model,
           null os,
           null comments,
           null node_admin,
           null tag,
           null node_user,
           null mod_by_netid,
           null mod_by_name,
           null modified,
           null created_by_netid,
           null created_by_name,
           null created,
           null site,
           null code
      from Node
      left join Interface             on Node.id       = Interface.node
      left join Interface_DHCPoptions on Interface.id  = Interface_DHCPoptions.interface
      left join DHCPoption            on DHCPoption.id = Interface_DHCPoptions.DHCPoption;

grant select on FS_NodeInfoInterfaces to netdb_view;
