-- FS_NodeInfoNames.sql --- view for full search for nodes.

create or replace view FS_NodeInfoNames as
    select Node.id,
           Name.id name_id,
           Name.name,
           name_domain.domain,
           Name.aliasee,
           Name.interface,
           Name.node,
           IPaddress.IPaddress_txt IPaddress,
           case
                when IPaddress.IPCnode is not null then 'ipc'
                when IPaddress.interface is not null then to_char(IPaddress.interface)
           end ip_name_interface,
           mx.name               mx_name,
           mx_domain.domain      mx_domain,
           MXRecord.received_by  mx_received_by,
           MXrecord.preference   mx_pref,
           null ipc_address_txt,
           null ipc_active,
           null interface_id,
           null interface_hw,
           null interface_roam,
           null interface_dhcp,
           null dhcp_options,
           null ip_interface,
           null ip_address_txt,
           null PTRpref,
           null ip_active,
           null type,
           null state,
           null location,
           null room,
           null expiration,
           null organization,
           null owner,
           null make_and_model,
           null os,
           null comments,
           null node_admin,
           null tag,
           null node_user,
           null mod_by_netid,
           null mod_by_name,
           null modified,
           null created_by_netid,
           null created_by_name,
           null created,
           null site,
           null code
      from Node
      join Name                   on Node.id              = Name.related_node
      join Domain name_domain     on Name.domain          = name_domain.id
      left join IPaddress         on Name.IPaddress       = IPaddress.id
      left join MXrecord          on Name.id              = MXrecord.received_by
      left join Name mx           on MXrecord.sent_to     = mx.id
      left join Domain mx_domain  on mx.domain            = mx_domain.id;
grant select on FS_NodeInfoNames to netdb_view;
