/************************************************************************
 *
 * ATeamDeleteCommand.java - call to NetDB_AdminTeam.master 'delete', ...
 *
 * $Id: ATeamDeleteCommand.java,v 1.2 2008-03-15 02:55:53 jlidtke Exp $
 *
 *-----------------------------------------------------------------------
 * Copyright (c) 2001 Board of Trustees, Leland Stanford Jr. University
 ************************************************************************/
package stanford.netdb.lib;

import stanford.netdb.utils.*;
import java.lang.*;
import java.sql.*;

/** call to NetDB_AdminTeam.del */
class ATeamDeleteCommand extends DBCall {

    private static final int ID_OP_USER_INDEX = 0; // p_op_uid
    private static final int LOCK_INDEX       = 1; // p_lock
    private static final int ID_INDEX         = 2; // p_ateam_id

    public ATeamDeleteCommand(stanford.netdb.utils.Logger logger,
                              Integer ID, Timestamp lock, Integer op_uid)
    {
        super(logger);
        db_call_type = Function_Map_Controller.get_function_type (Function_Map.PACKAGE_ADMIN_TEAM, Function_Map.DELETE);

        values = new Object[3];
        values[ID_OP_USER_INDEX] = op_uid;
        values[LOCK_INDEX]       = lock;
        values[ID_INDEX]         = ID;
    }

    public String getSQL() {
        return proc_call_sql(Function_Map_Controller.get_function_name (Function_Map.PACKAGE_ADMIN_TEAM, Function_Map.DELETE));
    }
}
