/************************************************************************
 *
 * ATeamLockUnLockCommand.java - db call pAdminTeam 'lock/unlock'
 *
 * $Id: ATeamLockCommand.java,v 1.1 2008-03-15 02:55:54 jlidtke Exp $
 *
 *-----------------------------------------------------------------------
 * Copyright (c) 2003, Board of Trustees, Leland Stanford Jr. University
 ************************************************************************/
package stanford.netdb.lib;

import java.lang.*;
import java.util.*;
import java.sql.*;

/** db call AdminTeam 'lock' */
class ATeamLockCommand extends DBCall {

    private static final int ID_OP_USER_INDEX = 1; // p_op_uid
    private static final int ATEAM_ID_INDEX   = 2; // p_ateam_id

    public ATeamLockCommand(stanford.netdb.utils.Logger logger,
                                 int id,
                                 Integer op_uid) {
        super(logger);
        db_call_type = Function_Map_Controller.get_function_type (Function_Map.PACKAGE_ADMIN_TEAM, Function_Map.LOCK_RECORD);

        values = new Object[3];
        values[0]                = ref_cursor;
        values[ID_OP_USER_INDEX] = op_uid;
        values[ATEAM_ID_INDEX]   = new Integer(id);

    }

    public String getSQL() {
        return proc_call_sql(Function_Map_Controller.get_function_name (Function_Map.PACKAGE_ADMIN_TEAM, Function_Map.LOCK_RECORD));
    }
}
