/************************************************************************
 *
 * ATeamLockUnLockCommand.java - db call pAdminTeam 'lock/unlock'
 *
 * $Id: ATeamUnlockCommand.java,v 1.1 2008-03-15 02:55:55 jlidtke Exp $
 *
 *-----------------------------------------------------------------------
 * Copyright (c) 2003, Board of Trustees, Leland Stanford Jr. University
 ************************************************************************/
package stanford.netdb.lib;

import java.lang.*;
import java.util.*;
import java.sql.*;

/** db call AdminTeam 'lock' */
class ATeamUnlockCommand extends DBCall {

    private static final int ID_OP_USER_INDEX = 0; // p_op_uid
    private static final int LOCKED_INDEX     = 1; // p_lock
    private static final int ATEAM_ID_INDEX   = 2; // p_ateam_id

    public ATeamUnlockCommand(stanford.netdb.utils.Logger logger,
                                 int id,
                                 Timestamp tm,
                                 Integer op_uid) {
        super(logger);
        db_call_type = Function_Map_Controller.get_function_type (Function_Map.PACKAGE_ADMIN_TEAM, Function_Map.UNLOCK_RECORD);

        values = new Object[3];
        values[ID_OP_USER_INDEX] = op_uid;
        values[LOCKED_INDEX]     = tm;
        values[ATEAM_ID_INDEX]   = new Integer(id);;
    }

    public String getSQL() {
        return proc_call_sql(Function_Map_Controller.get_function_name (Function_Map.PACKAGE_ADMIN_TEAM, Function_Map.UNLOCK_RECORD));
    }
}
