/************************************************************************
 *
 * AddrSpaceDeleteCommand.java - db call NetDB_IPaddressSpace.master 'delete'
 *
 * $Id: AddrSpaceDeleteCommand.java,v 1.2 2008-03-15 02:55:55 jlidtke Exp $
 *
 *-----------------------------------------------------------------------
 * Copyright (c) 2002, Board of Trustees, Leland Stanford Jr. University
 ************************************************************************/
package stanford.netdb.lib;

import stanford.netdb.utils.*;
import stanford.netdb.lib.*;
import java.util.*;
import java.lang.*;
import java.sql.*;

/* db call NetDB_IPaddressSpace.del */
class AddrSpaceDeleteCommand extends DBCall {

    private static final int ID_OP_USER_INDEX = 0;  // p_op_uid
    private static final int LOCKED_INDEX     = 1;  // p_lock
    private static final int PREFIX_INDEX     = 2;  // p_prefix

    public AddrSpaceDeleteCommand(stanford.netdb.utils.Logger logger, String asPrefix,
                                  Timestamp lock, Integer op_uid) throws Exception {
        super(logger);
        db_call_type = Function_Map_Controller.get_function_type (Function_Map.PACKAGE_IPADDRESSSPACE, Function_Map.DELETE);

        values = new Object[3];
        values[ID_OP_USER_INDEX] = op_uid;
        values[PREFIX_INDEX]     = ((NetDB)logger).verify_or_die (NetDB.IPADDRSPACE, asPrefix);
        values[LOCKED_INDEX]     = lock;
    }

    public String getSQL() {
        return proc_call_sql(Function_Map_Controller.get_function_name (Function_Map.PACKAGE_IPADDRESSSPACE, Function_Map.DELETE));
    }

}
