/************************************************************************
 *
 * AddrSpaceListCommand.java - db call NetDB_IPaddressSpace.master 'list'
 *
 * $Id: AddrSpaceListCommand.java,v 1.2 2008-03-15 02:55:56 jlidtke Exp $
 *
 *-----------------------------------------------------------------------
 * Copyright (c) 2002, Board of Trustees, Leland Stanford Jr. University
 ************************************************************************/
package stanford.netdb.lib;

import stanford.netdb.utils.*;
import java.lang.*;
import java.util.*;
import java.sql.*;

/** db call NetDB_IPaddressSpace.list */
class AddrSpaceListCommand extends DBCall {

    private static final int ID_OP_USER_INDEX = 1;  // p_op_uid

    public AddrSpaceListCommand(stanford.netdb.utils.Logger logger, Integer op_uid) {
        super(logger);
        db_call_type = Function_Map_Controller.get_function_type (Function_Map.PACKAGE_IPADDRESSSPACE, Function_Map.LIST);

        values = new Object[2];
        values[0] = ref_cursor;
        values[ID_OP_USER_INDEX] = o2n(op_uid, Types.NUMERIC);
    }

    public String getSQL() {
        return proc_call_sql(Function_Map_Controller.get_function_name (Function_Map.PACKAGE_IPADDRESSSPACE, Function_Map.LIST));
    }
}
