/************************************************************************
 *
 * DepartmentDeleteCommand.java - db call NetDB_Organization.master 'delete'
 *
 * $Id: DepartmentDeleteCommand.java,v 1.2 2008-03-15 02:55:58 jlidtke Exp $
 *
 *-----------------------------------------------------------------------
 * Copyright (c) 2002, Board of Trustees, Leland Stanford Jr. University
 ************************************************************************/
package stanford.netdb.lib;

import java.lang.*;

/** db call NetDB_Organization.master 'delete' */
class DepartmentDeleteCommand extends DBCall {

    private static final int ID_OP_USER_INDEX    = 0;  // p_op_uid
    private static final int DEPARTMENT_ID_INDEX = 1;  // p_org_id

    public DepartmentDeleteCommand(stanford.netdb.utils.Logger logger,
                                   Integer id, Integer op_uid)
    {
        super(logger);
        db_call_type = Function_Map_Controller.get_function_type (Function_Map.PACKAGE_ORGANIZATION, Function_Map.DELETE);

        values = new Object[2];
        values[ID_OP_USER_INDEX]    = op_uid;
        values[DEPARTMENT_ID_INDEX] = id;
    }

    public String getSQL() {
        return proc_call_sql(Function_Map_Controller.get_function_name (Function_Map.PACKAGE_ORGANIZATION, Function_Map.DELETE));
    }
}
