/************************************************************************
 *
 * DepartmentInfoCommand.java - db call NetDB_Organization.master 'info'
 *
 * $Id: DepartmentInfoCommand.java,v 1.2 2008-03-15 02:55:59 jlidtke Exp $
 *
 *-----------------------------------------------------------------------
 * Copyright (c) 2002, Board of Trustees, Leland Stanford Jr. University
 ************************************************************************/
package stanford.netdb.lib;

import stanford.netdb.utils.*;
import java.util.*;
import java.lang.*;
import java.sql.*;

/** db call NetDB_Organization.master 'info' */
class DepartmentInfoCommand extends DBCall {

    private static final int DEPARTMENT_ID_INDEX = 1;  // p_org_id

    public DepartmentInfoCommand(stanford.netdb.utils.Logger logger, Integer id) {
        super(logger);
        db_call_type = Function_Map_Controller.get_function_type (Function_Map.PACKAGE_ORGANIZATION, Function_Map.INFO);

        values = new Object[2];
        values[0] = ref_cursor;
        values[DEPARTMENT_ID_INDEX] = id;
    }

    public String getSQL() {
        return proc_call_sql(Function_Map_Controller.get_function_name (Function_Map.PACKAGE_ORGANIZATION, Function_Map.INFO));
    }
}
