/************************************************************************
 *
 * DepartmentsListCommand.java - NetDB_Organization.master 'list'
 *
 * $Id: DepartmentsListCommand.java,v 1.2 2008-03-15 02:55:59 jlidtke Exp $
 *
 *-----------------------------------------------------------------------
 * Copyright (c) 2002, Board of Trustees, Leland Stanford Jr. University
 ************************************************************************/
package stanford.netdb.lib;

import stanford.netdb.utils.*;
import java.util.*;
import java.lang.*;
import java.sql.*;

/** db call NetDB_Organization.master 'list' */
class DepartmentsListCommand extends DBCall {

    private static final int DEPARTMENT_NAME_INDEX = 1;  // p_name

    public DepartmentsListCommand(stanford.netdb.utils.Logger logger, String filter) {
        super(logger);
        db_call_type = Function_Map_Controller.get_function_type (Function_Map.PACKAGE_ORGANIZATION, Function_Map.LIST);

        values = new Object[2];
        values[0] = ref_cursor;
        if( filter != null && filter.trim().length() > 0 )
            values[DEPARTMENT_NAME_INDEX] = filter;
        else
            values[DEPARTMENT_NAME_INDEX] = o2v (filter);
    }

    public String getSQL() {
        return proc_call_sql(Function_Map_Controller.get_function_name (Function_Map.PACKAGE_ORGANIZATION, Function_Map.LIST));
    }
}
