/************************************************************************
 *
 * DomainDeleteCommand.java - call pDomain('delete', ...)
 *
 * $Id: DomainDeleteCommand.java,v 1.2 2008-03-15 02:56:00 jlidtke Exp $
 *
 *-----------------------------------------------------------------------
 * Copyright (c) 2001 Board of Trustees, Leland Stanford Jr. University
 ************************************************************************/
package stanford.netdb.lib;

import stanford.netdb.utils.*;
import java.lang.*;
import java.sql.*;

/** db call pDomain 'delete' */
class DomainDeleteCommand extends DBCall {

    private static final int ID_OP_USER_INDEX = 0; // p_op_uid
    private static final int LOCKED_INDEX     = 1; // p_lock
    private static final int ID_INDEX         = 2; // p_domain_id

    public DomainDeleteCommand(stanford.netdb.utils.Logger logger,
                               Integer idDomain, Timestamp lockTm, Integer op_uid)
    {
        super(logger);
        db_call_type = Function_Map_Controller.get_function_type (Function_Map.PACKAGE_DOMAIN, Function_Map.DELETE);

        values = new Object[3];
        values[ID_OP_USER_INDEX]        = op_uid;
        values[LOCKED_INDEX]            = lockTm;
        values[ID_INDEX]                = idDomain;
    }

    public String getSQL() {
        return proc_call_sql(Function_Map_Controller.get_function_name (Function_Map.PACKAGE_DOMAIN, Function_Map.DELETE));
    }
}
