/************************************************************************
 *
 * DomainFullSearchCommand.java -
 *
 * $Id: DomainFullSearchCommand.java,v 1.3 2006-10-06 19:59:54 priimak Exp $
 *
 *-----------------------------------------------------------------------
 * Copyright (c) 2003, Board of Trustees, Leland Stanford Jr. University
 ************************************************************************/
package stanford.netdb.lib;

import java.text.*;
import java.util.*;

class DomainFullSearchCommand extends FullSearchCommand {

    public DomainFullSearchCommand(stanford.netdb.utils.Logger logger,
                                   Hashtable search_params)
    {
        super(logger, search_params);
    }

    public String getSearchSQL() throws Exception {
        String sql =
            "SELECT id \"ID\", domain \"handle\""+
            (!displayed("Domain Name")?"":", domain \"Domain Name\"")+
            (!displayed("Limited Name")?"":", decode(limited, 1, 'Y', 'N') \"Limited Name\"")+
            (!displayed("Use as Name")?"":", useAsName \"Use as Name\"")+
            (!displayed("Assign Names")?"":", assignNamesIn \"Assign Names\"")+
            (!displayed("Group")?"":", owner \"Group\"")+
            (!displayed("Comment")?"":", nvl(comments, ' ') \"Comment\"")+
            modBlock(search_params)+
            " FROM "+search_params.get("fs.table")+
            " WHERE ID IN ( SELECT unique(id) FROM ";

        // fill in display order vector
        Vector displayOrder = new Vector();
        init_result(search_params, displayOrder, "Domains");

        // go over displayOrder.XXX parameters and assemble displayOrder Vector
        assmDisplayOrder(displayOrder, search_params);

        // continue with assembling sql 'where' clause
        sql += assmCommonSQL(search_params) + " ) ";

        return sql;
    }
}
