/************************************************************************
 *
 * DomainLockUnLockCommand.java - db call NetDB_Domain.master 'lock/unlock'
 *
 * $Id: DomainLockCommand.java,v 1.1 2008-03-15 02:56:01 jlidtke Exp $
 *
 *-----------------------------------------------------------------------
 * Copyright (c) 2003, Board of Trustees, Leland Stanford Jr. University
 ************************************************************************/
package stanford.netdb.lib;

import java.lang.*;
import java.sql.*;

/** db call NetDB_Domain.master 'lock/unlock' */
class DomainLockCommand extends DBCall {

    private static final int ID_OP_USER_INDEX = 1; // p_op_uid
    private static final int ID_INDEX         = 2; // p_domain_id

    public DomainLockCommand(stanford.netdb.utils.Logger logger,
                             Integer idDomain, Integer op_uid)
    {
        super(logger);
        db_call_type = Function_Map_Controller.get_function_type (Function_Map.PACKAGE_DOMAIN, Function_Map.LOCK_RECORD);

        values = new Object[3];
        values[0]                = ref_cursor;
        values[ID_OP_USER_INDEX] = op_uid;
        values[ID_INDEX]         = idDomain;
    }

    public String getSQL() {
        return proc_call_sql(Function_Map_Controller.get_function_name (Function_Map.PACKAGE_DOMAIN, Function_Map.LOCK_RECORD));
    }
}
