package stanford.netdb.lib;

public abstract class Function_Map
{
    // The String returned should be the name of the procedure.
    public abstract String get_function_name (int record_type, int action);

    // The int returned should be one of the constants returned by
    // getType (), as defined in the DBCall class.
    public abstract int get_function_type (int record_type, int action);

    // Valid values for "record_type" in the above functions.
    public static final int PACKAGE_ACCESS         = 0;
    public static final int PACKAGE_ADMIN_TEAM     = 1;
    public static final int PACKAGE_DHCPOPTION     = 2;
    public static final int PACKAGE_DHCPSERVICE    = 3;
    public static final int PACKAGE_DOMAIN         = 4;
    public static final int PACKAGE_INTERFACE      = 5;
    public static final int PACKAGE_INTERFACETYPE  = 6;
    public static final int PACKAGE_IPADDRESS      = 7;
    public static final int PACKAGE_IPADDRESSSPACE = 8;
    public static final int PACKAGE_LOCATION       = 9;
    public static final int PACKAGE_LOG            = 10;
    public static final int PACKAGE_MAKE           = 11;
    public static final int PACKAGE_MODEL          = 12;
    public static final int PACKAGE_MODELTYPE      = 13;
    public static final int PACKAGE_MXRECORD       = 14;
    public static final int PACKAGE_NAME           = 15;
    public static final int PACKAGE_NETWORK        = 16;
    public static final int PACKAGE_NODE           = 17;
    public static final int PACKAGE_NODETYPE       = 18;
    public static final int PACKAGE_ORGANIZATION   = 19;
    public static final int PACKAGE_OS             = 20;
    public static final int PACKAGE_OWNER          = 21;
    public static final int PACKAGE_PERSON         = 22;
    public static final int PACKAGE_STATE          = 23;
    public static final int PACKAGE_USER           = 24;
    public static final int PACKAGE_UTIL           = 25;

    // Valid values for "action" in the above functions.
    public static final int ACCEPT                    = 0;
    public static final int ADD                       = 1;
    public static final int ADMIN                     = 2;
    public static final int AFTER_MIDRES              = 3;
    public static final int APPLICATION_ADD           = 4;
    public static final int APPLICATION_REMOVE        = 5;
    public static final int CANCEL                    = 6;
    public static final int CAN_USE                   = 7;
    public static final int CAN_USE_AS_NAME           = 8;
    public static final int CHECK_ACCESS              = 9;
    public static final int CLOSEST_NAME              = 10;
    public static final int CONSULTANT                = 11;
    public static final int CONTAINING                = 12;
    public static final int DEF_DOMAIN                = 13;
    public static final int DELETE                    = 14;
    public static final int EXISTS                    = 15;
    public static final int FULLNAME                  = 16;
    public static final int GENERATE_FULLNAME         = 17;
    public static final int GET_ACTION                = 18;
    public static final int GET_ALIAS_TERMINAL_PARENT = 19;
    public static final int GET_PARENT_ID             = 20;
    public static final int HANDLE                    = 21;
    public static final int HAS_ACCESS_OR_DIE         = 22;
    public static final int HAS_ALL_GROUPS            = 23;
    public static final int HAS_ALL_RECORDS           = 24;
    public static final int INFO                      = 25;
    public static final int INSERT                    = 26;
    public static final int IS_ACTIVE                 = 27;
    public static final int IS_LIMITED                = 28;
    public static final int IS_MEMBER_OF_GROUP        = 29;
    public static final int IS_MIDRES                 = 30;
    public static final int LIST                      = 31;
    public static final int LOCATION                  = 32;
    public static final int LOCKED_OR_DIE             = 33;
    public static final int LOCK_RECORD               = 34;
    public static final int LOGIN                     = 35;
    public static final int MEMBER                    = 36;
    public static final int MOVE                      = 37;
    public static final int NAME                      = 38;
    public static final int ORG                       = 39;
    public static final int OS                        = 40;
    public static final int PRETTY_HANDLE             = 41;
    public static final int RELATED_NETWORK           = 42;
    public static final int RELATED_NODE              = 43;
    public static final int REMOVE                    = 44;
    public static final int RESERVE                   = 45;
    public static final int SET_ACTION                = 46;
    public static final int SUPPLANT                  = 47;
    public static final int TAG                       = 48;
    public static final int TYPE                      = 49;
    public static final int UNLOCK_RECORD             = 50;
    public static final int UPDATE                    = 51;
    public static final int UPDATE_DOMAIN_NAME        = 52;
    public static final int UPDATE_PREFIX             = 53;
    public static final int UPDATE_PROFILE            = 54;
    public static final int USER                      = 55;
    public static final int USERS_ACCESS              = 56;
    public static final int VALIDATE_JOIN             = 57;
    public static final int VALIDATE_SPLIT            = 58;
    public static final int VERIFY_AND_LOG            = 59;
    public static final int VERIFY_OR_DIE             = 60;
}
