/************************************************************************
 *
 * GroupFullSearchCommand.java -
 *
 * $Id: GroupFullSearchCommand.java,v 1.1.1.1 2006-06-30 23:38:09 priimak Exp $
 *
 *-----------------------------------------------------------------------
 * Copyright (c) 2003, Board of Trustees, Leland Stanford Jr. University
 ************************************************************************/
package stanford.netdb.lib;

import stanford.netdb.utils.*;
import java.util.*;
import java.text.*;
import java.sql.*;

class GroupFullSearchCommand extends FullSearchCommand {

    public GroupFullSearchCommand(stanford.netdb.utils.Logger logger,
                                  Hashtable search_params)
    {
        super(logger, search_params);
    }

    public String getSearchSQL() throws Exception {
        String sql =
            "SELECT id \"ID\", owner \"handle\""+
            (n2s(search_params.get("displayOrder.txt.1.Group Name")).equals("-1")?"":", owner \"Group Name\"")+
            (n2s(search_params.get("displayOrder.txt.2.Comment")   ).equals("-1")?"":", nvl(comments, ' ') \"Comment\"")+
            modBlock(search_params)+
            " FROM "+search_params.get("fs.table")+
            " WHERE ID IN ( SELECT unique(id) FROM ";

        // fill in display order vector
        Vector displayOrder = new Vector();
        init_result(search_params, displayOrder, "Groups");

        // go over displayOrder.XXX parameters and assemble displayOrder Vector
        assmDisplayOrder(displayOrder, search_params);

        // continue with assembling sql 'where' clause
        sql += assmCommonSQL(search_params)+ " ) ";

        return sql;
    }
}
