/************************************************************************
 *
 * GroupInfoCommand.java - call to pGroup('infonew', ...)
 *
 * $Id: GroupInfoCommand.java,v 1.2 2008-03-15 02:56:02 jlidtke Exp $
 *
 *-----------------------------------------------------------------------
 * Copyright (c) 2001 Board of Trustees, Leland Stanford Jr. University
 ************************************************************************/
package stanford.netdb.lib;

import stanford.netdb.utils.*;
import java.util.*;
import java.lang.*;
import java.sql.*;

/** db call pGroup 'infonew' */
class GroupInfoCommand extends DBCall {

    private static final int OWNER_ID_INDEX = 1; // p_owner_id

    public GroupInfoCommand(stanford.netdb.utils.Logger logger, Integer idGroup) {
        super(logger);
        db_call_type = Function_Map_Controller.get_function_type (Function_Map.PACKAGE_OWNER, Function_Map.INFO);

        values = new Object[2];
        values[0]              = ref_cursor;
        values[OWNER_ID_INDEX] = idGroup;
    }

    public String getSQL() {
        return proc_call_sql(Function_Map_Controller.get_function_name (Function_Map.PACKAGE_OWNER, Function_Map.INFO));
    }
}
