/************************************************************************
 *
 * GroupInsertCommand.java - db call pOwner 'insert'
 *
 * $Id: GroupInsertCommand.java,v 1.2 2008-03-15 02:56:02 jlidtke Exp $
 *
 *-----------------------------------------------------------------------
 * Copyright (c) 2001 Board of Trustees, Leland Stanford Jr. University
 ************************************************************************/
package stanford.netdb.lib;

import java.util.*;
import java.lang.*;

/** db call pOwner 'insert' */
class GroupInsertCommand extends DBCall {

    private static final int OP_USER_INDEX     = 1; // p_op_uid
    private static final int NAME_INDEX        = 2; // p_name
    private static final int DESCRIPTION_INDEX = 3; // p_description

    public GroupInsertCommand(stanford.netdb.utils.Logger logger, Hashtable newGroup, Integer op_uid) {
        super(logger);
        db_call_type = Function_Map_Controller.get_function_type (Function_Map.PACKAGE_OWNER, Function_Map.INSERT);

        values = new Object[4];
        values[0]             = ref_cursor;
        values[OP_USER_INDEX] = op_uid;

        String name = (String)newGroup.get("name");
        if( name.length() > 255 )
            name = name.substring(0, 254);
        values[NAME_INDEX] = name;

        String comment = (String)newGroup.get("comment");
        if( comment != null && comment.length() > 255 )
            comment = comment.substring(0, 254);
        values[DESCRIPTION_INDEX] = o2v(comment);
    }

    public String getSQL() {
        return proc_call_sql(Function_Map_Controller.get_function_name (Function_Map.PACKAGE_OWNER, Function_Map.INSERT));
    }
}
