/************************************************************************
 *
 * GroupLockUnLockCommand.java - pOwner lock/unlock db call
 *
 * $Id: GroupLockCommand.java,v 1.1 2008-03-15 02:56:02 jlidtke Exp $
 *
 *-----------------------------------------------------------------------
 * Copyright (c) 2003, Board of Trustees, Leland Stanford Jr. University
 ************************************************************************/
package stanford.netdb.lib;

import stanford.netdb.utils.*;
import java.lang.*;
import java.sql.*;

/** db call pOwner 'delete' */
class GroupLockCommand extends DBCall {

    private static final int OP_USER_INDEX  = 1; // p_op_uid
    private static final int OWNER_ID_INDEX = 2; // p_owner_id

    public GroupLockCommand(stanford.netdb.utils.Logger logger,
                            Integer idGroup, Integer op_uid)
    {
        super(logger);
        db_call_type = Function_Map_Controller.get_function_type (Function_Map.PACKAGE_OWNER, Function_Map.LOCK_RECORD);
        
        values = new Object[3];
        values[0]              = ref_cursor;
        values[OP_USER_INDEX]  = op_uid;
        values[OWNER_ID_INDEX] = idGroup;
    }

    public String getSQL() {
        return proc_call_sql(Function_Map_Controller.get_function_name (Function_Map.PACKAGE_OWNER, Function_Map.LOCK_RECORD));
    }
}
