/************************************************************************
 *
 * IPAddressCancelCommand.java - db call NetDB_IPaddress.cancel
 *
 * $Id: IPAddressCancelCommand.java,v 1.2 2008-03-15 02:56:04 jlidtke Exp $
 *
 *-----------------------------------------------------------------------
 * Copyright (c) 2002, Board of Trustees, Leland Stanford Jr. University
 ************************************************************************/
package stanford.netdb.lib;

import java.lang.*;
import java.sql.*;

/** db call NetDB_IPaddress.cancel */
class IPAddressCancelCommand extends DBCall {

    private static final int ID_OP_USER_INDEX = 0;
    private static final int ADDRESS_INDEX    = 1;

    public IPAddressCancelCommand(stanford.netdb.utils.Logger logger,
                                  String ip, Integer op_uid) {
        super(logger);
        db_call_type = Function_Map_Controller.get_function_type (Function_Map.PACKAGE_IPADDRESS, Function_Map.CANCEL);

        values = new Object[2];
        values[ID_OP_USER_INDEX] = op_uid;
        values[ADDRESS_INDEX]    = ip;
    }

    public String getSQL() {
        return proc_call_sql(Function_Map_Controller.get_function_name (Function_Map.PACKAGE_IPADDRESS, Function_Map.CANCEL));
    }
}
