/************************************************************************
 *
 * IPAddressDeleteCommand.java - db call NetDB_IPaddress.master 'delete'
 *
 * $Id: IPAddressDeleteCommand.java,v 1.2 2008-03-15 02:56:04 jlidtke Exp $
 *
 *-----------------------------------------------------------------------
 * Copyright (c) 2002, Board of Trustees, Leland Stanford Jr. University
 ************************************************************************/
package stanford.netdb.lib;

import java.lang.*;
import java.sql.*;

/* db call NetDB_IPaddress.master 'delete' */
class IPAddressDeleteCommand extends DBCall {

    private static final int ID_OP_USER_INDEX = 0;  // p_op_uid
    private static final int LOCK_INDEX       = 1;  // p_lock
    private static final int ADDRESS_ID_INDEX = 2;  // p_address_id

    public IPAddressDeleteCommand(stanford.netdb.utils.Logger logger, Timestamp lock,
                                  int ID, Integer op_uid) {
        super(logger);
        db_call_type = Function_Map_Controller.get_function_type (Function_Map.PACKAGE_IPADDRESS, Function_Map.DELETE);

        values = new Object[3];
        values[ID_OP_USER_INDEX] = op_uid;
        values[LOCK_INDEX]       = lock;
        values[ADDRESS_ID_INDEX] = ID;
    }

    public String getSQL() {
        return proc_call_sql(Function_Map_Controller.get_function_name (Function_Map.PACKAGE_IPADDRESS, Function_Map.DELETE));
    }
}
