/************************************************************************
 *
 * IPAddressReserveCommand.java - db call NetDB_IPaddress.reserve
 *
 * $Id: IPAddressReserveCommand.java,v 1.2 2008-03-15 02:56:04 jlidtke Exp $
 *
 *-----------------------------------------------------------------------
 * Copyright (c) 2002, Board of Trustees, Leland Stanford Jr. University
 ************************************************************************/
package stanford.netdb.lib;

import java.lang.*;

/** db call NetDB_IPaddress.reserve */
class IPAddressReserveCommand extends DBCall {

    private static final int ID_OP_USER_INDEX      = 1; // p_op_uid
    private static final int START_IPADDR_INDEX    = 2; // p_start
    private static final int COUNT_INDEX           = 3; // p_count
    private static final int EXACT_FLAG_INDEX      = 4; // p_exact
    private static final int CONTIGUOUS_FLAG_INDEX = 5; // p_contiguous

    public IPAddressReserveCommand(stanford.netdb.utils.Logger logger, int count,
                                   String startAddress, boolean exact, boolean contiguous,
                                   Integer op_uid) {
        super(logger);
        db_call_type = Function_Map_Controller.get_function_type (Function_Map.PACKAGE_IPADDRESS, Function_Map.RESERVE);

        values = new Object[6];
        values[0]                     = ref_cursor;
        values[ID_OP_USER_INDEX]      = op_uid;
        values[START_IPADDR_INDEX]    = startAddress;
        values[COUNT_INDEX]           = new Integer(count);
        values[EXACT_FLAG_INDEX]      = new Short(exact?"1":"0");
        values[CONTIGUOUS_FLAG_INDEX] = new Short(contiguous?"1":"0");
    }

    public String getSQL() {
        return proc_call_sql(Function_Map_Controller.get_function_name (Function_Map.PACKAGE_IPADDRESS, Function_Map.RESERVE));
    }
}
