/************************************************************************
 *
 * IPAddressUpdateCommand.java - db call NetDB_IPaddress.master 'update'
 *
 * $Id: IPAddressUpdateCommand.java,v 1.3 2008-03-15 02:56:04 jlidtke Exp $
 *
 *-----------------------------------------------------------------------
 * Copyright (c) 2006, Board of Trustees, Leland Stanford Jr. University
 ************************************************************************/
package stanford.netdb.lib;

import java.lang.*;
import java.sql.*;

/* db call NetDB_IPaddress.master 'update' */
class IPAddressUpdateCommand extends DBCall {

    private static final int ID_OP_USER_INDEX  = 0;  // p_op_uid
    private static final int LOCK_INDEX        = 1;  // p_lock
    private static final int ADDRESS_ID_INDEX  = 2;  // p_address_id
    private static final int ACTIVE_INDEX      = 3;  // p_active
    private static final int PTR_PREF_INDEX    = 4;  // p_ptr_pref

    public static final int IPC_NODE   = 1;
    public static final int INTERFACE  = 2;
    public static final int ADDR_SPACE = 3;

    public IPAddressUpdateCommand(stanford.netdb.utils.Logger logger,
                                  Timestamp lock, int ID,
                                  Boolean active, String ptr_pref,
                                  Integer op_uid) {
        super(logger);
        db_call_type = Function_Map_Controller.get_function_type (Function_Map.PACKAGE_IPADDRESS, Function_Map.UPDATE);

        values = new Object[5];
        values[ID_OP_USER_INDEX]   = op_uid;
        values[LOCK_INDEX]         = lock;
        if( ptr_pref != null && ptr_pref.trim().length() > 0 )
            values[PTR_PREF_INDEX] = new Integer(ptr_pref);
        else
            values[PTR_PREF_INDEX] = new Integer(System.getProperty("DefaultPTRpref", "0"));
        values[ADDRESS_ID_INDEX]   = ID;
        values[ACTIVE_INDEX]       = new Short( active.booleanValue()?"1":"0" );
    }

    public String getSQL() {
        return proc_call_sql(Function_Map_Controller.get_function_name (Function_Map.PACKAGE_IPADDRESS, Function_Map.UPDATE));
    }
}
