/************************************************************************
 *
 * ListUserGroups.java - NetDB_User.list_groups
 *
 * $Id: ListUserGroups.java,v 1.2 2008-03-15 02:56:05 jlidtke Exp $
 *
 *-----------------------------------------------------------------------
 * Copyright (c) 2003, Board of Trustees, Leland Stanford Jr. University
 ************************************************************************/
package stanford.netdb.lib;

import stanford.netdb.utils.*;
import java.lang.*;
import java.util.*;
import java.sql.*;

/** db call NetDB_Owner.list */
class ListUserGroups extends DBCall {

    private static final int NAME_INDEX    = 1; // p_filter
    private static final int OP_USER_INDEX = 2; // p_op_uid

    public ListUserGroups(stanford.netdb.utils.Logger logger,
                          String filter, Integer op_uid) {
        super(logger);
        db_call_type = Function_Map_Controller.get_function_type (Function_Map.PACKAGE_OWNER, Function_Map.LIST);

        values = new Object[3];
        values[0]             = ref_cursor;
        values[OP_USER_INDEX] = op_uid;
        values[NAME_INDEX]    = o2v(filter);
    }

    public String getSQL() {
        return proc_call_sql(Function_Map_Controller.get_function_name (Function_Map.PACKAGE_OWNER, Function_Map.LIST));
    }
}
