/************************************************************************
 *
 * LocationDeleteCommand.java - db call NetDB_Location.master 'delete'
 *
 * $Id: LocationDeleteCommand.java,v 1.2 2008-03-15 02:56:05 jlidtke Exp $
 *
 *-----------------------------------------------------------------------
 * Copyright (c) 2002, Board of Trustees, Leland Stanford Jr. University
 ************************************************************************/
package stanford.netdb.lib;

import java.lang.*;
import java.util.*;

/** NetDB_Location.master 'delete' */
class LocationDeleteCommand extends DBCall {

    private static final int OP_USER_INDEX = 0; // p_op_uid
    private static final int ID_INDEX      = 1; // p_location_id

    public LocationDeleteCommand(stanford.netdb.utils.Logger logger,
                                 Hashtable location, Integer op_uid) throws Exception {
        super(logger);
        db_call_type = Function_Map_Controller.get_function_type (Function_Map.PACKAGE_LOCATION, Function_Map.DELETE);

        if (location.get("id") == null)
            location.put ("id", ((NetDB)logger).verify_or_die (NetDB.LOCATION, (String)location.get("location")));

       values = new Object[2];
        values[OP_USER_INDEX] = op_uid;
        values[ID_INDEX]      = location.get("id");
    }

    public String getSQL() {
        return proc_call_sql(Function_Map_Controller.get_function_name (Function_Map.PACKAGE_LOCATION, Function_Map.DELETE));
    }
}
