/************************************************************************
 *
 * LocationListCommand.java - NetDB_Location.master 'list'
 *
 * $Id: LocationListCommand.java,v 1.2 2008-03-15 02:56:06 jlidtke Exp $
 *
 *-----------------------------------------------------------------------
 * Copyright (c) 2002, Board of Trustees, Leland Stanford Jr. University
 ************************************************************************/
package stanford.netdb.lib;

import stanford.netdb.utils.*;
import java.lang.*;
import java.util.*;
import java.sql.*;

/** NetDB_Location.master 'list' */
class LocationListCommand extends DBCall {

    private static final int NAME_INDEX = 1; // p_name

    public LocationListCommand(stanford.netdb.utils.Logger logger, String filter) {
        super(logger);
        db_call_type = Function_Map_Controller.get_function_type (Function_Map.PACKAGE_LOCATION, Function_Map.LIST);

        values = new Object[2];
        values[0]          = ref_cursor;
        values[NAME_INDEX] = o2v(filter);
    }

    public String getSQL() {
        return proc_call_sql(Function_Map_Controller.get_function_name (Function_Map.PACKAGE_LOCATION, Function_Map.LIST));
    }
}
