/************************************************************************
 *
 * LogFullSearchCommand.java - copied over from old netdb.
 *
 * $Id: LogFullSearchCommand.java,v 1.2 2006-10-05 18:04:38 priimak Exp $
 *
 *-----------------------------------------------------------------------
 * Copyright (c) 2003, Board of Trustees, Leland Stanford Jr. University
 ************************************************************************/
package stanford.netdb.lib;

import java.text.*;
import java.util.*;
import stanford.netdb.utils.*;

class LogFullSearchCommand extends FullSearchCommand {

    public LogFullSearchCommand(stanford.netdb.utils.Logger logger,
                                  Hashtable search_params)
    {
        super(logger, search_params);
    }

    public String getSearchSQL() throws Exception {
        if( spNull("rb.b.recordtype") )
            throw new Exception("Please select record types to search for.");

        if( spNull("cb.i.Delete") && spNull("cb.i.Add") && spNull("cb.i.Update") )
            throw new Exception("Please select actions to search for.");

        String sql =
            "SELECT id \"ID\", to_char(id) \"handle\""+
            (displayed("Date of Action") ?", logdate \"Date of Action\"":"")+
            (displayed("Record Name")    ?", record_name \"Record Name\"":"")+
            (displayed("Record ID")      ?", to_char(record_id) \"Record ID\"":"")+
            (displayed("Record Type")    ?", recordtype_display \"Record Type\"":"")+
            (displayed("IP Address")     ?", IPaddress_txt \"IP Address\"":"")+
            (displayed("Node State")     ?", state \"Node State\"":"")+
            (displayed("User")           ?", name || ' (' || netid || ')' \"User\"":"")+
            (displayed("Action")         ?", action \"Action\"":"")+
            " FROM "+search_params.get("fs.table")+
            " WHERE ID IN ( SELECT unique(id) FROM ";

        // fill in display order vector
        Vector displayOrder = new Vector();
        init_result(search_params, displayOrder, "Log Records");

        // go over displayOrder.XXX parameters and assemble displayOrder Vector
        assmDisplayOrder(displayOrder, search_params);

        // continue with assembling sql 'where' clause
        sql += assmCommonSQL(search_params) + " ) ";

        return sql;
    }

    public Hashtable processResultSet(Hashtable res) throws Exception {
        Hashtable result = super.processResultSet(res);
        result.put("recordtype", Utils.n2s(search_params.get("rb.b.recordtype"))); // 'node', 'network'
        return result;
    }
}
