/************************************************************************
 *
 * MXDeleteCommand.java - db call NetDB_MXrecord.del
 *
 * $Id: MXDeleteCommand.java,v 1.2 2008-03-15 02:56:06 jlidtke Exp $
 *
 *-----------------------------------------------------------------------
 * Copyright (c) 2003, Board of Trustees, Leland Stanford Jr. University
 ************************************************************************/
package stanford.netdb.lib;

import stanford.netdb.utils.*;
import java.lang.*;
import java.sql.*;

/** db call NetDB_MXrecord.del */
class MXDeleteCommand extends DBCall {

    private static final int ID_OP_USER_INDEX     = 0; // p_op_uid
    private static final int LOCK_INDEX           = 1; // p_lock
    private static final int MX_NAME_ID_INDEX     = 2; // p_sent_to_id
    private static final int MX_NAME_INDEX        = 3; // p_sent_to
    private static final int PARENT_NAME_ID_INDEX = 4; // p_received_by_id
    private static final int PARENT_NAME_INDEX    = 5; // p_received_by

    public MXDeleteCommand(stanford.netdb.utils.Logger logger, String mxFQDN,
                           String parentFQDN, Timestamp lock, Integer op_uid) {
        super(logger);
        db_call_type = Function_Map_Controller.get_function_type (Function_Map.PACKAGE_MXRECORD, Function_Map.DELETE);
        
        values = new Object[6];
        values[ID_OP_USER_INDEX]     = op_uid;
        values[LOCK_INDEX]           = lock;
        values[MX_NAME_ID_INDEX]     = new Null(Types.NUMERIC);
        values[MX_NAME_INDEX]        = mxFQDN;
        values[PARENT_NAME_ID_INDEX] = new Null(Types.NUMERIC);
        values[PARENT_NAME_INDEX]    = parentFQDN;
    }

    public String getSQL() {
        return proc_call_sql(Function_Map_Controller.get_function_name (Function_Map.PACKAGE_MXRECORD, Function_Map.DELETE));
    }
}
