package stanford.netdb.lib;

import stanford.netdb.utils.*;
import java.lang.*;
import java.sql.*;

/** db call NetDB_MXrecord.upd */
class MXModifyCommand extends DBCall {

    private static final int ID_OP_USER_INDEX     = 0; // p_op_uid
    private static final int LOCK_INDEX           = 1; // p_lock
    private static final int MX_NAME_ID_INDEX     = 2; // p_sent_to_id
    private static final int MX_NAME_INDEX        = 3; // p_sent_to
    private static final int PARENT_NAME_ID_INDEX = 4; // p_received_by_id
    private static final int PARENT_NAME_INDEX    = 5; // p_received_by
    private static final int MX_PREF              = 6; // p_new_pref

    public MXModifyCommand(stanford.netdb.utils.Logger logger, String mxFQDN,
                           String parentFQDN, Timestamp lock, Integer op_uid, Integer pref) {
        super(logger);
        db_call_type = Function_Map_Controller.get_function_type (Function_Map.PACKAGE_MXRECORD, Function_Map.UPDATE);

        values = new Object[7];
        values[ID_OP_USER_INDEX]     = op_uid;
        values[LOCK_INDEX]           = lock;
        values[MX_NAME_ID_INDEX]     = new Null(Types.NUMERIC);
        values[MX_NAME_INDEX]        = mxFQDN;
        values[PARENT_NAME_ID_INDEX] = new Null(Types.NUMERIC);
        values[PARENT_NAME_INDEX]    = parentFQDN;
        values[MX_PREF]              = pref;
    }

    public String getSQL() {
        return proc_call_sql(Function_Map_Controller.get_function_name (Function_Map.PACKAGE_MXRECORD, Function_Map.UPDATE));
    }
}
