/************************************************************************
 *
 * MakeDeleteCommand.java - db call NetDB_Make.master 'delete'
 *
 * $Id: MakeDeleteCommand.java,v 1.2 2008-03-15 02:56:06 jlidtke Exp $
 *
 *-----------------------------------------------------------------------
 * Copyright (c) 2002, Board of Trustees, Leland Stanford Jr. University
 ************************************************************************/
package stanford.netdb.lib;

import java.lang.*;
import java.util.*;

/** db call NetDB_Make.master 'delete' */
class MakeDeleteCommand extends DBCall {

    private static final int OP_USER_INDEX = 0;  // p_op_uid
    private static final int MAKE_INDEX    = 1;  // p_make

    public MakeDeleteCommand(stanford.netdb.utils.Logger logger,
                             Hashtable make, Integer op_uid)
    {
        super(logger);
        db_call_type = Function_Map_Controller.get_function_type (Function_Map.PACKAGE_MAKE, Function_Map.DELETE);

        values = new Object[2];
        values[OP_USER_INDEX] = op_uid;
        values[MAKE_INDEX]    = make.get("name");
    }

    public String getSQL() {
        return proc_call_sql(Function_Map_Controller.get_function_name (Function_Map.PACKAGE_MAKE, Function_Map.DELETE));
    }
}
