/************************************************************************
 *
 * MakeModifyCommand.java - db call NetDB_Make.master 'update'
 *
 * $Id: MakeModifyCommand.java,v 1.2 2008-03-15 02:56:07 jlidtke Exp $
 *
 *-----------------------------------------------------------------------
 * Copyright (c) 2002, Board of Trustees, Leland Stanford Jr. University
 ************************************************************************/
package stanford.netdb.lib;

import stanford.netdb.utils.*;
import java.lang.*;
import java.util.*;

/** db call NetDB_Make.master 'insert' */
class MakeModifyCommand extends DBCall {

    private static final int OP_USER_INDEX  = 0;  // p_op_uid
    private static final int MAKE_INDEX     = 1;  // p_make
    private static final int NEW_MAKE_INDEX = 2;  // p_make_new

    public MakeModifyCommand(stanford.netdb.utils.Logger logger,
                             Hashtable oldMake, Hashtable newMake,
                             Integer op_uid)
    {
        super(logger);
        db_call_type = Function_Map_Controller.get_function_type (Function_Map.PACKAGE_MAKE, Function_Map.UPDATE);

        values = new Object[3];
        values[OP_USER_INDEX]  = op_uid;
        values[MAKE_INDEX]     = oldMake.get("name");
        values[NEW_MAKE_INDEX] = newMake.get("name");
    }

    public String getSQL() {
        return proc_call_sql(Function_Map_Controller.get_function_name (Function_Map.PACKAGE_MAKE, Function_Map.UPDATE));
    }
}
