/************************************************************************
 *
 * ModelInsertCommand.java - db call NetDB_Model.master 'insert'
 *
 * $Id: ModelInsertCommand.java,v 1.2 2008-03-15 02:56:09 jlidtke Exp $
 *
 *-----------------------------------------------------------------------
 * Copyright (c) 2002, Board of Trustees, Leland Stanford Jr. University
 ************************************************************************/
package stanford.netdb.lib;

import stanford.netdb.utils.*;
import java.util.*;
import java.lang.*;

/** db call NetDB_Model.master 'insert' */
class ModelInsertCommand extends DBCall {

    private static final int ID_OP_USER_INDEX = 1; // p_op_uid
    private static final int MAKE_INDEX       = 2; // p_make
    private static final int MODEL_NAME_INDEX = 3; // p_modelname
    private static final int MODEL_TYPE_INDEX = 4; // p_type

    public ModelInsertCommand(stanford.netdb.utils.Logger logger, Hashtable model, Integer op_uid) {
        super(logger);
        db_call_type = Function_Map_Controller.get_function_type (Function_Map.PACKAGE_MODEL, Function_Map.INSERT);

        values = new Object[5];
        values[0]                = ref_cursor;
        values[ID_OP_USER_INDEX] = op_uid;
        values[MAKE_INDEX]       = model.get("make");
        values[MODEL_NAME_INDEX] = model.get("model");
        String type = ((String)Utils.n2s(model.get("type"))).trim();
        values[MODEL_TYPE_INDEX] = o2v(type);
    }

    public String getSQL() {
        return proc_call_sql(Function_Map_Controller.get_function_name (Function_Map.PACKAGE_MODEL, Function_Map.INSERT));
    }
}
