/************************************************************************
 *
 * NameCancelCommand.java - db call NetDB_Name.cancel
 *
 * $Id: NameCancelCommand.java,v 1.2 2008-03-15 02:56:10 jlidtke Exp $
 *
 *-----------------------------------------------------------------------
 * Copyright (c) 2002, Board of Trustees, Leland Stanford Jr. University
 ************************************************************************/
package stanford.netdb.lib;

import stanford.netdb.utils.*;
import java.lang.*;
import java.sql.*;

/** db call NetDB_Name.cancel */
class NameCancelCommand extends DBCall {

    private static final int ID_OP_USER_INDEX = 0; // p_op_uid
    private static final int NAME_ID_INDEX    = 1; // p_name
    private static final int FULLNAME_INDEX   = 2; // p_fullname
    private static final int TYPE_INDEX       = 3; // p_type

    /**
     * nameType = Constants.{DOMAIN_TYPE, NODE_NAME_TYPE, ADDRESS_NAME_TYPE, INTERFACE_NAME_TYPE,
     *                       NETWORK_NAME_TYPE, NAME_ALIAS_TYPE, MX_TYPE}
     **/
    public NameCancelCommand(stanford.netdb.utils.Logger logger, String name,
                             String domain, String type, Integer op_uid) {
        super(logger);
        db_call_type = Function_Map_Controller.get_function_type (Function_Map.PACKAGE_NAME, Function_Map.CANCEL);
        values = new Object[4];

        values[ID_OP_USER_INDEX] = op_uid;
        values[NAME_ID_INDEX]    = new Null(Types.NUMERIC);
        values[FULLNAME_INDEX]   = name+"."+domain;
        values[TYPE_INDEX]       = type;
    }

    public String getSQL() {
        return proc_call_sql(Function_Map_Controller.get_function_name (Function_Map.PACKAGE_NAME, Function_Map.CANCEL));
    }
}
