/************************************************************************
 *
 * NameDeleteCommand.java - db call NetDB_Name.del
 *
 * $Id: NameDeleteCommand.java,v 1.2 2008-03-15 02:56:10 jlidtke Exp $
 *
 *-----------------------------------------------------------------------
 * Copyright (c) 2002, Board of Trustees, Leland Stanford Jr. University
 ************************************************************************/
package stanford.netdb.lib;

import stanford.netdb.utils.*;
import java.lang.*;
import java.sql.*;

/** db call NetDB_Name.del */
class NameDeleteCommand extends DBCall {

    private static final int ID_OP_USER_INDEX = 0; // p_op_uid
    private static final int LOCK_INDEX       = 1; // p_lock
    private static final int NAME_ID_INDEX    = 2; // p_name_id
    private static final int FULLNAME_INDEX   = 3; // p_fullname
    private static final int TYPE_INDEX       = 4; // p_fullname

    public NameDeleteCommand(stanford.netdb.utils.Logger logger, String name,
                             String domain, String type, Timestamp lock, Integer op_uid)
    {
        super(logger);
        db_call_type = Function_Map_Controller.get_function_type (Function_Map.PACKAGE_NAME, Function_Map.DELETE);
        values = new Object[5];

        values[ID_OP_USER_INDEX] = op_uid;
        values[LOCK_INDEX]       = lock;
        values[NAME_ID_INDEX]    = new Null(Types.NUMERIC);
        values[FULLNAME_INDEX]   = name+"."+domain;
        values[TYPE_INDEX]       = type;
    }

    public String getSQL() {
        return proc_call_sql(Function_Map_Controller.get_function_name (Function_Map.PACKAGE_NAME, Function_Map.DELETE));
    }
}
