/************************************************************************
 *
 * NetDBii.java -
 *
 * $Id: NetDBii.java,v 1.2 2006-10-03 23:31:31 priimak Exp $
 *
 *-----------------------------------------------------------------------
 * Copyright (c) 2002, Board of Trustees, Leland Stanford Jr. University
 ************************************************************************/
package stanford.netdb.lib;

import java.lang.*;
import java.util.*;
import java.sql.*;
import java.lang.reflect.*;
import stanford.netdb.utils.*;

interface NetDBii {

    public Hashtable getGlobalDefaults()
        throws Exception;

    public Hashtable   getCurrentUser           ()
        throws Exception;

    public Hashtable   getUser                  ();

    public String      getDefaultDomain         ();

    public void        storeSearch              (String searchID, Statement stmt, Connection con);

    public void        cancelSearch             (String searchID);

    public String      createSearchID           ();

    public Hashtable   simpleSearch             (int what, String searchStr)
        throws Exception, NetDBException;

    public Hashtable   simpleSearch             (int what, String searchStr, String searchID)
        throws Exception, NetDBException;

    public Hashtable   dirSearch                (int byWhat, String sString)
        throws Exception;

    public Hashtable fullSearch             (int what, Hashtable search_params, String searchID)
        throws Exception;

    public Hashtable fullSearch             (Hashtable search_params, String searchID)
        throws Exception;

    public String      findIPAddrSpace          (String ip)
        throws Exception, NetDBException;

    public void        moveAS                   (Vector asList, String targetNetFQDN)
        throws Exception, NetDBException;

    public Timestamp   lock                     (int what, String handle)
        throws Exception, NetDBException;

    public Timestamp   lock                     (int what, int oid)
        throws Exception, NetDBException;

    public Timestamp   unlock                   (int what, String handle, Timestamp tm)
        throws Exception, NetDBException;

    public void        unlock                   (int what, int oid, Timestamp tm)
        throws Exception, NetDBException;

    public Hashtable   splitAS                  (Hashtable as)
        throws Exception, NetDBException;

    public Hashtable   verifyAddressSpace       (String prefix, Integer idNet)
        throws Exception, NetDBException;

    public Hashtable   update                   (Hashtable oldObj, Hashtable newObj)
        throws Exception, NetDBException;

    public Hashtable   delete                   (int what, String oid)
        throws Exception, NetDBException;

    public Hashtable   delete                   (Hashtable obj)
        throws Exception, NetDBException;

    public Hashtable   insert                   (Hashtable obj)
        throws Exception, NetDBException;

    public Hashtable   reserveIP                (String asPrefix, String ip, int count)
        throws Exception, NetDBException;

    public Hashtable   reserveIP                (NetDBConnection con, String asPrefix, String ip, int count)
        throws Exception, NetDBException;

    public void        cancelIP                 (String ip)
        throws Exception, NetDBException;

    public String      reserveName              (String fqdnName, String nameType)
        throws Exception, NetDBException;

    public Hashtable   reserveName              (NetDBConnection con, String fqdnName, String nameType)
        throws Exception, NetDBException;

    public void        cancelName               (String fqdnName, String nameType)
        throws Exception, NetDBException;

    public void        cancelName               (NetDBConnection con, String fqdnName, String nameType)
        throws Exception, NetDBException;

    public boolean     checkAccess              (int objectType)
        throws Exception, NetDBException, InternalException;

    public boolean     checkGroupAccess         (Hashtable object)
        throws Exception, NetDBException, InternalException;

    public Hashtable   getInfo                  (int what, int oid)
        throws Exception, InternalException;

    public Hashtable   getInfo                  (int what, String handle)
        throws Exception;

    public Hashtable   listMyAddrSpaces         () throws Exception;

    public Hashtable   listMyDomains            () throws Exception;

    public Hashtable   listMyGroups             (String filter) throws Exception, NetDBException;

    public Hashtable   listAddrSpaces           () throws Exception;

    public Hashtable   listDHCPServices         () throws Exception;

    public Hashtable   listRecords              () throws Exception;

    public Hashtable   listStates               () throws Exception;

    public Hashtable   list                     (int what, String filter, boolean mine) throws Exception;

    public Hashtable   listMyStates             (String filter) throws Exception;

    public Hashtable   generateHexName          (String ip, int salt);

    public Hashtable   getState                 ();

    public void        removeReservedName       (Hashtable name);

    public void        reloadConfig             ()
        throws Exception;

    public boolean     isTimeout                ();

    public SystemParameter selectSystemParameter(String parameterName)
        throws Exception, SQLException, InvocationTargetException, IllegalAccessException;

    public void unregister_lock                 (java.sql.Timestamp tm, Integer what);

    public void register_reserved_ip            (String ip);

    public void unregister_reserved_ip          (String ip);
}
