/************************************************************************
 *
 * NetworkCommand.java - base class for db call NetDB_Network.master
 *
 * $Id: NetworkCommand.java,v 1.2 2008-03-15 02:56:10 jlidtke Exp $
 *
 *-----------------------------------------------------------------------
 * Copyright (c) 2001 Board of Trustees, Leland Stanford Jr. University
 ************************************************************************/
package stanford.netdb.lib;

import stanford.netdb.utils.*;
import java.lang.*;
import java.util.*;
import java.sql.*;

/** base class for db call NetDB_Network.master */
abstract class NetworkCommand extends DBCall {

    public Timestamp lock;

    protected Integer op_uid;
    protected Integer idNet;

    protected Hashtable oldNet;
    protected Hashtable newNet;

    public NetworkCommand(stanford.netdb.utils.Logger logger) {
        super(logger);
    }

    public void checkErrors(Hashtable result, Hashtable warnings) throws MiniException {
        Vector error_set = (Vector)result.get("errors");
        if( error_set != null && error_set.size() > 0 ) {
            if( warnings == null )
                throw new MiniException(result);

            for( int i = 0; i < error_set.size(); i++ ) {
                String element = error_set.elementAt(i).toString().trim();
                logger.debug(element);
                if( element.startsWith("WARNING") )
                    warnings.put(element, "");
                else
                    throw new MiniException(result);
            }
        }
    }

    class MiniException extends Exception {
        public Hashtable result;

        public MiniException(Hashtable result) {
            this.result = result;
        }
    } // end of class MiniException
}
