/************************************************************************
 *
 * NetworkDeleteCommand.java - db call NetDB_Network.master 'delete'
 *
 * $Id: NetworkDeleteCommand.java,v 1.2 2008-03-15 02:56:11 jlidtke Exp $
 *
 *-----------------------------------------------------------------------
 * Copyright (c) 2002, Board of Trustees, Leland Stanford Jr. University
 ************************************************************************/
package stanford.netdb.lib;

import java.lang.*;
import java.sql.*;

/** db call NetDB_Network.master 'delete' */
class NetworkDeleteCommand extends DBCall {

    private static final int ID_OP_USER_INDEX = 0; // p_op_uid
    private static final int LOCKED_INDEX     = 1; // p_lock
    private static final int ID_NETWORK_INDEX = 2; // p_net_id

    public NetworkDeleteCommand(stanford.netdb.utils.Logger logger, Integer idNet,
                                Timestamp locked, Integer op_uid) {
        super(logger);
        db_call_type = Function_Map_Controller.get_function_type (Function_Map.PACKAGE_NETWORK, Function_Map.DELETE);

        values = new Object[3];
        values[ID_OP_USER_INDEX] = op_uid;
        values[LOCKED_INDEX]     = locked;
        values[ID_NETWORK_INDEX] = idNet;
    }

    public String getSQL() {
        return proc_call_sql(Function_Map_Controller.get_function_name (Function_Map.PACKAGE_NETWORK, Function_Map.DELETE));
    }
}
