/************************************************************************
 *
 * NetworkInfoCommand.java - db call NetDB_Network.master 'info', ...
 *
 * $Id: NetworkInfoCommand.java,v 1.2 2008-03-15 02:56:11 jlidtke Exp $
 *
 *-----------------------------------------------------------------------
 * Copyright (c) 2001 Board of Trustees, Leland Stanford Jr. University
 ************************************************************************/
package stanford.netdb.lib;

import stanford.netdb.utils.*;
import java.util.*;
import java.lang.*;
import java.sql.*;

/** NetDB_Network.master 'info', ... */
class NetworkInfoCommand extends DBCall {

    private static final int ID_NETWORK_INDEX = 1; // p_net_id

    public NetworkInfoCommand(stanford.netdb.utils.Logger logger, Integer idNetwork) {
        super(logger);
        db_call_type = Function_Map_Controller.get_function_type (Function_Map.PACKAGE_NETWORK, Function_Map.INFO);

        values = new Object[2];
        values[0]                = ref_cursor;
        values[ID_NETWORK_INDEX] = idNetwork;
    }

    public String getSQL() {
        return proc_call_sql(Function_Map_Controller.get_function_name (Function_Map.PACKAGE_NETWORK, Function_Map.INFO));
    }
}
