/************************************************************************
 *
 * NetworkLockUnLockCommand.java - db call NetDB_Network.master 'lock/unlock'
 *
 * $Id: NetworkLockCommand.java,v 1.1 2008-03-15 02:56:11 jlidtke Exp $
 *
 *-----------------------------------------------------------------------
 * Copyright (c) 2002, Board of Trustees, Leland Stanford Jr. University
 ************************************************************************/
package stanford.netdb.lib;

import java.lang.*;
import java.sql.*;

/** db call NetDB_Network.master 'lock/unlock' */
class NetworkLockCommand extends DBCall {

    private static final int ID_OP_USER_INDEX = 1; // p_op_uid
    private static final int ID_NETWORK_INDEX = 2; // p_net_id

    public NetworkLockCommand(stanford.netdb.utils.Logger logger,
                                    int id,
                                    Integer op_uid) {
        super(logger);
        db_call_type = Function_Map_Controller.get_function_type (Function_Map.PACKAGE_NETWORK, Function_Map.LOCK_RECORD);

        values = new Object[3];
        values[0]                = ref_cursor;
        values[ID_OP_USER_INDEX] = op_uid;
        values[ID_NETWORK_INDEX] = new Integer(id);
    }

    public String getSQL() {
        return proc_call_sql(Function_Map_Controller.get_function_name (Function_Map.PACKAGE_NETWORK, Function_Map.LOCK_RECORD));
    }
}
