/************************************************************************
 *
 * NodeDeleteCommand.java - NetDB_Node.master 'delete', ...
 *
 * $Id: NodeDeleteCommand.java,v 1.2 2008-03-15 02:56:13 jlidtke Exp $
 *
 *-----------------------------------------------------------------------
 * Copyright (c) 2002, Board of Trustees, Leland Stanford Jr. University
 ************************************************************************/
package stanford.netdb.lib;

import java.lang.*;
import java.sql.*;

/** NetDB_Node.master 'delete', ... */
class NodeDeleteCommand extends DBCall {

    private static final int OP_USER_INDEX = 0;  // p_op_uid
    private static final int LOCKED_INDEX  = 1;  // p_lock
    private static final int ID_NODE_INDEX = 2;  // p_node_id

    public NodeDeleteCommand(stanford.netdb.utils.Logger logger,
                             Integer idNode, Timestamp tm, Integer op_uid) {
        super(logger);
        db_call_type = Function_Map_Controller.get_function_type (Function_Map.PACKAGE_NODE, Function_Map.DELETE);

        values = new Object[3];
        values[OP_USER_INDEX] = op_uid;
        values[ID_NODE_INDEX] = idNode;
        values[LOCKED_INDEX]  = tm;
    }

    public String getSQL() {
        return proc_call_sql(Function_Map_Controller.get_function_name (Function_Map.PACKAGE_NODE, Function_Map.DELETE));
    }
}
