/************************************************************************
 *
 * NodeInfoCommand.java - db call NetDB_Node.master 'info', ...
 *
 * $Id: NodeInfoCommand.java,v 1.3 2008-03-15 02:56:13 jlidtke Exp $
 *
 *-----------------------------------------------------------------------
 * Copyright (c) 2001 Board of Trustees, Leland Stanford Jr. University
 ************************************************************************/
package stanford.netdb.lib;

import stanford.netdb.utils.*;
import java.util.*;
import java.lang.*;
import java.sql.*;

/** NetDB_Node.master 'info', ... */
class NodeInfoCommand extends DBCall {

    private static final int ID_NODE_INDEX = 1;  // p_node_id
    private static final int OP_USER_INDEX = 2;  // p_op_uid

    public NodeInfoCommand(stanford.netdb.utils.Logger logger, Integer idNode, Integer op_uid) {
        super(logger);
        db_call_type = Function_Map_Controller.get_function_type (Function_Map.PACKAGE_NODE, Function_Map.INFO);

        values = new Object[3];
        values[0]             = ref_cursor;
        values[ID_NODE_INDEX] = o2n(idNode, Types.NUMERIC);
        values[OP_USER_INDEX] = o2n(op_uid, Types.NUMERIC);
    }

    public String getSQL() {
        return proc_call_sql(Function_Map_Controller.get_function_name (Function_Map.PACKAGE_NODE, Function_Map.INFO));
    }
}
