/************************************************************************
 *
 * NodeLockUnLockCommand.java -
 *
 * $Id: NodeLockCommand.java,v 1.1 2008-03-15 02:56:13 jlidtke Exp $
 *
 *-----------------------------------------------------------------------
 * Copyright (c) 2002, Board of Trustees, Leland Stanford Jr. University
 ************************************************************************/
package stanford.netdb.lib;

import java.lang.*;
import java.sql.*;

/** db call pNetwork 'lock/unlock' */
class NodeLockCommand extends DBCall {

    private static final int OP_USER_INDEX = 1;  // p_op_uid
    private static final int ID_NODE_INDEX = 2;  // p_node_id

    public NodeLockCommand(stanford.netdb.utils.Logger logger,
                                 int id,
                                 Integer op_uid) {
        super(logger);
        db_call_type = Function_Map_Controller.get_function_type (Function_Map.PACKAGE_NODE, Function_Map.LOCK_RECORD);

        values = new Object[3];
        values[0]             = ref_cursor;
        values[OP_USER_INDEX] = op_uid;
        values[ID_NODE_INDEX] = new Integer(id);
    }

    public String getSQL() {
        return proc_call_sql(Function_Map_Controller.get_function_name (Function_Map.PACKAGE_NODE, Function_Map.LOCK_RECORD));
    }
}
