/************************************************************************
 *
 * NodeTagsCommand.java - db call NetDB_Node.tag
 *
 * $Id: NodeTagsCommand.java,v 1.2 2008-03-15 02:56:15 jlidtke Exp $
 *
 *-----------------------------------------------------------------------
 * Copyright (c) 2002, Board of Trustees, Leland Stanford Jr. University
 ************************************************************************/
package stanford.netdb.lib;

import stanford.netdb.utils.*;
import java.lang.*;
import java.sql.*;

/** db call NetDB_Node.tag */
class NodeTagsCommand extends DBCall {

    public static String DELETE_ACTION = "remove";
    public static String INSERT_ACTION = "add";

    private static final int ACTION_INDEX     = 0; // p_action
    private static final int ID_OP_USER_INDEX = 1; // p_op_uid
    private static final int LOCK_INDEX       = 2; // p_lock
    private static final int NODE_ID_INDEX    = 3; // p_node_id
    private static final int NODE_NAME_INDEX  = 4; // p_node
    private static final int TAG_NAME_INDEX   = 5; // p_label
    private static final int TAG_VALUE_INDEX  = 6; // p_value

    public NodeTagsCommand(stanford.netdb.utils.Logger logger, String action, Timestamp lock,
                           Integer nodeID, String tag_name, String tag_value, Integer op_uid)
    {
        super(logger);
        values = new Object[7];
        db_call_type = Function_Map_Controller.get_function_type (Function_Map.PACKAGE_NODE, Function_Map.TAG);

        values[ACTION_INDEX]     = action;
        values[ID_OP_USER_INDEX] = op_uid;
        values[LOCK_INDEX]       = lock;
        values[NODE_ID_INDEX]    = nodeID;
        values[NODE_NAME_INDEX]  = new Null(Types.VARCHAR);
        values[TAG_NAME_INDEX]   = tag_name;
        values[TAG_VALUE_INDEX]  = o2v(tag_value);
    }

    public String getSQL() {
        return proc_call_sql(Function_Map_Controller.get_function_name (Function_Map.PACKAGE_NODE, Function_Map.TAG));
    }
}
