/************************************************************************
 *
 * NodeTypeCommand.java - db call NetDB_Node.type
 *
 * $Id: NodeTypeCommand.java,v 1.2 2008-03-15 02:56:15 jlidtke Exp $
 *
 *-----------------------------------------------------------------------
 * Copyright (c) 2003, Board of Trustees, Leland Stanford Jr. University
 ************************************************************************/
package stanford.netdb.lib;

import stanford.netdb.utils.*;
import java.lang.*;
import java.sql.*;

/** db call NetDB_Node.type */
class NodeTypeCommand extends DBCall {

    public static final String INSERT_ACTION = "add";
    public static final String DELETE_ACTION = "remove";

    private static final int ACTION_INDEX     = 0; // p_action
    private static final int ID_OP_USER_INDEX = 1; // p_op_uid
    private static final int LOCK_INDEX       = 2; // p_lock
    private static final int ID_NODE_INDEX    = 3; // p_node_id
    private static final int NAME_INDEX       = 4; // p_node
    private static final int TYPE_INDEX       = 5; // p_type

    public NodeTypeCommand(stanford.netdb.utils.Logger logger, String action,
                           Timestamp lock, Integer idNode, String type, Integer op_uid)
    {
        super(logger);
        values = new Object[6];
        db_call_type = Function_Map_Controller.get_function_type (Function_Map.PACKAGE_NODE, Function_Map.TYPE);

        values[ACTION_INDEX]     = action;
        values[ID_OP_USER_INDEX] = op_uid;
        values[LOCK_INDEX]       = lock;
        values[NAME_INDEX]       = new Null(Types.VARCHAR);
        values[ID_NODE_INDEX]    = idNode;
        values[TYPE_INDEX]       = type;
    }

    public String getSQL() {
        return proc_call_sql(Function_Map_Controller.get_function_name (Function_Map.PACKAGE_NODE, Function_Map.TYPE));
    }
}
