/************************************************************************
 *
 * NodeTypeListCommand.java - NetDB_NodeTpe.list procedure call
 *
 * $Id: NodeTypeListCommand.java,v 1.2 2008-03-15 02:56:15 jlidtke Exp $
 *
 *-----------------------------------------------------------------------
 * Copyright (c) 2006, Board of Trustees, Leland Stanford Jr. University
 ************************************************************************/
package stanford.netdb.lib;

import stanford.netdb.utils.*;
import java.lang.*;
import java.sql.*;

/** contains all constants for NetDB_NodeTpe.list procedure call */
public class NodeTypeListCommand extends DBCall {

    private static final int UID_INDEX = 1; // p_user_id

    public NodeTypeListCommand(stanford.netdb.utils.Logger logger, Integer uid) {
        super(logger);
        db_call_type = Function_Map_Controller.get_function_type (Function_Map.PACKAGE_NODETYPE, Function_Map.LIST);

        values            = new Object[2];
        values[0]         = ref_cursor;
        values[UID_INDEX] = o2n(uid, Types.NUMERIC);
    }

    public String getSQL() {
        return proc_call_sql(Function_Map_Controller.get_function_name (Function_Map.PACKAGE_NODETYPE, Function_Map.LIST));
    }
} // end of class NodeTypeListCommand
