/************************************************************************
 *
 * NodeLockUnLockCommand.java -
 *
 * $Id: NodeUnlockCommand.java,v 1.1 2008-03-15 02:56:16 jlidtke Exp $
 *
 *-----------------------------------------------------------------------
 * Copyright (c) 2002, Board of Trustees, Leland Stanford Jr. University
 ************************************************************************/
package stanford.netdb.lib;

import java.lang.*;
import java.sql.*;

/** db call pNetwork 'lock/unlock' */
class NodeUnlockCommand extends DBCall {

    private static final int OP_USER_INDEX = 0;  // p_op_uid
    private static final int LOCKED_INDEX  = 1;  // p_lock
    private static final int ID_NODE_INDEX = 2;  // p_node_id

    public NodeUnlockCommand(stanford.netdb.utils.Logger logger,
                                 int id,
                                 Timestamp tm,
                                 Integer op_uid) {
        super(logger);
        db_call_type = Function_Map_Controller.get_function_type (Function_Map.PACKAGE_NODE, Function_Map.UNLOCK_RECORD);

        values = new Object[3];
        values[ID_NODE_INDEX] = new Integer(id);
        values[OP_USER_INDEX] = op_uid;
        values[LOCKED_INDEX]  = tm;
    }

    public String getSQL() {
        return proc_call_sql(Function_Map_Controller.get_function_name (Function_Map.PACKAGE_NODE, Function_Map.UNLOCK_RECORD));
    }
}
