/************************************************************************
 *
 * NodeUserCommand.java - db call NetDB_Node.user
 *
 * $Id: NodeUserCommand.java,v 1.2 2008-03-15 02:56:16 jlidtke Exp $
 *
 *-----------------------------------------------------------------------
 * Copyright (c) 2002, Board of Trustees, Leland Stanford Jr. University
 ************************************************************************/
package stanford.netdb.lib;

import stanford.netdb.utils.*;
import java.lang.*;
import java.sql.*;

/** db call NetDB_Node.user */
class NodeUserCommand extends DBCall {

    public static final String INSERT_ACTION   = "add";
    public static final String DELETE_ACTION   = "remove";

    private static final int ACTION_INDEX       = 0; // p_action
    private static final int ID_OP_USER_INDEX   = 1; // p_op_uid
    private static final int LOCK_INDEX         = 2; // p_lock
    private static final int ID_NODE_INDEX      = 3; // p_node_id
    private static final int NODE_NAME_INDEX    = 4; // p_node
    private static final int PERSON_ID_INDEX    = 5; // @dwrdPerRegId
    private static final int PERSON_REGID_INDEX = 6; // @dwrdPerRegId

    public NodeUserCommand(stanford.netdb.utils.Logger logger, String action,
                           Timestamp lock, Integer idNode, Integer person_id,
                           Integer op_uid)
    {
        super(logger);
        values = new Object[7];
        db_call_type = Function_Map_Controller.get_function_type (Function_Map.PACKAGE_NODE, Function_Map.USER);

        values[ACTION_INDEX]       = action;
        values[ID_OP_USER_INDEX]   = op_uid;
        values[LOCK_INDEX]         = lock;
        values[ID_NODE_INDEX]      = idNode;
        values[NODE_NAME_INDEX]    = new Null(Types.VARCHAR);
        values[PERSON_ID_INDEX]    = person_id;
        values[PERSON_REGID_INDEX] = new Null(Types.VARCHAR);
    }

    public String getSQL() {
        return proc_call_sql(Function_Map_Controller.get_function_name (Function_Map.PACKAGE_NODE, Function_Map.USER));
    }
}
