/************************************************************************
 *
 * OSDeleteCommand.java - db call NetDB_OS.master 'delete'
 *
 * $Id: OSDeleteCommand.java,v 1.2 2008-03-15 02:56:17 jlidtke Exp $
 *
 *-----------------------------------------------------------------------
 * Copyright (c) 2002, Board of Trustees, Leland Stanford Jr. University
 ************************************************************************/
package stanford.netdb.lib;

import java.lang.*;
import java.util.*;

/** db call NetDB_OS.master 'delete' */
class OSDeleteCommand extends DBCall {

    private static final int OP_USER_INDEX = 0; // p_op_uid
    private static final int OS_NAME_INDEX = 1; // p_os
    /**
     * Constructor for OSDeleteCommand class.
     *
     * @param os         OS object we want to delete
     * @param regID      regID of operating user
     */
    public OSDeleteCommand(stanford.netdb.utils.Logger logger, Hashtable os,
                           Integer op_uid)
    {
        super(logger);
        db_call_type = Function_Map_Controller.get_function_type (Function_Map.PACKAGE_OS, Function_Map.DELETE);

        values = new Object[2];
        values[OP_USER_INDEX] = op_uid;
        values[OS_NAME_INDEX] = os.get("name");
    }

    public String getSQL() {
        return proc_call_sql(Function_Map_Controller.get_function_name (Function_Map.PACKAGE_OS, Function_Map.DELETE));
    }
}
