/************************************************************************
 *
 * OSInsertCommand.java - db call NetDB_OS.master 'insert'
 *
 * $Id: OSInsertCommand.java,v 1.3 2008-03-15 02:56:17 jlidtke Exp $
 *
 *-----------------------------------------------------------------------
 * Copyright (c) 2002, Board of Trustees, Leland Stanford Jr. University
 ************************************************************************/
package stanford.netdb.lib;

import stanford.netdb.utils.*;
import java.lang.*;
import java.util.*;

/** db call NetDB_OS.master 'insert' */
class OSInsertCommand extends DBCall {

    private static final int OP_USER_INDEX     = 0; // p_op_uid
    private static final int OS_NAME_INDEX     = 1; // p_os
    private static final int DESCRIPTION_INDEX = 2; // p_description

    public OSInsertCommand(stanford.netdb.utils.Logger logger, Hashtable newOS,
                           Integer op_uid)
    {
        super(logger);
        db_call_type = Function_Map_Controller.get_function_type (Function_Map.PACKAGE_OS, Function_Map.INSERT);

        values = new Object[3];
        values[OP_USER_INDEX]     = op_uid;
        values[OS_NAME_INDEX]     = newOS.get("name");
        values[DESCRIPTION_INDEX] = Utils.nStr(newOS, "comment").trim();
    }

    public String getSQL() {
        return proc_call_sql(Function_Map_Controller.get_function_name (Function_Map.PACKAGE_OS, Function_Map.INSERT));
    }
}
