/************************************************************************
 *
 * OSListCommand.java - db call NetDB_OS.master 'list'
 *
 * $Id: OSListCommand.java,v 1.2 2008-03-15 02:56:17 jlidtke Exp $
 *
 *-----------------------------------------------------------------------
 * Copyright (c) 2001 Board of Trustees, Leland Stanford Jr. University
 ************************************************************************/
package stanford.netdb.lib;

import stanford.netdb.utils.*;
import java.lang.*;
import java.util.*;
import java.sql.*;

/** db call NetDB_OS.master 'list' */
class OSListCommand extends DBCall {

    private static final int OS_NAME_INDEX = 1; // p_os

    public OSListCommand(stanford.netdb.utils.Logger logger, String filter) {
        super(logger);
        db_call_type = Function_Map_Controller.get_function_type (Function_Map.PACKAGE_OS, Function_Map.LIST);

        values = new Object[2];
        values[0]             = ref_cursor;
        values[OS_NAME_INDEX] = o2v(filter);
    }

    public String getSQL() {
        return proc_call_sql(Function_Map_Controller.get_function_name (Function_Map.PACKAGE_OS, Function_Map.LIST));
    }
}
