/************************************************************************
 *
 * StateDeleteCommand.java - db call NetDB_State.master 'delete'
 *
 *
 *
 *-----------------------------------------------------------------------
 * Copyright (c) 2005, Board of Trustees, Leland Stanford Jr. University
 ************************************************************************/
package stanford.netdb.lib;

import java.lang.*;
import java.util.*;

/** db call NetDB_State.master 'delete' */
class StateDeleteCommand extends DBCall {

    private static final int ID_OP_USER_INDEX = 0;  // p_op_uid
    private static final int STATE_NAME_INDEX = 1;  // p_state

    /**
     * Constructor for StateDeleteCommand class.
     *
     * @param state      state object to be deleted from db
     * @param op_uid     id of operating user
     */
    public StateDeleteCommand(stanford.netdb.utils.Logger logger,
                              Hashtable state, Integer op_uid) {
        super(logger);
        db_call_type = Function_Map_Controller.get_function_type (Function_Map.PACKAGE_STATE, Function_Map.DELETE);

        values = new Object[2];
        values[ID_OP_USER_INDEX] = op_uid;
        values[STATE_NAME_INDEX] = state.get("name");
    }

    public String getSQL() {
        return proc_call_sql(Function_Map_Controller.get_function_name (Function_Map.PACKAGE_STATE, Function_Map.DELETE));
    }
}
