/************************************************************************
 *
 * StateInfoCommand.java - db call pState 'info'
 *
 *
 *
 *-----------------------------------------------------------------------
 * Copyright (c) 2005, Board of Trustees, Leland Stanford Jr. University
 ************************************************************************/
package stanford.netdb.lib;

import stanford.netdb.utils.*;
import java.util.*;
import java.lang.*;
import java.sql.*;

/** db call pState 'info' */
class StateInfoCommand extends DBCall {

    private static final int STATE_NAME_INDEX = 1;  // p_state
    private static final int USER_ID_INDEX    = 2;  // p_user_id

    public StateInfoCommand(stanford.netdb.utils.Logger logger, String handle) {
        super(logger);
        db_call_type = Function_Map_Controller.get_function_type (Function_Map.PACKAGE_STATE, Function_Map.LIST);

        values = new Object[3];
        values[0]                = ref_cursor;
        values[STATE_NAME_INDEX] = o2v(handle);
        values[USER_ID_INDEX]    = new Null (Types.NUMERIC);
    }

    public String getSQL() {
        return proc_call_sql(Function_Map_Controller.get_function_name (Function_Map.PACKAGE_STATE, Function_Map.LIST));
    }
}
