/************************************************************************
 *
 * StateListCommand.java - db call NetDB_State.master 'list'
 *
 * $Id: StateListCommand.java,v 1.3 2008-03-26 02:27:15 jlidtke Exp $
 *
 *-----------------------------------------------------------------------
 * Copyright (c) 2005, Board of Trustees, Leland Stanford Jr. University
 ************************************************************************/
package stanford.netdb.lib;

import stanford.netdb.utils.*;
import java.util.*;
import java.lang.*;
import java.sql.*;

/** db call NetDB_State.master 'list' */
class StateListCommand extends DBCall {

    private static final int STATE_NAME_INDEX = 1;  // p_state
    private static final int USER_ID_INDEX    = 2;  // p_user_id

    public StateListCommand(stanford.netdb.utils.Logger logger, Integer uid, String filter) {
        super(logger);
        db_call_type = Function_Map_Controller.get_function_type (Function_Map.PACKAGE_STATE, Function_Map.LIST);

        values = new Object[3];
        values[0]                = ref_cursor;
        values[STATE_NAME_INDEX] = o2v(filter);
        values[USER_ID_INDEX]    = o2n(uid, Types.NUMERIC);
    }

    public String getSQL() {
        return proc_call_sql(Function_Map_Controller.get_function_name (Function_Map.PACKAGE_STATE, Function_Map.LIST));
    }
}
