/************************************************************************
 *
 * SystemParameter.java - A global system parameter set in NetDB.
 *                        Depending on what type of data is contained in
 *                        the parameter, use a different method to get
 *                        its value. Brought from old netdb.
 *
 * $Id: SystemParameter.java,v 1.1.1.1 2006-06-30 23:38:10 priimak Exp $
 *
 *-----------------------------------------------------------------------
 * Copyright (c) 2003, Board of Trustees, Leland Stanford Jr. University
 ************************************************************************/
package stanford.netdb.lib;

/**
 *
 */
class SystemParameter
    implements java.io.Serializable
{
    private String name;
    private String displayName;
    private String description;
    private String stringValue;
    private String lowerStringValue;
    private int intValue;
    private long idValue;

    public SystemParameter()
    {
    }

    public SystemParameter(String name, String displayName, String description,
                           String stringValue, String lowerStringValue, int intValue, long idValue)
    {
        this.name = name;
        this.displayName = displayName;
        this.description = description;
        this.stringValue = stringValue;
        this.lowerStringValue = lowerStringValue;
        this.intValue = intValue;
        this.idValue = idValue;
    }
    /**
     * Returns the name of the system parameter.
     */

    public String getName()
    {
        return name;
    }

    /**
     * Sets the name of the parameter.
     *
     * @param name
     */
    public void setName(String name)
    {
        this.name = name;
    }

    /**
     * Returns a description of the parameter.
     */
    public String getDescription()
    {
        return description;
    }

    /**
     * Sets a description of the parameter.
     *
     * @param description
     */
    public void setDescription(String description)
    {
        this.description = description;
    }

    /**
     * Returns the String value of the parameter.
     */
    public String getStringValue()
    {
        return stringValue;
    }

    /**
     * Sets the string value of the parameter.
     *
     * @param stringValue
     */
    public void setStringValue(String stringValue)
    {
        this.stringValue = stringValue;
    }

    /**
     * Returns the integer value of the parameter.
     */
    public int getIntValue()
    {
        return intValue;
    }

    /**
     * Sets the integer value of the parameter.
     *
     * @param intValue
     */
    public void setIntValue(int intValue)
    {
        this.intValue = intValue;
    }

    /**
     * Returns the long value of the parameter.
     */
    public long getIdValue()
    {
        return idValue;
    }

    /**
     * Sets the long value of the parameter.
     *
     * @param idValue
     */
    public void setIdValue(long idValue)
    {
        this.idValue = idValue;
    }
}
