/************************************************************************
 *
 * User.java - This is a wrapper object above users' hashtable. It is
 * here to accomodate legacy full search code.
 *
 * $Id: User.java,v 1.2 2006-09-26 17:41:07 priimak Exp $
 *
 *-----------------------------------------------------------------------
 * Copyright (c) 2003, Board of Trustees, Leland Stanford Jr. University
 ************************************************************************/
package stanford.netdb.lib;

import stanford.netdb.utils.*;
import java.util.*;
import java.lang.*;
import java.sql.*;

class User {

    private Hashtable user;

    public User(Hashtable user) {
        this.user = user;
    }

    public boolean getActive() {
        return ((Boolean)user.get("active?")).booleanValue();
    }

    //public void setActive(boolean isActive) {}

    public boolean getInAllOwnerGroups() {
        return ((Boolean)user.get("all_groups?")).booleanValue();
    }

    //public void setInAllOwnerGroups(boolean inAll) {}

    public boolean getInAllAccessGroups() {
        return ((Boolean)user.get("all_objects?")).booleanValue();
    }

    //public void setInAllAccessGroups(boolean inAll) {}

    public String getLogin() {
        return (String)user.get("NetID");
    }

    //public void setLogin(String login) {}

    public String getRegid() {
        return (String)user.get("RegID");
    }

    //public void setRegid(String newRegid) {}

    public Timestamp getLastLoginDate() {
        return (Timestamp)user.get("last_login");
    }

    public String getFullName() {
        return (String)user.get("name");
    }

    public String getEmail() {
        return (String)user.get("email");
    }

    public String getComment() {
        return (String)user.get("comment");
    }

    //public void setComment(String newComment) {}

    //public Owner getDefaultOwnerGroup() {
    //}

    //public void setDefaultOwnerGroup(Owner newDefaultOwnerGroup) {}

    public Domain getDefaultDomain() {
        return new Domain((String)user.get("default_domain"));
    }

    //public void setDefaultDomain(Domain newDefaultDomain) {}

    //public AddressSpace getDefaultAddressSpace() {
    //}

    // public void setDefaultAddressSpace(AddressSpace newDefaultAddressSpace) {}

    public Owner[] getOwnerGroups() {
        Hashtable groups = Utils.nHash(user.get("groups"));
        Owner[] owners = new Owner[groups.size()];
        int index = 0;
        Enumeration enm = groups.keys();
        while( enm.hasMoreElements() )
            owners[index++] = new Owner((String)enm.nextElement());
        return owners;
    }

    //public void setOwnerGroups(Owner[] owners) {}

    //public String[] getAccessGroups() {
    //}

    //public void setAccessGroups(String[] access) {}

    //public String[] getOfficialOrganizations() {
    //}

    //public void setOfficialOrganizations(String[] officialOrgs) {}

    //public String[] getUnofficialOrganizations() {
    //}

    //public void setUnofficialOrganizations(String[] unofficialOrgs) {}
}
