/************************************************************************
 *
 * UserAccessCommand.java - db call pUsers_Access
 *
 * $Id: UserAccessCommand.java,v 1.2 2008-03-15 02:56:18 jlidtke Exp $
 *
 *-----------------------------------------------------------------------
 * Copyright (c) 2002, Board of Trustees, Leland Stanford Jr. University
 ************************************************************************/
package stanford.netdb.lib;

import stanford.netdb.utils.*;
import java.lang.*;
import java.sql.*;

/** db call pUsers_Access */
class UserAccessCommand extends DBCall {

    public static final String INSERT_ACTION = "add";
    public static final String DELETE_ACTION = "remove";

    private static final int ACTION_INDEX      = 0;  // p_action
    private static final int ID_OP_USER_INDEX  = 1;  // p_op_uid
    private static final int LOCK_INDEX        = 2;  // p_lock
    private static final int USER_ID_INDEX     = 3;  // p_user_id
    private static final int ACCESS_ID_INDEX   = 4;  // p_access_id
    private static final int ACCESS_NAME_INDEX = 5;  // p_access_name

    public UserAccessCommand(stanford.netdb.utils.Logger logger, String action,
                             Integer user_id, String record_type, Timestamp lock,
                             Integer op_uid) {
        super(logger);
        db_call_type = Function_Map_Controller.get_function_type (Function_Map.PACKAGE_USER, Function_Map.USERS_ACCESS);

        values = new Object[6];
        values[ACTION_INDEX]      = action;
        values[ID_OP_USER_INDEX]  = op_uid;
        values[LOCK_INDEX]        = lock;
        values[USER_ID_INDEX]     = user_id;
        values[ACCESS_ID_INDEX]   = new Null(Types.NUMERIC);
        values[ACCESS_NAME_INDEX] = record_type;
    }

    public String getSQL() {
        return proc_call_sql(Function_Map_Controller.get_function_name (Function_Map.PACKAGE_USER, Function_Map.USERS_ACCESS));
    }
}
