/************************************************************************
 *
 * UserDeleteCommand.java - db call pUser 'delete'
 *
 * $Id: UserDeleteCommand.java,v 1.2 2008-03-15 02:56:19 jlidtke Exp $
 *
 *-----------------------------------------------------------------------
 * Copyright (c) 2002, Board of Trustees, Leland Stanford Jr. University
 ************************************************************************/
package stanford.netdb.lib;

import stanford.netdb.utils.*;
import java.lang.*;
import java.sql.*;

/** db call pUser 'delete' */
class UserDeleteCommand extends DBCall {

    private static final int OP_USER_INDEX = 0;  // p_op_uid
    private static final int LOCKED_INDEX  = 1;  // p_lock
    private static final int ID_INDEX      = 2;  // p_user_id

    public UserDeleteCommand(stanford.netdb.utils.Logger logger,
                             Integer idUser, Timestamp lockTm, Integer op_uid)
    {
        super(logger);
        db_call_type = Function_Map_Controller.get_function_type (Function_Map.PACKAGE_USER, Function_Map.DELETE);

        values = new Object[3];
        values[OP_USER_INDEX] = op_uid;
        values[LOCKED_INDEX]  = lockTm;
        values[ID_INDEX]      = idUser;
    }

    public String getSQL() {
        return proc_call_sql(Function_Map_Controller.get_function_name (Function_Map.PACKAGE_USER, Function_Map.DELETE));
    }
}
