/************************************************************************
 *
 * UserDepartmentCommand.java - db call NetDB_User.org
 *
 * $Id: UserDepartmentCommand.java,v 1.2 2008-03-15 02:56:19 jlidtke Exp $
 *
 *-----------------------------------------------------------------------
 * Copyright (c) 2002, Board of Trustees, Leland Stanford Jr. University
 ************************************************************************/
package stanford.netdb.lib;

import stanford.netdb.utils.*;
import java.lang.*;
import java.sql.*;

/** db call NetDB_User.org */
class UserDepartmentCommand extends DBCall {

    public static final String INSERT_ACTION = "insert";
    public static final String UPDATE_ACTION = "update";
    public static final String DELETE_ACTION = "delete";

    private static final int ACTION_INDEX     = 0;  // p_action
    private static final int ID_OP_USER_INDEX = 1;  // p_op_uid
    private static final int LOCK_INDEX       = 2;  // p_lock
    private static final int USER_ID_INDEX    = 3;  // p_user_id
    private static final int ORG_ID_INDEX     = 4;  // p_org_id
    private static final int OFFICIAL_INDEX   = 5;  // p_official

    public UserDepartmentCommand(stanford.netdb.utils.Logger logger, String action,
                                 Integer user_id, String org, boolean official,
                                 Timestamp lock, Integer op_uid) throws Exception {
        super(logger);
        db_call_type = Function_Map_Controller.get_function_type (Function_Map.PACKAGE_USER, Function_Map.ORG);

        values = new Object[6];
        values[ACTION_INDEX]     = action;
        values[ID_OP_USER_INDEX] = op_uid;
        values[LOCK_INDEX]       = lock;
        values[USER_ID_INDEX]    = user_id;
        values[ORG_ID_INDEX]     = ((NetDB)logger).verify_or_die (NetDB.DEPARTMENT, org);
        values[OFFICIAL_INDEX]   = new Short(official?(short)1:(short)0);
    }

    public String getSQL() {
        return proc_call_sql(Function_Map_Controller.get_function_name (Function_Map.PACKAGE_USER, Function_Map.ORG));
    }
}
