/************************************************************************
 *
 * UserLoginCommand.java - db call NetDB_User.master('login')
 *
 * $Id: UserLoginCommand.java,v 1.2 2008-03-15 02:56:20 jlidtke Exp $
 *
 *-----------------------------------------------------------------------
 * Copyright (c) 2005, Board of Trustees, Leland Stanford Jr. University
 ************************************************************************/
package stanford.netdb.lib;

import stanford.netdb.utils.*;
import java.util.*;
import java.lang.*;
import java.sql.*;

/** db call NetDB_User.master 'login' */
class UserLoginCommand extends DBCall {

    private static final int ID_INDEX     = 1;  // p_user_id
    private static final int NET_ID_INDEX = 2;  // p_netid

    public UserLoginCommand(stanford.netdb.utils.Logger logger, Integer idUser, String netID){
        super(logger);
        db_call_type = Function_Map_Controller.get_function_type (Function_Map.PACKAGE_USER, Function_Map.LOGIN);

        values = new Object[3];
        values[0]            = ref_cursor;
        values[ID_INDEX]     = o2n (idUser, Types.NUMERIC);
        values[NET_ID_INDEX] = netID;
    }

    public String getSQL() {
        return proc_call_sql(Function_Map_Controller.get_function_name (Function_Map.PACKAGE_USER, Function_Map.LOGIN));
    }
}
