/************************************************************************
 *
 * UserProfileModifyCommand.java - db call NetDB_User.master 'profile'
 *
 * $Id: UserProfileModifyCommand.java,v 1.2 2008-03-15 02:56:20 jlidtke Exp $
 *
 *-----------------------------------------------------------------------
 * Copyright (c) 2004, Board of Trustees, Leland Stanford Jr. University
 ************************************************************************/
package stanford.netdb.lib;

import stanford.netdb.utils.*;
import java.lang.*;
import java.util.*;
import java.sql.*;

/** db call NetDB_User.master 'profile' */
class UserProfileModifyCommand extends DBCall {

    private static final int OP_USER_INDEX        = 0;  // p_op_uid
    private static final int DEF_GROUP_INDEX      = 1;  // p_def_group
    private static final int DEF_DOMAIN_INDEX     = 2;  // p_def_domain
    private static final int DEF_ADDR_SPACE_INDEX = 3;  // p_def_prefix
    
    public UserProfileModifyCommand(stanford.netdb.utils.Logger logger, Hashtable user) {
        super(logger);
        db_call_type = Function_Map_Controller.get_function_type (Function_Map.PACKAGE_USER, Function_Map.UPDATE_PROFILE);

        values = new Object[4];
        values[OP_USER_INDEX]        = new Integer((String)user.get("id"));
        values[DEF_GROUP_INDEX]      = o2v(user.get("default_group"));
        values[DEF_DOMAIN_INDEX]     = o2v(user.get("default_domain"));
        values[DEF_ADDR_SPACE_INDEX] = o2v(user.get("default_addr_space"));
    }

    public String getSQL() {
        return proc_call_sql(Function_Map_Controller.get_function_name (Function_Map.PACKAGE_USER, Function_Map.UPDATE_PROFILE));
    }
}
