/************************************************************************
 *
 * UserLockUnLockCommand.java - db call NetDB_User.master 'lock/unlock'
 *
 * $Id: UserUnlockCommand.java,v 1.1 2008-03-15 02:56:21 jlidtke Exp $
 *
 *-----------------------------------------------------------------------
 * Copyright (c) 2002, Board of Trustees, Leland Stanford Jr. University
 ************************************************************************/
package stanford.netdb.lib;

import java.lang.*;
import java.sql.*;

/** db call NetDB_User.master 'unlock' */
class UserUnlockCommand extends DBCall {

    private static final int OP_USER_INDEX = 0;  // p_op_uid
    private static final int LOCKED_INDEX  = 1;  // p_lock
    private static final int ID_INDEX      = 2;  // p_user_id

    public UserUnlockCommand (stanford.netdb.utils.Logger logger,
                                 Integer idUser, Timestamp tm, Integer op_uid) {
        super(logger);
        db_call_type = Function_Map_Controller.get_function_type (Function_Map.PACKAGE_USER, Function_Map.UNLOCK_RECORD);

        values = new Object[3];
        values[OP_USER_INDEX] = op_uid;
        values[LOCKED_INDEX]  = tm;
        values[ID_INDEX]      = idUser;
    }

    public String getSQL() {
        return proc_call_sql(Function_Map_Controller.get_function_name (Function_Map.PACKAGE_USER, Function_Map.UNLOCK_RECORD));
    }
}
