package stanford.netdb.lib;

import java.lang.*;
import java.util.*;
import java.sql.*;

class VerifyCommand extends DBCall {

    public static final int ATEAM   = Function_Map.PACKAGE_ADMIN_TEAM;
    public static final int DOMAIN  = Function_Map.PACKAGE_DOMAIN;
    public static final int NETWORK = Function_Map.PACKAGE_NETWORK;
    public static final int NODE    = Function_Map.PACKAGE_NODE;
    public static final int USER    = Function_Map.PACKAGE_USER;

    private static final int ID_OP_USER_INDEX = 0; // p_op_uid
    private static final int ID_INDEX         = 1; // p_id

    private int type;

    /** record type is expected to be {ATEAM, DOMAIN, NETWORK, NODE, USER} */
    public VerifyCommand(stanford.netdb.utils.Logger logger,
                         int record_type,
                         int id,
                         Integer op_uid) throws Exception {
        super(logger);
        type = record_type;
        if(type != ATEAM && type != DOMAIN && type != NETWORK && type != NODE && type != USER)
            throw new Exception ("Unknown record type '" + record_type + "'.");

        db_call_type = Function_Map_Controller.get_function_type (type, Function_Map.VERIFY_AND_LOG);

        values = new Object[2];
        values[ID_OP_USER_INDEX] = op_uid;
        values[ID_INDEX]         = new Integer(id);
    }

    public String getSQL() {
        return proc_call_sql(Function_Map_Controller.get_function_name (type, Function_Map.VERIFY_AND_LOG));
    }
}
