/************************************************************************
 *
 * Null.java - supplimentary class to be used by DBCall breed.
 *
 * $Id: Null.java,v 1.1.1.1 2006-06-30 23:38:10 priimak Exp $
 *
 *-----------------------------------------------------------------------
 * Copyright (c) 2001 Board of Trustees, Leland Stanford Jr. University
 ************************************************************************/
package stanford.netdb.utils;

import java.lang.*;
import java.sql.*;
import java.io.*;

/** supplimentary class to be used by DBCall breed. */
public class Null extends Object implements Serializable {
    private int type;

    /** constructor for Null of type = java.sql.Types.{type} */
    public Null(int type) {
        this.type = type;
    }

    /** constructor for Null of type = java.sql.Types.NULL */
    public Null() {
        this(Types.NULL);
    }

    /** returns type of this Null */
    public int getType() {
        return type;
    }

    public String toString() {
        String result = "Null";
        switch( type ) {
        case Types.NUMERIC: return result + "(NUMERIC)";
        case Types.TINYINT: return result + "(TINYINT)";
        case Types.VARCHAR: return result + "(VARCHAR)";
        case Types.TIMESTAMP: return result + "(TIMESTAMP)";
        case Types.NULL: return result;
        default:
            return result + "?)";
        }
    }
}
