/************************************************************************
 *
 * SearchResults.java -
 *
 * $Id: SearchResults.java,v 1.1.1.1 2006-06-30 23:38:10 priimak Exp $
 *
 *-----------------------------------------------------------------------
 * Copyright (c) 2003, Board of Trustees, Leland Stanford Jr. University
 ************************************************************************/
package stanford.netdb.utils;

import java.util.*;

public class SearchResults implements java.io.Serializable {

    private Vector results;
    private FieldMetaData[] fields;
    private int searchType;
    private int rowCount;
    private String rMsg=new String("");

    public SearchResults(){
    }

    public int getSearchType(){
        return searchType;
    }

    public void setSearchType(int st){
        searchType = st;
    }

    public FieldMetaData[] getFieldMetaData(){
        return fields;
    }

    public void setFieldMetaData(FieldMetaData[] fmd){
        fields = fmd;
    }

    public Vector getResults(){
        return results;
    }

    public void setResults(Vector r){
        results = r;
    }

    public void setRowCounts(int i){rowCount = i;}
    public int getRowCounts(){return rowCount;}
    public void setRowCountMsg(String s){rMsg=s;}
    public String getRowCountMsg(){return rMsg;}
    public int getRowCount(){
        if(results!=null)
            return results.size();
        else
            return 0;
    }

    public String toString() {
        String txt = "SearchResuls:\n";
        if( fields != null ) {
            for( int i = 0; i < fields.length; i++ )
                txt += "<"+fields[i]+">";
            txt += "\n";
        }
        if( results != null ) {
            for( int i = 0; i < results.size(); i++ ) {
                Object obj = results.elementAt(i);
                txt += "Row: ";
                StringBuffer[] row = (StringBuffer[])obj;
                for( int j = 0; j < row.length; j++ )
                    txt += "["+row[j]+"]";
                txt += "\n";
            }
            txt += "\n";
        }
        return txt;
    }

}
