/************************************************************************
 *
 * ServerSocketFactory.java -
 *
 * $Id: ServerSocketFactory.java,v 1.2 2006-08-24 20:47:55 priimak Exp $
 *
 *-----------------------------------------------------------------------
 * Copyright (c) 2002, Board of Trustees, Leland Stanford Jr. University
 ************************************************************************/
import java.lang.*;
import java.io.*;
import java.net.*;
import javax.net.ssl.*;
import java.rmi.server.*;
import java.security.Security;

public class ServerSocketFactory implements RMIServerSocketFactory, Serializable {

    static String[] ciphers =  {"SSL_DH_anon_WITH_RC4_128_MD5"};
    static SSLServerSocketFactory socketFactrory;

    private static final String hash_code = "NetDB Socket Factory";

    static {
        Security.addProvider(new com.sun.net.ssl.internal.ssl.Provider());
        socketFactrory = (SSLServerSocketFactory)SSLServerSocketFactory.getDefault();
    }

    public ServerSocket createServerSocket(int port) throws IOException {
        SSLServerSocket socket = (SSLServerSocket)socketFactrory.createServerSocket(port);
        socket.setEnabledCipherSuites(ciphers);
        socket.setEnableSessionCreation(true);
        return socket;
    }

    public int hashCode() {
        return hash_code.hashCode();
    }

    public boolean equals(Object obj) {
        return (getClass() == obj.getClass() &&
                hash_code.hashCode() == ((ServerSocketFactory)obj).hash_code.hashCode());
    }
}
