/************************************************************************
 *
 * LogoutServlet.java - logout user (cleanup session/webauth)
 *
 * $Id: LogoutServlet.java,v 1.1.1.1 2006-06-30 23:38:11 priimak Exp $
 *
 *-----------------------------------------------------------------------
 * Copyright (c) 2002, Board of Trustees, Leland Stanford Jr. University
 ************************************************************************/
package stanford.netdb.html;

import java.io.*;
import java.net.*;
import java.util.*;
import javax.servlet.*;
import javax.servlet.http.*;
import stanford.netdb.lib.*;
import stanford.netdb.utils.*;

public class LogoutServlet extends HttpServlet
{
    public LogoutServlet() {}

    public void doGet(HttpServletRequest request, HttpServletResponse response)
        throws ServletException, IOException
    {
        HttpSession session = request.getSession(false);
        if (session != null)
        {
            // here can do explicit deallocations ...

            session.invalidate();
        }

        // here can kill webauth cookie ...
        Cookie coo = new Cookie("JSESSIONID", "");
        coo.setMaxAge(0);
        response.addCookie(coo);
        coo = new Cookie("webauth_at", "");
        coo.setMaxAge(0);
        response.addCookie(coo);

        // display logout page
        response.setContentType("text/html");
        response.getWriter().println(
            "<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.01 Transitional//EN\">\n"+
            "<HTML>\n<HEAD>\n"+
            "<META HTTP-EQUIV=\"Content-Type\" CONTENT=\"text/html; charset=ISO-8859-1\">\n"+
            "<TITLE>Logged out of NetDB</TITLE>\n"+
            "</HEAD>\n\n"+
            "<BODY BGCOLOR='#FFFFFF'>\n"+
            "<TABLE WIDTH='100%' BORDER='0' CELLPADDING='0'>\n"+
            "<TR>\n"+
            "  <TD VALIGN='TOP' WIDTH='17%'><A HREF='/'><IMG ALT='NetDB Logo' "+
            "SRC='http://www.stanford.edu/group/networking/netdb/help/logos/NetDBlogo.gif' BORDER=0></A>\n"+
            "  <TD ALIGN='CENTER' VALIGN='MIDDLE'><H2>Logged Out of NetDB</H2></TD>\n"+
            "  <TD WIDTH='17%' ALIGN='RIGHT' VALIGN='MIDDLE'>&nbsp;</TD>\n"+
            "</TR>\n"+
            "<TR>\n"+
            "  <TD COLSPAN='3' BGCOLOR ='#990000' HEIGHT ='2' WIDTH='100%'></TD>\n"+
            "</TR>\n"+
            "</TABLE>\n"+
            "<BR>\n"+
            "</BODY>\n"+
            "</HTML>\n"
        );
    }
}
