/************************************************************************
 *
 * QuickSearch.java - setup search
 *
 * $Id: QuickSearch.java,v 1.2 2007-10-31 17:58:21 priimak Exp $
 *
 *-----------------------------------------------------------------------
 * Copyright (c) 2002, Board of Trustees, Leland Stanford Jr. University
 ************************************************************************/
package stanford.netdb.html;

import java.io.*;
import java.net.*;
import java.util.*;
import javax.servlet.*;
import javax.servlet.http.*;
import stanford.netdb.lib.*;
import stanford.netdb.utils.*;

public class QuickSearch extends CommonPage
{
    public QuickSearch() {}

    public void doPost(HttpServletRequest request, HttpServletResponse response)
        throws ServletException, IOException
    {
        // no session? relogin user at home page
        HttpSession session = request.getSession(false);
        if (session == null)
        {
            response.sendRedirect("/home");
            return;
        }

        response.setContentType("text/html");

        try {
            // read/stash required search_string parameter
            String search_string = Utils.nStr(request.getParameter("search_string")).trim();
            session.setAttribute("search_string", search_string);

            // read/stash required search_object parameter
            String search_object = Utils.nStr(request.getParameter("search_object")).trim();
            session.setAttribute("search_object", search_object);

            if( search_object.equals("Owned") )
                response.sendRedirect("/Dispatch?Action=redirect&object=owned&by="+encode(search_string));

            // execute search and show results
            response.sendRedirect("/qresults");
            return;
        } catch (Exception ex) {
            printCommonErrorPage(response, ex);
            return;
        }
    }
}
