/************************************************************************
 *
 * X.java -
 *
 * $Id: X.java,v 1.11 2007-10-01 19:09:52 priimak Exp $
 *
 *-----------------------------------------------------------------------
 * Copyright (c) 2002, Board of Trustees, Leland Stanford Jr. University
 ************************************************************************/
import org.ietf.jgss.*;
import java.util.*;
import java.net.*;
import java.sql.*;
import java.awt.*;
import java.text.*;
import java.io.*;
import java.util.regex.*;
import java.awt.event.*;
import javax.swing.*;
import javax.swing.table.*;
import su.netdb.parser.*;
import stanford.netdb.utils.*;
import java.rmi.*;
import java.security.Security;
import javax.security.auth.Subject;
import javax.security.auth.login.*;
import javax.security.auth.callback.*;

public class X extends JFrame {

    public static boolean showManagement = false;

    public  static Parser parser = new Parser();

    public  static Boolean FALSE = Boolean.FALSE;
    public  static Boolean TRUE  = Boolean.TRUE;

    public  static JOptionPane initScreen;
    public  static JProgressBar progressBar = null;
    public  static JDialog initDialog;
    public  static JOptionPane authScreen;
    public  static JDialog authDialog;
    public  static JLabel loginLabel;
    public  static JTextField netIDTF;
    public  static JTextField passwordTF;
    public  static String[] names;
    public  static SelectDialog sd;

    public  static Object[] timeOutButtons;
    public  static JDialog timeOutDialogWin;

    // menus
    public  static JMenu fileMenu;
    public  static JMenu createMenu;
    public  static JMenu sysMenu;
    public  static JMenu helpMenu;
    public  static JMenu windowsMenu;
    public  static JMenuItem quitMenuItem;

    private static String netID;
    private static String password;

    public  static int selected_index = 1;

    private static final int frame_width  = 900;
    private static final int frame_height = 500;

    private static boolean gui = false;

    // line bellow does not work so for now I set guiPresent to be always false
    // this affects only command line mode
    public  static boolean guiPresent    = false; // !GraphicsEnvironment.isHeadless();

    private static Hashtable cmdActions;
    private static boolean verbose       = false;
    private static boolean no_echo       = false;
    private static Comparator number_cmp = null;
    private static Comparator name_cmp   = null;

    private static final String version  = "$Name: v4_4_0_R1 $";

    public static NetDBi netdb_handle    = null;
    public static Hashtable ptr_pref     = new Hashtable();

    public X() {}

    public static void main(String[] cmd) {
        System.setProperty("login.configuration.provider", "SecProvider");
        if( cmd.length > 0 ) {
            // trim cmd parameters
            for( int i = 0; i < cmd.length; i++ )
                cmd[i] = cmd[i].trim();

            number_cmp = new Comparator() {
                    public int compare(Object o1, Object o2) {
                        return (int)((new Long((String)o1)).longValue() -
                                     (new Long((String)o2)).longValue());
                    }
                    public boolean equals(Object obj) {
                        return true;
                    }
                };

            Comparator name_cmp = new Comparator() {
                    public int compare(Object o1, Object o2) {
                        return ((String)o1).compareToIgnoreCase((String)o2);
                    }
                    public boolean equals(Object obj) {
                        return true;
                    }
                };

            validateCMD(cmd);
            if( !gui && !no_echo )
                msg("Connecting...", ".");
        }

        if( gui ) {
            prebuildGUI();
            loginLabel   = new JLabel("Connecting", JLabel.CENTER);
            fileMenu     = new JMenu("File");
            createMenu   = new JMenu("Create");
            sysMenu      = new JMenu("Sys. Managment");
            windowsMenu  = new JMenu("Windows");
            helpMenu     = new JMenu("Help");
            quitMenuItem = new JMenuItem("Quit", KeyEvent.VK_Q);

            Object[] opts =  {"Exit"};
            initScreen = new JOptionPane(loginLabel, JOptionPane.PLAIN_MESSAGE,
                                         JOptionPane.DEFAULT_OPTION, null, opts);

            startLoginGUI();

            URL iconURL = ClassLoader.getSystemResource("right.gif");
            if( iconURL != null )
                MainWindow.rightArrowIcon = new ImageIcon(iconURL);
            iconURL = ClassLoader.getSystemResource("down.gif");
            if( iconURL != null )
                MainWindow.downArrowIcon = new ImageIcon(iconURL);
        }

        login();

        // load default domain
        try {
            MainWindow.user = MainWindow.netdb.getCurrentUser();
            MainWindow.defaultDomain = MainWindow.netdb.getDefaultDomain();
            MainWindow.userDefDomain = ((String)MainWindow.user.get("default_domain")).trim().toLowerCase();
        } catch (Exception ex) {
            Utils.error(ex);
            MainWindow.exit(1);
        }

        if( !gui ) {
            completeNames();
            doCLI();
        }

        Hashtable records = (Hashtable)MainWindow.user.get("records");
        if( records == null )
            records = new Hashtable();

        if( records.get("SystemManagement") != null )
            showManagement = true;

        // set up manu bar
        JMenuBar menuBar = new JMenuBar();

        // set up file menu
        fileMenu.setMnemonic(KeyEvent.VK_F);
        menuBar.add(fileMenu);

        JMenuItem menuItem  = null;
        if( MainWindow.user.get("god") != null ) {
            menuItem = new JMenuItem("Manage Queue");
            menuItem.addActionListener(new ActionListener() {
                    public void actionPerformed(ActionEvent e) {
                        try {
                            MainWindow.queue = MainWindow.netdb.getQueue();
                            new QueueFrame();
                        } catch(java.rmi.ServerException ex) {
                            if( ex.getCause() instanceof SessionTimeoutException )
                                X.handleTimeout();

                            else
                                JOptionPane.showMessageDialog(MainWindow.win,
                                      ex.getCause().getMessage(), "Error", JOptionPane.ERROR_MESSAGE);

                        } catch (java.rmi.NoSuchObjectException ex) {
                            X.handleTimeout();

                        } catch (java.rmi.MarshalException ex) {
                            X.handleTimeout();

                        } catch (Exception ex) {
                            JOptionPane.showMessageDialog(MainWindow.win,
                                 ex.getMessage(), "Error", JOptionPane.ERROR_MESSAGE);
                        }
                    }
                });
            fileMenu.add(menuItem);

            menuItem = new JMenuItem("Edit ACL");
            menuItem.addActionListener(new ActionListener() {
                    public void actionPerformed(ActionEvent e) {
                        try {
                            MainWindow.acl = MainWindow.netdb.loadACL();
                            if( MainWindow.acl == null ) {
                                if( JOptionPane.showConfirmDialog(MainWindow.win,
                                         "ACL file does not exist. Create?", "Create ACL?",
                                         JOptionPane.YES_NO_OPTION, JOptionPane.QUESTION_MESSAGE) == 0 )
                                    {
                                        MainWindow.acl = MainWindow.netdb.createACL();
                                        if( MainWindow.acl == null )
                                            throw new Exception("Failed to create ACL file");
                                    } else
                                        return;
                            }
                            new ACLEditFrame();
                        } catch(java.rmi.ServerException ex) {
                            if( ex.getCause() instanceof SessionTimeoutException )
                                X.handleTimeout();

                            else
                                JOptionPane.showMessageDialog(MainWindow.win,
                                      ex.getCause().getMessage(), "Error", JOptionPane.ERROR_MESSAGE);

                        } catch (java.rmi.NoSuchObjectException ex) {
                            X.handleTimeout();

                        } catch (java.rmi.MarshalException ex) {
                            X.handleTimeout();

                        } catch (Exception ex) {
                            JOptionPane.showMessageDialog(MainWindow.win,
                                 ex.getMessage(), "Error", JOptionPane.ERROR_MESSAGE);
                        }
                    }
                });
            fileMenu.add(menuItem);

            menuItem = new JMenuItem("Shutdown server");
            menuItem.addActionListener(new ActionListener() {
                    public void actionPerformed(ActionEvent e) {
                        if( JOptionPane.showConfirmDialog(MainWindow.win,
                           "Shutdown NetDB server?", "Shutdown server?",
                            JOptionPane.YES_NO_OPTION, JOptionPane.QUESTION_MESSAGE) == 0 )
                        {
                            try {
                                MainWindow.netdb.shutdown();
                            } catch(java.rmi.ServerException ex) {
                                if( ex.getCause() instanceof SessionTimeoutException )
                                    X.handleTimeout();

                                else
                                    JOptionPane.showMessageDialog(MainWindow.win,
                                         "NetDB is down", "NetDB is down", JOptionPane.INFORMATION_MESSAGE);
                                MainWindow.exit(0);

                            } catch (java.rmi.NoSuchObjectException ex) {
                                X.handleTimeout();

                            } catch (java.rmi.MarshalException ex) {
                                X.handleTimeout();

                            } catch(Exception ex) {
                                 JOptionPane.showMessageDialog(MainWindow.win,
                                   "NetDB is down", "NetDB is down", JOptionPane.INFORMATION_MESSAGE);
                                 MainWindow.exit(0);
                            }
                        }
                    }
                });
            fileMenu.add(menuItem);
            fileMenu.addSeparator();
        }

        // menu item File->Quit
        quitMenuItem.setAccelerator(KeyStroke.getKeyStroke(
                        KeyEvent.VK_Q, ActionEvent.ALT_MASK));
        quitMenuItem.addActionListener(new ActionListener() {
                public void actionPerformed(ActionEvent e) {
                    MainWindow.exit(0);
                }
            });
        fileMenu.add(quitMenuItem);

        // set up create menu
        createMenu.setMnemonic(KeyEvent.VK_C);
        menuBar.add(createMenu);

        Boolean all_objects = (Boolean)MainWindow.user.get("all_objects?");
        boolean allObjects = false;
        if( all_objects != null )
            allObjects = all_objects.booleanValue();

        if( MainWindow.enable_node && ( allObjects || records.get("Node") != null ) ) {
            menuItem = new JMenuItem("Node");
            menuItem.setMnemonic(KeyEvent.VK_O);
            menuItem.addActionListener(new ActionListener() {
                    public void actionPerformed(ActionEvent e) {
                        NodeModifyFrame.MakeNodeCreateFrame();
                    }
                });
            createMenu.add(menuItem);
        }

        if( allObjects || records.get("Users") != null ) {
            menuItem = new JMenuItem("User");
            menuItem.addActionListener(new ActionListener() {
                    public void actionPerformed(ActionEvent e) {
                        //new UserModifyFrame(null);
                    }
                });
            //createMenu.add(menuItem);
        }

        if( allObjects || records.get("Network") != null ) {
            menuItem = new JMenuItem("Network");
            menuItem.setMnemonic(KeyEvent.VK_E);
            menuItem.addActionListener(new ActionListener() {
                    public void actionPerformed(ActionEvent e) {
                        new NetworkModifyFrame(null, false);
                            }
                });
            createMenu.add(menuItem);
        }

        if( allObjects || records.get("AdminTeam") != null ) {
            menuItem = new JMenuItem("Admin Team");
            menuItem.addActionListener(new ActionListener() {
                    public void actionPerformed(ActionEvent e) {
                        //new ATeamModifyFrame();
                    }
                });
            //createMenu.add(menuItem);
        }

        if( allObjects || records.get("Owner") != null ) {
            menuItem = new JMenuItem("Group");
            menuItem.addActionListener(new ActionListener() {
                    public void actionPerformed(ActionEvent e) {
                        //new GroupModifyFrame(null);
                            }
                });
            //createMenu.add(menuItem);
        }

        if( allObjects || records.get("Domain") != null ) {
            menuItem = new JMenuItem("Domain");
            menuItem.addActionListener(new ActionListener() {
                    public void actionPerformed(ActionEvent e) {
                        //new DomainModifyFrame(null);
                    }
                });
            //createMenu.add(menuItem);
        }

        sysMenu.setMnemonic(KeyEvent.VK_S);
        if( MainWindow.enable_sys_management && Utils.nHash(MainWindow.user.get("records")).get("SystemManagement") != null ) {
            menuBar.add(sysMenu);

            menuItem = new JMenuItem("OS");
            menuItem.addActionListener(new ActionListener() {
                    public void actionPerformed(ActionEvent e) {
                        if( OSFrame.THIS != null && OSFrame.THIS.isShowing() ) {
                            OSFrame.THIS.setState(Frame.NORMAL);
                            OSFrame.THIS.toFront();
                        } else
                            (new OSFrame()).setVisible(true);
                    }
                });
            sysMenu.add(menuItem);
        }


        MainWindow.win = new XFrame("NetDB "+version.substring(5, version.length() - 1)+
                                    " User: "+MainWindow.user.get("name"));
        MainWindow.win.register(true);
        MainWindow.win.addWindowListener(new WindowAdapter() {
                public void windowClosing(WindowEvent e) {
                    MainWindow.exit(0);
                }
            });
        MainWindow.win.setJMenuBar(menuBar);

        // set up about dialog
        MainWindow.aboutDialog = new AboutDialog();

        // set up windows menu
        windowsMenu.setMnemonic(KeyEvent.VK_W);
        menuBar.add(windowsMenu);

        // set up help menu
        helpMenu.setMnemonic(KeyEvent.VK_F);
        menuBar.add(helpMenu);

        menuItem = new JMenuItem("About",
                                 KeyEvent.VK_A);
        menuItem.setAccelerator(KeyStroke.getKeyStroke(
                        KeyEvent.VK_A, ActionEvent.ALT_MASK));
        menuItem.addActionListener(new ActionListener() {
                public void actionPerformed(ActionEvent e) {
                    MainWindow.aboutDialog.show();
                }
            });
        helpMenu.add(menuItem);
        helpMenu.setMnemonic(KeyEvent.VK_H);

        QSPanel qsPanel = new QSPanel();
        MainWindow.win.getContentPane().add(qsPanel);

        MainWindow.win.setSize(900, 500);

        // Get the default toolkit
        Toolkit toolkit = Toolkit.getDefaultToolkit();
        Utils.debug(toolkit.toString());

        // Center window
        Insets in = MainWindow.win.getInsets();
        Utils.debug("Insets = "+MainWindow.win.getInsets().toString());
        Dimension scrnsize = toolkit.getScreenSize();
        Utils.debug(scrnsize.getWidth()+ " x " + scrnsize.getHeight());
        MainWindow.win.setLocation( (int)((scrnsize.getWidth()-MainWindow.win.getWidth())/2),
                         (int)((scrnsize.getHeight()-MainWindow.win.getHeight())/2) );
        Utils.debug(MainWindow.win.getSize().toString());

        // now start thread to load groups, locations and alike.
        (new Thread() {
                public void run() {
                    MainWindow.loadData();
                }
            }).start();

        // show main window
        initDialog.dispose();
        MainWindow.win.show();
    } // end of main

    public static class SelectDialog extends JDialog {

        private JPanel rootPanel;
        private JList list;

        public SelectDialog(JDialog owner, String[] names) {
            super(owner, true);

            setTitle("Select name to bind");

            Container root = getContentPane();
            rootPanel = new JPanel(new BorderLayout());
            root.add(rootPanel);
            setDefaultCloseOperation(JFrame.DO_NOTHING_ON_CLOSE);
            pack();

            list = new JList(names);
            list.setSelectedIndex(0);
            rootPanel.add(list, BorderLayout.CENTER);

            JPanel bottomPanel = new JPanel(new FlowLayout(FlowLayout.CENTER));
            rootPanel.add(bottomPanel, BorderLayout.SOUTH);

            JButton okB = new JButton("Ok");
            okB.addActionListener(new ActionListener() {
                    public void actionPerformed(ActionEvent e) {
                        selected_index = list.getSelectedIndex();
                        dispose();
                        sd = null;
                    }
                });
            bottomPanel.add(okB);

            JButton cancelB = new JButton("Cancel");
            cancelB.addActionListener(new ActionListener() {
                    public void actionPerformed(ActionEvent e) {
                        MainWindow.exit(0);
                    }
                });
            bottomPanel.add(cancelB);

            pack();
            setSize(300, 200);
            Dimension scrnsize = Toolkit.getDefaultToolkit().getScreenSize();
            setLocation( (int)((scrnsize.getWidth()-getWidth())/2),
                     (int)((scrnsize.getHeight()-getHeight())/2) );
        }
    } // end of class SelectDialog

    private static void doCLI() {
        try {
            if( cmdActions.get("action_target").toString().equals("server stat") ) {
                Hashtable stat = MainWindow.netdb.getState();
                Hashtable sessions = Utils.nHash(stat.get("sessions"));
                java.util.List list = Arrays.asList(sessions.keySet().toArray());
                Collections.sort(list, name_cmp);
                Object[] sessArray = list.toArray();
                System.out.println("\nNetDB RMI Server Status.\n"+
                                   "Uptime "+stat.get("uptime")+"\n"+
                                   "Total "+sessions.size()+" sessions.\n"+
                                   "SessionID      NetID                Time (minutes)  Action\n"+
                                   "----------------------------------------------------------");
                for( int k = 0; k < sessArray.length; k++ ) {
                    Hashtable sess = (Hashtable)sessions.get(sessArray[k]);
                    String totalTime = (String)sess.get("logged_in");
                    if( totalTime == null )
                        totalTime = "N/A";
                    else
                        totalTime = ""+((long)(Long.parseLong(totalTime) / (long)60000));
                    System.out.println(Utils.formatString((new StringBuffer()).append(sess.get("SessionID")), 13, 14, '\0', Utils.LEFT)+
                                       "  "+Utils.formatString((new StringBuffer()).append(sess.get("NetID")), 19, 19, '\0', Utils.LEFT)+
                                       "  "+Utils.formatString((new StringBuffer()).append(totalTime), 14, 14, '\0', Utils.LEFT)+"  N/A");
                }

            } else if( cmdActions.get("action_target").toString().equals("node") ) {

                if( cmdActions.get("action_operand").toString().equals("ip_address") ) {
                    verifyNodeTypeAccess();

                    msg("Loading node info...", ".");
                    String name = cmdActions.get("name").toString().trim().toLowerCase();
                    Hashtable oldNode = MainWindow.netdb.getInfo(Constants.NODE, name);
                    err(oldNode.get("id") == null, verbose?"":"\n", "Node \""+name+"\" does not exist.");

                    err(Utils.nHash(oldNode.get("types")).get("Template") != null, verbose?"":"\n",
                        "You cannot manipulate ip addresses in a node of type template");

                    verifyNodeTypesAccessOrDie(oldNode, name);
                    verifyNodeGroupAccessOrDie(oldNode, name);

                    Timestamp lockedTm = null;
                    String reserved_ip = null;
                    try {
                        msg("Locking node...", ".");
                        lockedTm = MainWindow.netdb.lock(Constants.NODE, name);
                        exx(lockedTm == null, verbose?"":"\n", "Failed to lock node");

                        msg("Reloading node info...", ".");
                        oldNode = MainWindow.netdb.getInfo(Constants.NODE, name);
                        exx(oldNode.get("id") == null, verbose?"":"\n",
                            "Node \""+name+"\" does not exist.");

                        Hashtable newNode = Utils.copyHash(oldNode);
                        newNode.put("locked", lockedTm);

                        // figure out if we are adding new ip or not?
                        boolean add_new_ip = false;
                        String new_ip = (String) cmdActions.get("new_ip");
                        if((new_ip!=null ) &&(new_ip.length()>0))
                            add_new_ip = true;

                        // search for an old ip addr. in this node
                        Hashtable parent = null;
                        String old_ip_key = null;
                        Object old_ip_data = null;
                        boolean old_ip_removed=false;

                        String old_ip = ((String)cmdActions.get("old_ip")).trim();
                        Hashtable interfaces = Utils.nHash(newNode.get("interfaces"));
                        Enumeration enm = interfaces.keys();
                        while( enm.hasMoreElements() ) {
                            Object int_key = enm.nextElement();
                            Hashtable intfc = (Hashtable)interfaces.get(int_key);
                            Hashtable ips = Utils.nHash(intfc.get("ips"));
                            Enumeration enm2 = ips.keys();
                            while( enm2.hasMoreElements() ) {
                                String ip = (String)enm2.nextElement();
                                if( ip.trim().equals(old_ip) ) {
                                    old_ip_key = ip;
                                    parent = ips;
                                    if(add_new_ip)
                                        old_ip_data = ips.get(ip); // buffering this to use in new ip
                                    if((parent.size()==1) && (intfc.get("hw") ==null) && (!add_new_ip)){
                                        // remove the interface
                                        interfaces.remove(int_key);
                                    }else
                                        parent.remove(old_ip_key);
                                    old_ip_removed=true;
                                    break;
                                }
                            }
                            if( old_ip_removed)
                                break;
                        }

                        if( !old_ip_removed) {
                            // search among ipc addresses
                            Hashtable ipc_addresses = Utils.nHash(newNode.get("ipc_addresses"));
                            enm = ipc_addresses.keys();
                            while( enm.hasMoreElements() ) {
                                String ip = (String)enm.nextElement();
                                if( ip.trim().equals(old_ip) ) {
                                    old_ip_key = ip;
                                    parent = ipc_addresses;
                                    if(add_new_ip)
                                        old_ip_data = parent.get(ip);
                                    parent.remove(old_ip_key);
                                    old_ip_removed=true;
                                    break;
                                }
                            }
                        }

                        exx(!old_ip_removed, verbose?"":"\n", "Failed to find ip address to remove");

                        msg("Reserving ip address...", ".");
                        // reserve new ip and add it
                        if(add_new_ip) {
                            try {
                                Hashtable result =
                                    MainWindow.netdb.reserveIP(null, new_ip, 1);
                                String requestedIP = (String)result.keys().nextElement();
                                Hashtable rip = Utils.nHash(result.get(requestedIP));
                                Hashtable reserved_ips = Utils.nHash(rip.get("ip_addresses"));
                                exx(reserved_ips == null || reserved_ips.size() == 0,
                                    verbose?"":"\n", "Failed to reserve any ip address");
                                reserved_ip = (String)reserved_ips.keys().nextElement();
                                if( !reserved_ip.equals(requestedIP) ) {
                                    try { // cancel reserved ip
                                        msg("Canceling ip address "+reserved_ip, ".");
                                        MainWindow.netdb.cancelIP(reserved_ip);
                                        reserved_ip = null;
                                    } catch (Exception exx) {}

                                    exx(true, verbose?"":"\n", "Failed to reserve requested ip address");
                                }
                                if( reserved_ip == null )
                                    throw new Exception("");

                                parent.put(reserved_ip, old_ip_data);
                            } catch ( ExitException ex ) {
                                throw ex;

                            } catch (Exception ex) {
                                exx(true, verbose?"":"\n", "Failed to reserve ip address");
                            }
                        } //if (new_ip!=null) ....

                        // now do update
                        msg("Performing update...",".");

                        MainWindow.netdb.update(oldNode, newNode);

                        msg("Done", " done\n");
                        lockedTm = null;
                        reserved_ip = null;

                    } catch( ExitException ex ) {
                    } finally {
                        // try to cancel ip if it is reserved
                        if( reserved_ip != null )
                            try { // cancel reserved ip
                                if( verbose )
                                    System.out.println("Canceling ip address "+reserved_ip);
                                MainWindow.netdb.cancelIP(reserved_ip);
                            } catch (Exception exx) {
                            };

                        // try to unlock node if it is locked
                        if( lockedTm != null )
                            try {
                                System.out.println("\nUnlocking node...");
                                MainWindow.netdb.unlock(Constants.NODE, name, lockedTm);
                            } catch(Exception ex) {
                            };
                    }

                }else if( cmdActions.get("action_operand").toString().equals("name") ) {
                    verifyNodeTypeAccess();

                    msg("Loading node info...", ".");
                    String name = cmdActions.get("name").toString().trim().toLowerCase();
                    Hashtable oldNode = MainWindow.netdb.getInfo(Constants.NODE, name);
                    err(oldNode.get("id") == null, verbose?"":"\n", "Node \""+name+"\" does not exist.");

                    Hashtable types = Utils.nHash(oldNode.get("types"));
                    err(types.get("Template") != null, verbose?"":"\n",
                        "You cannot manipulate names in a node of type template");

                    verifyNodeGroupAccessOrDie(oldNode, name);

                    Timestamp lockedTm = null;
                    try {
                        msg("Locking node...", ".");
                        lockedTm = MainWindow.netdb.lock(Constants.NODE, name);
                        exx(lockedTm == null, verbose?"":"\n", "Failed to lock node");

                        msg("Reloading node info...", ".");
                        oldNode = MainWindow.netdb.getInfo(Constants.NODE, name);
                        exx(oldNode.get("id") == null, verbose?"":"\n", "Node \""+name+"\" does not exist.");

                        Hashtable newNode = Utils.copyHash(oldNode);
                        newNode.put("locked", lockedTm);

                        // figure out if we are adding new name or not?
                        boolean add_new_name = false;
                        String new_name = (String) cmdActions.get("new_name");
                        if((new_name!=null ) &&(new_name.length()>0))
                            add_new_name = true;

                        // search for an old name in this node
                        boolean old_name_removed=false;

                        String old_name = ((String)cmdActions.get("old_name")).trim();
                        Hashtable parent = null;
                        Hashtable old_nameH = null;
                        // Is it a node name?
                        Hashtable names = (Hashtable)newNode.get("names");
                        String nameLC = old_name.toLowerCase();
                        Enumeration names_enm = names.keys();
                        Hashtable nameH = null;
                        while( names_enm.hasMoreElements() ) {
                            String _name = (String) names_enm.nextElement();
                            nameH = (Hashtable)names.get(_name);
                            String fqdn = nameH.get("name").toString().trim().toLowerCase()+"."+
                               nameH.get("domain").toString().trim().toLowerCase();
                            if( fqdn.equals(nameLC) ) {
                                names.remove(nameLC);
                                parent = names;
                                old_nameH = nameH;
                                old_name_removed = true;
                                break;
                            }
                        }

                        if(!old_name_removed){
                        // Is it an interface name?
                        Hashtable interfaces = Utils.nHash(newNode.get("interfaces"));
                        Enumeration enm = interfaces.keys();
                        while( enm.hasMoreElements() &&(!old_name_removed)) {
                            Hashtable intfc = (Hashtable)interfaces.get(enm.nextElement());
                            names = (Hashtable)intfc.get("names");
                            nameLC = old_name.toLowerCase();
                            if(names !=null){
                                names_enm = names.keys();
                                nameH = null;
                                while( names_enm.hasMoreElements() ) {
                                    String _name = (String) names_enm.nextElement();
                                    nameH = (Hashtable)names.get(_name);
                                    String fqdn = nameH.get("name").toString().trim().toLowerCase()+"."+
                                        nameH.get("domain").toString().trim().toLowerCase();
                                    if( fqdn.equals(nameLC) ) {
                                        names.remove(nameLC);
                                        parent = names;
                                        old_nameH = nameH;
                                        old_name_removed = true;
                                        break;
                                    }
                                }
                            }
                        }
                        }

                        // Is it an IP address name?
                        if( !old_name_removed) {
                            Hashtable old_ip_data = null;

                            Hashtable interfaces = Utils.nHash(newNode.get("interfaces"));
                            Enumeration enm = interfaces.keys();
                            while( enm.hasMoreElements() ) {
                                Hashtable intfc = (Hashtable)interfaces.get(enm.nextElement());
                                Hashtable ips = Utils.nHash(intfc.get("ips"));
                                Enumeration ip_enm = ips.keys();
                                while( ip_enm.hasMoreElements() ) {
                                    String ip = (String)ip_enm.nextElement();
                                    old_ip_data = (Hashtable) ips.get(ip);
                                    names = (Hashtable) old_ip_data.get("names");
                                    nameLC = old_name.toLowerCase();
                                    if(names !=null){
                                        names_enm = names.keys();
                                        nameH = null;
                                        while( names_enm.hasMoreElements() ) {
                                            String _name = (String) names_enm.nextElement();
                                            nameH = (Hashtable)names.get(_name);
                                            String fqdn = nameH.get("name").toString().trim().toLowerCase()+"."+
                                                nameH.get("domain").toString().trim().toLowerCase();
                                            if( fqdn.equals(nameLC) ) {
                                                names.remove(nameLC);
                                                parent = names;
                                                old_nameH = nameH;
                                                old_name_removed = true;
                                                break;
                                            }
                                        }
                                    }
                                    if(old_name_removed)
                                        break;
                                }
                                if(old_name_removed)
                                    break;
                            }
                        }

                        exx(!old_name_removed, verbose?"":"\n", "Failed to find name to remove");


                        // if add new name
                        if(add_new_name){
                              old_nameH.put("name", Utils.name(new_name));
                              old_nameH.put("domain", Utils.domain(new_name, MainWindow.userDefDomain));

                            parent.put(new_name,old_nameH);
                        } //if (new_name!=null) ....

                        // now do update
                        msg("Performing update...", ".");
                        MainWindow.netdb.update(oldNode, newNode);

                        msg("Done", " done\n");
                        lockedTm = null;

                    } catch( ExitException ex ) {
                    } finally {
                        // try to unlock node if it is locked
                        if( lockedTm != null )
                            try {
                                System.out.println("\nUnlocking node...");
                                MainWindow.netdb.unlock(Constants.NODE, name, lockedTm);
                            } catch(Exception ex) {
                            };
                    }

                }else if( cmdActions.get("action_operand").toString().equals("interface") ) {
                    verifyNodeTypeAccess();

                    msg("Loading node info...", ".");
                    String name = cmdActions.get("name").toString().trim().toLowerCase();
                    Hashtable oldNode = MainWindow.netdb.getInfo(Constants.NODE, name);
                    err(oldNode.get("id") == null, verbose?"":"\n", "Node \""+name+"\" does not exist.");
                    err(Utils.nHash(oldNode.get("types")).get("Template") != null,
                        verbose?"":"\n", "You cannot manipulate interfaces in a node of type template");

                    verifyNodeTypesAccessOrDie(oldNode, name);
                    verifyNodeGroupAccessOrDie(oldNode, name);

                    Timestamp lockedTm = null;
                    try {
                        msg("Locking node...", ".");
                        lockedTm = MainWindow.netdb.lock(Constants.NODE, name);
                        exx(lockedTm == null, verbose?"":"\n", "Failed to lock node");

                        msg("Reloading node info...", ".");
                        oldNode = MainWindow.netdb.getInfo(Constants.NODE, name);
                        exx(oldNode.get("id") == null, verbose?"":"\n", "Node \""+name+"\" does not exist.");

                        oldNode.put("locked", lockedTm);
                        Hashtable newNode = Utils.copyHash(oldNode);
                        Hashtable interfaces = hash_get_or_create(newNode, "interfaces");

                        Hashtable the_interface = null;

                        boolean add_int = false;
                        boolean mod_int = false;

                        // Adding new interface
                        String hwStr = (String) cmdActions.get("new_hw");
                        if( hwStr != null && hwStr.length() > 0 ) {
                            add_int = true;
                            Hashtable intfc = new Hashtable();
                            the_interface = intfc;
                            interfaces.put("A",intfc);

                            if( cmdActions.get("dhcp") != null ) {
                                boolean use_dhcp = ((String)cmdActions.get("dhcp")).equals("on");
                                intfc.put("use-dhcp?", new Boolean(use_dhcp));
                                if( use_dhcp && cmdActions.get("roam") != null )
                                    intfc.put("roaming?",  new Boolean(((String)cmdActions.get("roam")).equals("on")));
                            }

                            // dhcp-options
                            if(cmdActions.get("dhcp-options") != null)
                                intfc.put("dhcp-options",(Hashtable) cmdActions.get("dhcp-options"));

                            if( !hwStr.equals("none") ) {  // no hardware address
                                try {
                                    // actually at this point we already know that it is a valid hardware address
                                    hwStr = (String)parser.parse(hwStr).get("hw");
                                } catch (Exception exx) {
                                    hwStr = null;
                                }
                                err(hwStr == null, verbose?"":"\n", "Incorrect format for hardware address");

                                intfc.put("hw", hwStr);
                            }
                        }

                        // Removing an interface
                        if( cmdActions.get("remove_int") != null ) {
                            Hashtable interfaces_to_remove = new Hashtable();
                            Hashtable addr_list = (Hashtable) cmdActions.get("remove_int");
                            Enumeration enm = addr_list.keys();
                            while( enm.hasMoreElements() ) {
                                String addr = ((String)enm.nextElement()).trim();
                                Object key = find_interface(interfaces, addr);
                                err(key == null, verbose?"":"\n",
                                    "unable to find interface with address \""+addr+"\"");

                                // we need to accumulate keys into interfaces_to_remove because
                                // several ip/hw addresses may point to the same interface
                                interfaces_to_remove.put(key, "");
                            }

                            // now remove interfaces
                            enm = interfaces_to_remove.keys();
                            while( enm.hasMoreElements() )
                                interfaces.remove(enm.nextElement());
                        }

                        // Modify the interface
                        if( cmdActions.get("modify_int") != null) {
                            mod_int = true;
                            String addr = ((String) cmdActions.get("modify_int")).trim();
                            String key = find_interface(interfaces, addr);
                            err(key == null,  verbose?"":"\n",
                                "unable to find interface with address \""+addr+"\"");

                            the_interface = (Hashtable)interfaces.get(key);
                            // inteface must be there but let us do one more check
                            err(the_interface == null,
                                verbose?"":"\n", "where is my interface???");

                            // modify the interface

                            String new_hw = (String)cmdActions.get("hw address");
                            if( new_hw != null ) {
                                if( new_hw.equals("none") )
                                    the_interface.remove("hw");
                                else
                                    the_interface.put("hw", new_hw);
                            }

                            // handle dhcp , dhcp options and roaming flags
                            if( cmdActions.get("dhcp") != null )
                                the_interface.put("use-dhcp?",
                                    new Boolean(((String)cmdActions.get("dhcp")).equals("on")));

                            // roaming is always off unless dhcp is 'on'
                            Boolean use_dhcp = (Boolean)the_interface.get("use-dhcp?");
                            if( use_dhcp == null || !use_dhcp.booleanValue() ) {
                                the_interface.put("use-dhcp?", FALSE);
                                the_interface.put("roaming?",  FALSE);
                            } else if( cmdActions.get("roam") != null )
                                the_interface.put("roaming?",
                                    new Boolean(((String)cmdActions.get("roam")).equals("on")));

                            // dhcp-options
                            Hashtable dhcp_options = hash_get_or_create(the_interface, "dhcp-options");

                            if( cmdActions.get("dhcp-options") != null ) {
                                Hashtable cmd_dhcp_options = (Hashtable) cmdActions.get("dhcp-options");
                                Enumeration enm = cmd_dhcp_options.keys();
                                while( enm.hasMoreElements() ) {
                                    key = (String)enm.nextElement();
                                    Hashtable dhcpH = (Hashtable)cmd_dhcp_options.get(key);
                                    String new_option = Utils.nStr(dhcpH.get("option"));
                                    String new_value  = Utils.nStr(dhcpH.get("value"));

                                    // first remove option which is equal to new_option
                                    Enumeration dhcp_enm = dhcp_options.keys();
                                    while ( dhcp_enm.hasMoreElements() ) {
                                        Object dhcp_key = dhcp_enm.nextElement();
                                        Hashtable intfc_dhcpH = (Hashtable)dhcp_options.get(dhcp_key);
                                        String option = Utils.nStr(intfc_dhcpH.get("option"));
                                        if( option.trim().equals(new_option.trim()) )
                                            dhcp_options.remove(dhcp_key);
                                    }

                                    // now if new_value is not null then add it.
                                    if( !new_value.trim().equals("") )
                                        dhcp_options.put(key, dhcpH);
                                }
                            }
                        }

                        // code that is common to adding and modifying
                        if( ( add_int || mod_int ) && cmdActions.get("ip") != null ) {
                            // ip address
                            String ip = (String) cmdActions.get("ip");
                            boolean exact_ip = true;
                            if( ip.endsWith("+") ) {
                                ip = ip.substring(0, ip.length()-1);
                                exact_ip = false;
                            }
                            // at this point we already know that it is ip address

                            msg("Reserving ip address...", ".");
                            String reserved_ip = null;
                            try {
                                Hashtable result =
                                    MainWindow.netdb.reserveIP(null, ip, 1);
                                String requestedIP = (String)result.keys().nextElement();
                                Hashtable rip = Utils.nHash(result.get(requestedIP));
                                Hashtable reserved_ips = Utils.nHash(rip.get("ip_addresses"));
                                err(reserved_ips == null || reserved_ips.size() == 0,
                                    verbose?"":"\n", "Failed to reserve any ip address");
                                reserved_ip = (String)reserved_ips.keys().nextElement();
                                if( !exact_ip )
                                    System.out.println((!verbose?"\n":"")+
                                                       "Reserved ip "+reserved_ip);
                                else {
                                    if( !reserved_ip.equals(requestedIP) ) {
                                        try { // cancel reserved ip
                                            MainWindow.netdb.cancelIP(reserved_ip);
                                        } catch (Exception exx) {}
                                        err(verbose?"":"\n", "Failed to reserve requested ip address");
                                    }
                                }
                            } catch (Exception ex) {
                                err(verbose?"":"\n", "Failed to reserve ip address");
                            }

                            Hashtable ips = hash_get_or_create(the_interface, "ips");
                            Hashtable ipH = new Hashtable();
                            ips.put(reserved_ip, ipH);
                            ipH.put("active?", new Boolean(true));
                        }

                        msg("Performing update...", ".");
                        MainWindow.netdb.update(oldNode, newNode);

                        msg("Done", " done\n");
                        lockedTm = null;

                    } finally {
                        // try to unlock node if it is locked
                        if( lockedTm != null )
                            try {
                                System.out.println("\nUnlocking node...");
                                MainWindow.netdb.unlock(Constants.NODE, name, lockedTm);
                            } catch(Exception ex) {
                            };
                    }

                } else if( cmdActions.get("action_operand").toString().equals("clone") ) {
                    verifyNodeTypeAccess();

                    msg("Loading template info...", ".");
                    String name = cmdActions.get("template").toString().trim().toLowerCase();
                    Hashtable template = MainWindow.netdb.getInfo(Constants.NODE, name);
                    err(template.get("id") == null, "Template node \""+name+"\" does not exist.");

                    Hashtable newNode = Utils.copyHash(template);
                    Hashtable names = new Hashtable();
                    newNode.put("names", names);
                    String nodeName = (String)cmdActions.get("name");
                    Hashtable nodeNameH = new Hashtable();
                    nodeNameH.put("name", Utils.name(nodeName));
                    nodeNameH.put("domain", Utils.domain(nodeName, MainWindow.userDefDomain));
                    names.put(nodeName, nodeNameH);

                    // clean up tags values if there are any
                    Hashtable tags = Utils.nHash(newNode.get("tags"));
                    Enumeration enm = tags.keys();
                    while( enm.hasMoreElements() ) {
                        tags.put(enm.nextElement(), "");
                    }

                    // remove all ipc addresses
                    if( Utils.nHash(newNode.get("types")).get("IPCprovider") != null )
                        newNode.put("ipc_addresses", new Hashtable());
                    else
                        newNode.remove("ipc_addresses");

                    if( cmdActions.get("building") != null )
                        newNode.put("location", cmdActions.get("building"));

                    if( cmdActions.get("room") != null )
                        newNode.put("room", cmdActions.get("room"));

                    Hashtable interfaces = new Hashtable();
                    newNode.put("interfaces", interfaces);

                    Hashtable intfc = new Hashtable();
                    interfaces.put("A", intfc);

                    String hwStr = (String)cmdActions.get("hw");
                    if( hwStr != null ) {
                        Hashtable parseRes = parser.parse(hwStr);
                        try {
                            hwStr = (String)parseRes.get("hw");
                        } catch (Exception exx) { }
                        err(hwStr == null, "Incorrect format for hardware address");

                        if( hwStr != null && hwStr.length() > 0 )
                            intfc.put("hw", hwStr);
                    }

                    intfc.put("use-dhcp?",
                              new Boolean(cmdActions.get("dhcp")==null?false:true));

                    intfc.put("roaming?",
                              new Boolean(cmdActions.get("roam")==null?false:true));

                    String ip = (String)cmdActions.get("ip");
                    boolean exact_ip = true;
                    boolean reserve_ip = true;
                    if( ip != null) {
                        if( ip.equals("0") || ip.equals("no") || ip.equals("none") )
                            reserve_ip = false;
                        else {
                            if( ip.endsWith("+") ) {
                                exact_ip = false;
                                ip = ip.substring(0, ip.length()-1);
                            }

                            err(ip.indexOf("/") > -1, "\""+ip+"\" is not an ip address");
                            try {
                                Utils.ipstr2num((String)ip);
                            } catch (Exception exxx) {
                                err("\""+ip+"\" is not an ip address");
                            }
                        }

                    } else if( Utils.nHash(newNode.get("types")).get("Template") != null ) { // cloning from template
                        exact_ip = false;
                        ip = (String)newNode.get("addr_space");
                        ip = ip.substring(0, ip.indexOf("/"));
                        newNode.remove("addr_space");

                    } else {
                        reserve_ip = false;
                        // pick up first ip address from template node
                        Hashtable old_interfaces = Utils.nHash(template.get("interfaces"));
                        Enumeration enm_intfcs = old_interfaces.keys();
                        while( enm_intfcs.hasMoreElements() ) {
                            Hashtable intfcH = (Hashtable)old_interfaces.get(enm_intfcs.nextElement());
                            Hashtable ips = Utils.nHash(intfcH.get("ips"));
                            if( ips.size() > 0 ) {
                                ip = (String)ips.keys().nextElement();
                                exact_ip = false;
                                reserve_ip = true; // reinstate that ip must be reserved
                                break;
                            }
                        }
                    }

                    if( reserve_ip &&
                        (ip == null || ip.trim().length() == 0 ) &&
                        (hwStr == null || hwStr.length() == 0) )
                        err("Node without an ip must have hardware address");

                    if( !reserve_ip &&
                        (hwStr == null || hwStr.length() == 0) )
                        err("Node without an ip must have hardware address");

                    String reserved_ip = "";
                    if( reserve_ip ) {
                        msg("Reserving ip address...", ".");
                        try {
                            Hashtable result =
                                MainWindow.netdb.reserveIP(null, ip, 1);
                            String requestedIP = (String)result.keys().nextElement();
                            Hashtable rip = Utils.nHash(result.get(requestedIP));
                            Hashtable reserved_ips = Utils.nHash(rip.get("ip_addresses"));
                            err(reserved_ips == null || reserved_ips.size() == 0,
                                "Failed to reserve any ip address");
                            reserved_ip = (String)reserved_ips.keys().nextElement();
                            if( exact_ip ) {
                                if( !reserved_ip.equals(requestedIP) ) {
                                    try { // cancel reserved ip
                                        MainWindow.netdb.cancelIP(reserved_ip);
                                    } catch (Exception exx) {}
                                    err("Failed to reserve requested ip address");
                                }
                            } else
                                System.out.println((!verbose?"\n":"")+
                                                   "Reserved ip "+reserved_ip);

                        } catch (Exception ex) {
                            err("Failed to reserve ip address");
                        }
                        Hashtable ips = new Hashtable();
                        intfc.put("ips", ips);
                        Hashtable ipH = new Hashtable();
                        ips.put(reserved_ip, ipH);
                        ipH.put("active?", new Boolean(true));
                    }

                    String make = (String)cmdActions.get("make");
                    if( make != null )
                        newNode.put("make", make);

                    if( cmdActions.get("model") != null )
                        newNode.put("model", cmdActions.get("model"));

                    if( cmdActions.get("oses") != null )
                        newNode.put("oses", cmdActions.get("oses"));

                    if( cmdActions.get("comment") != null )
                        newNode.put("comment", cmdActions.get("comment"));

                    if( cmdActions.get("department") != null )
                        newNode.put("dept", cmdActions.get("department"));

                    if( cmdActions.get("state") != null )
                        newNode.put("state", cmdActions.get("state"));

                    Hashtable users = (Hashtable)cmdActions.get("users");
                    if( users != null && users.size() > 0 ) {
                        msg("Looking up users...", ".");
                        Hashtable node_users = new Hashtable();
                        newNode.put("users", node_users);
                        lookupPersons(users);
                        addPeople(node_users, Utils.copyHash(users), "a user", nodeName);
                        updatePersons(Utils.nHash(newNode.get("users")));
                    }

                    Hashtable admins = (Hashtable)cmdActions.get("admins");
                    if( admins != null && admins.size() > 0 ) {
                        msg("Looking up admins...", ".");
                        Hashtable node_admins = new Hashtable();
                        newNode.put("admins", node_admins);
                        lookupAdmins(admins);
                        addAdmins(node_admins, Utils.copyHash(admins), name);
                        updatePersons(Utils.nHash(Utils.nHash(newNode.get("admins")).get("admins")));
                    }

                    if( Utils.nHash(newNode.get("types")).get("Template") != null )
                        newNode.put("types", new Hashtable());

                    try {
                        MainWindow.netdb.insert(newNode);
                    } catch (Exception exx) {
                        if( reserved_ip != null &&
                            reserved_ip.trim().length() > 0 ) {
                            msg("Canceling ip...", ".");
                            try {
                                MainWindow.netdb.cancelIP(reserved_ip.trim());
                            } catch (Exception exxx) { }
                        }
                        throw exx;
                    }

                    msg("Done", " done\n");

                } else if( cmdActions.get("action_operand").toString().equals("aliases") ) { // aliases
                    verifyNodeTypeAccess();

                    msg("Loading node info...", ".");
                    String name = cmdActions.get("name").toString().trim().toLowerCase();
                    Hashtable oldNode = MainWindow.netdb.getInfo(Constants.NODE, name);
                    err(oldNode.get("id") == null, "Node \""+name+"\" does not exist.");

                    msg("Verifying node access...", ".");
                    Hashtable types = Utils.nHash(oldNode.get("types"));
                    err(types.get("Template") != null,
                        "You cannot manipulate aliases in a node of type template");

                    verifyNodeTypesAccessOrDie(oldNode, name);
                    verifyNodeGroupAccessOrDie(oldNode, name);

                    // find out name
                    Hashtable names = (Hashtable)oldNode.get("names");
                    String nameLC = name.toLowerCase();
                    Enumeration enm = names.keys();
                    Hashtable nameH = null;
                    boolean found_it = false;
                    while( enm.hasMoreElements() ) {
                        nameH = (Hashtable)names.get(enm.nextElement());
                        String fqdn = nameH.get("name").toString().trim().toLowerCase()+"."+
                            nameH.get("domain").toString().trim().toLowerCase();
                        if( name.equals(nameLC) ) {
                            found_it = true;
                            break;
                        }
                    }
                    err(!found_it, verbose?"":"\n", "\nFailed to find name ["+name+"]");


                    Timestamp lockedTm = null;
                    try {
                        msg("Locking node...", ".");
                        lockedTm = MainWindow.netdb.lock(Constants.NODE, name);
                        err(lockedTm == null, verbose?"":"\n", "Failed to lock node");

                        msg("Reloading node info...", ".");
                        oldNode = MainWindow.netdb.getInfo(Constants.NODE, name);
                        err(oldNode.get("id") == null, verbose?"":"\n", "Node \""+name+"\" does not exist.");

                        Hashtable newNode = Utils.copyHash(oldNode);
                        newNode.put("locked", lockedTm);

                        // find out name one more time
                        names = (Hashtable)newNode.get("names");
                        nameLC = name.toLowerCase();
                        enm = names.keys();
                        nameH = null;
                        found_it = false;
                        while( enm.hasMoreElements() ) {
                            nameH = (Hashtable)names.get(enm.nextElement());
                            String fqdn = nameH.get("name").toString().trim().toLowerCase()+"."+
                                nameH.get("domain").toString().trim().toLowerCase();
                            if( fqdn.equals(nameLC) ) {
                                found_it = true;
                                break;
                            }
                        }
                        if( !found_it )
                            throw new Exception("Failed to find name \""+name+"\"");

                        Hashtable aliases = (Hashtable)nameH.get("aliases");
                        if( aliases == null ) {
                            aliases = new Hashtable();
                            nameH.put("aliases", aliases);
                        }
                        Hashtable aliases_to_remove = Utils.nHash(cmdActions.get("aliases_to_remove"));
                        enm = aliases_to_remove.keys();
                        while( enm.hasMoreElements() ) {
                            String alias = (String)enm.nextElement();
                            // find out alias to remove, it may have different case
                            Enumeration enm2 = aliases.keys();
                            String key = null;
                            found_it = false;
                            while( enm2.hasMoreElements() ) {
                                key = (String)enm2.nextElement();
                                Hashtable aliasH = (Hashtable)aliases.get(key);
                                String cmpName = ((String)aliasH.get("name")).trim().toLowerCase()+"."+
                                    ((String)aliasH.get("domain")).trim().toLowerCase();
                                if( cmpName.equals(alias.toLowerCase()) ) {
                                    found_it = true;
                                    break;
                                }
                            }
                            if( found_it )
                                aliases.remove(key);
                            else
                                msg("Alias name \""+alias+"\" not found", "\n$$\n");
                        }

                        Hashtable aliases_to_add = Utils.nHash(cmdActions.get("aliases_to_add"));
                        enm = aliases_to_add.keys();
                        while( enm.hasMoreElements() ) {
                            String alias = (String)enm.nextElement();
                            Hashtable aliasH = new Hashtable();
                            if( aliases.put(alias, aliasH) != null )
                                msg("Alias name \""+alias+"\" already exists", "\n$$\n");
                            aliasH.put("name", Utils.name(alias));
                            aliasH.put("domain", Utils.domain(alias, MainWindow.userDefDomain));
                        }

                        msg("Performing update...", ".");
                        MainWindow.netdb.update(oldNode, newNode);

                        msg("Done", " done\n");
                        lockedTm = null;

                    } finally {
                        // try to unlock node if it is locked
                        if( lockedTm != null )
                            try {
                                System.out.println("\nUnlocking node...");
                                MainWindow.netdb.unlock(Constants.NODE, name, lockedTm);
                            } catch(Exception ex) {
                            };
                    }

                } else if( cmdActions.get("action_operand").toString().equals("receive_mail_for") ) { // receive_mail_for
                    verifyNodeTypeAccess();

                    msg("Loading node info...", ".");
                    String name = cmdActions.get("name").toString().trim().toLowerCase();
                    Hashtable oldNode = MainWindow.netdb.getInfo(Constants.NODE, name);
                    err(oldNode.get("id") == null, "Node \""+name+"\" does not exist.");

                    msg("Verifying node access...", ".");
                    Hashtable types = Utils.nHash(oldNode.get("types"));
                    err(types.get("Template") != null, "You cannot manipulate MXes in a node of type template");

                    verifyNodeTypesAccessOrDie(oldNode, name);
                    verifyNodeGroupAccessOrDie(oldNode, name);

                    // find out name
                    Hashtable names = (Hashtable)oldNode.get("names");
                    String nameLC = name.toLowerCase();
                    Enumeration enm = names.keys();
                    Hashtable nameH = null;
                    boolean found_it = false;
                    while( enm.hasMoreElements() ) {
                        nameH = (Hashtable)names.get(enm.nextElement());
                        String fqdn = nameH.get("name").toString().trim().toLowerCase()+"."+
                            nameH.get("domain").toString().trim().toLowerCase();
                        if( name.equals(nameLC) ) {
                            found_it = true;
                            break;
                        }
                    }
                    err(!found_it, verbose?"":"\n", "Failed to find name \""+name+"\"");

                    Timestamp lockedTm = null;
                    try {
                        msg("Locking node...", ".");
                        lockedTm = MainWindow.netdb.lock(Constants.NODE, name);
                        err(lockedTm == null, verbose?"":"\n", "Failed to lock node");

                        msg("Reloading node info...", ".");
                        oldNode = MainWindow.netdb.getInfo(Constants.NODE, name);
                        err(oldNode.get("id") == null, verbose?"":"\n", "Node \""+name+"\" does not exist.");

                        Hashtable newNode = Utils.copyHash(oldNode);
                        newNode.put("locked", lockedTm);

                        // find out name one more time
                        names = (Hashtable)newNode.get("names");
                        nameLC = name.toLowerCase();
                        enm = names.keys();
                        nameH = null;
                        found_it = false;
                        while( enm.hasMoreElements() ) {
                            nameH = (Hashtable)names.get(enm.nextElement());
                            String fqdn = nameH.get("name").toString().trim().toLowerCase()+"."+
                                nameH.get("domain").toString().trim().toLowerCase();
                            if( fqdn.equals(nameLC) ) {
                                found_it = true;
                                break;
                            }
                        }
                        if( !found_it )
                            throw new Exception("Failed to find name ["+name+"]");

                        Hashtable mxs = (Hashtable)nameH.get("mxs");
                        if( mxs == null ) {
                            mxs = new Hashtable();
                            nameH.put("mxs", mxs);
                        }
                        Hashtable mxs_to_remove = Utils.nHash(cmdActions.get("mxs_to_remove"));
                        enm = mxs_to_remove.keys();
                        while( enm.hasMoreElements() ) {
                            String mx = (String)enm.nextElement();
                            // find out mx to remove, it may have different case
                            Enumeration enm2 = mxs.keys();
                            String key = null;
                            found_it = false;
                            while( enm2.hasMoreElements() ) {
                                key = (String)enm2.nextElement();
                                Hashtable mxH = (Hashtable)mxs.get(key);
                                String cmpName = ((String)mxH.get("name")).trim().toLowerCase()+"."+
                                    ((String)mxH.get("domain")).trim().toLowerCase();
                                if( cmpName.equals(mx.toLowerCase()) ) {
                                    found_it = true;
                                    break;
                                }
                            }
                            if( found_it )
                                mxs.remove(key);
                            else
                                msg("MX name \""+mx+"\" not found", "\n$$\n");
                        }

                        Hashtable mxs_to_add = Utils.nHash(cmdActions.get("mxs_to_add"));
                        enm = mxs_to_add.keys();
                        while( enm.hasMoreElements() ) {
                            String mx = (String)enm.nextElement();
                            String pref="10";
                            int prefIndex = mx.indexOf(":");
                            if(prefIndex!=-1) {
                                pref = mx.substring(prefIndex+1);
                                mx = mx.substring(0,prefIndex);
                            }
                            Hashtable mxH = new Hashtable();
                            if( mxs.put(mx, mxH) != null )
                                msg("MX name \""+mx+"\" already exists", "\n$$\n");

                            mxH.put("name", Utils.name(mx));
                            mxH.put("domain", Utils.domain(mx, MainWindow.userDefDomain));
                            mxH.put("pref",pref);
                        }

                        msg("Performing update...", ".");
                        MainWindow.netdb.update(oldNode, newNode);

                        msg("Done", " done\n");
                        lockedTm = null;

                    } finally {
                        // try to unlock node if it is locked
                        if( lockedTm != null )
                            try {
                                System.out.println("\nUnlocking node...");
                                MainWindow.netdb.unlock(Constants.NODE, name, lockedTm);
                            } catch(Exception ex) {
                            };
                    }

                } else if( cmdActions.get("action_operand").toString().equals("groups") ) { // groups
                    verifyNodeTypeAccess();

                    // lookup groups
                    msg("Looking up groups...", ".");
                    Hashtable groups_to_add = Utils.nHash(cmdActions.get("groups_to_add"));
                    Hashtable clearance_set = new Hashtable();
                    Enumeration enm = groups_to_add.keys();
                    while( enm.hasMoreElements() ) {
                        String groupName = (String)enm.nextElement();
                        Hashtable group = MainWindow.netdb.getInfo(Constants.GROUP, groupName);
                        if( group == null || group.get("id") == null ) {
                            clearance_set.put(groupName, "");
                            msg("Group \""+groupName+"\" does not exist.", "\n$$\n");
                        }
                    }
                    // clear up wrong groups
                    enm = clearance_set.keys();
                    while( enm.hasMoreElements() ) {
                        groups_to_add.remove(enm.nextElement());
                    }

                    err(groups_to_add.size() == 0 &&
                        Utils.nHash(cmdActions.get("groups_to_remove")).size() == 0,
                        "There is nothing to be done");

                    Hashtable nodeNames = Utils.nHash(cmdActions.get("node_names"));
                    java.util.List list = Arrays.asList(nodeNames.keySet().toArray());
                    Collections.sort(list, number_cmp);
                    Object[] nameArray = list.toArray();
                    for( int k = 0; k < nameArray.length; k++ ) {
                        try {
                            String name = ((String)nodeNames.get(nameArray[k])).toLowerCase().trim();
                            msg("Node \""+name+"\"", "\n$$ ");
                            msg("Loading node info for \""+name+"\"", ".");
                            Hashtable oldNode = MainWindow.netdb.getInfo(Constants.NODE, name);
                            if( oldNode.get("id") == null ) {
                                msg("Node \""+name+"\" does not exist.", "\n$$\n");
                                continue;
                            }

                            msg("Verifying node access...", ".");


                            if( !verifyNodeTypesAccess(oldNode, name) )
                                continue;

                            if( !verifyNodeGroupAccess(oldNode, name) )
                                continue;

                            Timestamp lockedTm = null;
                            try {
                                msg("Locking node...", ".");
                                lockedTm = MainWindow.netdb.lock(Constants.NODE, name);
                                if( lockedTm == null ) {
                                    System.out.println((verbose?"":"\n")+"Failed to lock node \""+name+"\"");
                                    continue;
                                }

                                msg("Reloading node info...", ".");
                                oldNode = MainWindow.netdb.getInfo(Constants.NODE, name);
                                if( oldNode.get("id") == null ) {
                                    System.out.println((verbose?"":"\n")+"Node \""+name+"\" does not exist.");
                                    continue;
                                }

                                Hashtable newNode = Utils.copyHash(oldNode);
                                newNode.put("locked", lockedTm);

                                Hashtable groups = (Hashtable)newNode.get("groups");
                                if( groups == null ) { // it should not be the case but we check it anyway
                                    groups = new Hashtable();
                                    newNode.put("groups", groups);
                                }
                                Hashtable groupsLc = new Hashtable();
                                Enumeration enm1 = groups.keys();
                                while( enm1.hasMoreElements() )
                                    groupsLc.put(enm1.nextElement().toString().trim().toLowerCase(), "");

                                Hashtable groups_to_remove = Utils.nHash(cmdActions.get("groups_to_remove"));
                                enm1 = groups_to_remove.keys();
                                while( enm1.hasMoreElements() ) {
                                    String groupName = ((String)enm1.nextElement()).trim();
                                    String groupNameLc = groupName.toLowerCase();
                                    Enumeration enm2 = groups.keys();
                                    String foundName = null;
                                    while( enm2.hasMoreElements() ) {
                                        String gName = (String)enm2.nextElement();
                                        if( gName.trim().toLowerCase().equals(groupNameLc) ) {
                                            foundName = gName;
                                            break;
                                        }
                                    }
                                    if( foundName != null )
                                        groups.remove(foundName);
                                    else
                                        msg("The group \""+groupName+"\" not found in node \""+name+"\"", "\n$$\n");
                                }

                                groups_to_add = Utils.nHash(cmdActions.get("groups_to_add"));
                                enm1 = groups_to_add.keys();
                                while( enm1.hasMoreElements() ) {
                                    String groupName = ((String)enm1.nextElement()).trim();
                                    if( groupsLc.get(groupName.toLowerCase()) != null )
                                        msg("The group \""+groupName+"\" is already part of node \""+name+"\"", "\n$$\n");
                                    else
                                        groups.put(groupName, "");
                                }

                                msg("Performing update...", ".");
                                MainWindow.netdb.update(oldNode, newNode);

                                msg("Done", " done\n");
                                lockedTm = null;

                            } finally {
                                // try to unlock node if it is locked
                                if( lockedTm != null )
                                    try {
                                        System.out.println("\nUnlocking node...");
                                        MainWindow.netdb.unlock(Constants.NODE, name, lockedTm);
                                    } catch(Exception ex) {
                                    };
                            }
                        } catch (java.rmi.ServerException ex) {
                            if( ex.getCause() instanceof SessionTimeoutException ) {
                                SessionTimeoutException se = (SessionTimeoutException)ex.getCause();
                                err("Session timeout. "+se.getMessage());

                            } else if( ex.getCause() instanceof RemoteNetDBException ) {
                                RemoteNetDBException ne = (RemoteNetDBException)ex.getCause();
                                Vector errors = ne.getMessages();
                                String msg = "";
                                int esize = errors.size();
                                for( int i = 0; i < esize; i++ )
                                    msg += (String)errors.elementAt(i)+(i<esize-1?"\n":"");
                                System.out.println("ERROR: "+msg);

                            } else if( ex.getCause() instanceof RemoteException ) {
                                RemoteException re = (RemoteException)ex.getCause();
                                System.out.println("ERROR: "+re.getMessage());

                            } else
                                System.out.println("ERROR: "+ex.getMessage());

                        } catch (java.rmi.NoSuchObjectException ex) {
                            err("Session timeout.");

                        } catch (java.rmi.MarshalException ex) {
                            err("Session timeout.");

                        } catch(Exception ex) {
                            System.out.println("ERROR: "+ex.getMessage());
                        }
                    }

                } if( cmdActions.get("action_operand").toString().equals("oses") ) { // oses
                    verifyNodeTypeAccess();

                    // search oses to add
                    Hashtable oses_to_add = Utils.nHash(cmdActions.get("oses_to_add"));
                    Enumeration enm = oses_to_add.keys();
                    while( enm.hasMoreElements() ) {
                        String os = ((String)enm.nextElement()).trim();
                        try {
                            Hashtable osH = MainWindow.netdb.getInfo(Constants.OS, os);
                            err(osH == null || osH.size() != 1, "OS \""+os+"\" does no exist.");
                        } catch(Exception ex) {}
                    }

                    Hashtable oses_to_remove = Utils.nHash(cmdActions.get("oses_to_remove"));
                    err(oses_to_add.size() == 0 && oses_to_remove.size() == 0,
                        "There is nothing to be done");

                    Hashtable nodeNames = Utils.nHash(cmdActions.get("node_names"));
                    java.util.List list = Arrays.asList(nodeNames.keySet().toArray());
                    Collections.sort(list, number_cmp);
                    Object[] nameArray = list.toArray();
                    for( int k = 0; k < nameArray.length; k++ ) {
                        try {
                            String name = ((String)nodeNames.get(nameArray[k])).toLowerCase().trim();
                            msg("Node \""+name+"\"", "\n$$ ");
                            msg("Loading node info for \""+name+"\"", ".");
                            Hashtable oldNode = MainWindow.netdb.getInfo(Constants.NODE, name);
                            if( oldNode.get("id") == null ) {
                                msg("Node \""+name+"\" does not exist.", "\n$$\n");
                                continue;
                            }

                            if( !verifyNodeTypesAccess(oldNode, name) )
                                continue;

                            if( !verifyNodeGroupAccess(oldNode, name) )
                                continue;

                            Timestamp lockedTm = null;
                            try {
                                lockedTm = lockNode(name);
                                if( lockedTm == null )
                                    continue;

                                msg("Reloading node info...", ".");
                                oldNode = MainWindow.netdb.getInfo(Constants.NODE, name);
                                if( oldNode.get("id") == null ) {
                                    System.out.println((verbose?"":"\n")+"Node \""+name+"\" does not exist.");
                                    continue;
                                }

                                Hashtable newNode = Utils.copyHash(oldNode);
                                newNode.put("locked", lockedTm);

                                Hashtable oses = (Hashtable)newNode.get("oses");
                                if( oses == null ) {
                                    oses = new Hashtable();
                                    newNode.put("oses", oses);
                                }

                                // remove oses to remove
                                enm = oses_to_remove.keys();
                                while( enm.hasMoreElements() )
                                    oses.remove(((String)enm.nextElement()).trim());

                                // add oses to add
                                enm = oses_to_add.keys();
                                while( enm.hasMoreElements() )
                                    oses.put(((String)enm.nextElement()).trim(), "");

                                updateNode(oldNode, newNode);

                                msg("Done", " done\n");
                                lockedTm = null;

                            } finally {
                                // try to unlock node if it is locked
                                if( lockedTm != null )
                                    unlockNode(name, lockedTm);
                            }
                        } catch (java.rmi.ServerException ex) {
                            handleUpdateException(ex);

                        } catch (java.rmi.NoSuchObjectException ex) {
                            err("Session timeout.");

                        } catch (java.rmi.MarshalException ex) {
                            err("Session timeout.");

                        } catch(Exception ex) {
                            System.out.println("ERROR: "+ex.getMessage());
                        }
                    }

                } if( cmdActions.get("action_operand").toString().equals("custom") ) { // custom
                    verifyNodeTypeAccess();

                    // search custom to add
                    Hashtable custom_to_add = Utils.nHash(cmdActions.get("custom_to_add"));
                    Hashtable custom_to_remove = Utils.nHash(cmdActions.get("custom_to_remove"));
                    err(custom_to_add.size() == 0 && custom_to_remove.size() == 0,
                        "There is nothing to be done");

                    Hashtable nodeNames = Utils.nHash(cmdActions.get("node_names"));
                    java.util.List list = Arrays.asList(nodeNames.keySet().toArray());
                    Collections.sort(list, number_cmp);
                    Object[] nameArray = list.toArray();
                    for( int k = 0; k < nameArray.length; k++ ) {
                        try {
                            String name = ((String)nodeNames.get(nameArray[k])).toLowerCase().trim();
                            msg("Node \""+name+"\"", "\n$$ ");
                            msg("Loading node info for \""+name+"\"", ".");
                            Hashtable oldNode = MainWindow.netdb.getInfo(Constants.NODE, name);
                            if( oldNode.get("id") == null ) {
                                msg("Node \""+name+"\" does not exist.", "\n$$\n");
                                continue;
                            }

                            if( !verifyNodeTypesAccess(oldNode, name) )
                                continue;

                            if( !verifyNodeGroupAccess(oldNode, name) )
                                continue;

                            Timestamp lockedTm = null;
                            try {
                                lockedTm = lockNode(name);
                                if( lockedTm == null )
                                    continue;

                                msg("Reloading node info...", ".");
                                oldNode = MainWindow.netdb.getInfo(Constants.NODE, name);
                                if( oldNode.get("id") == null ) {
                                    System.out.println((verbose?"":"\n")+"Node \""+name+"\" does not exist.");
                                    continue;
                                }

                                Hashtable newNode = Utils.copyHash(oldNode);
                                newNode.put("locked", lockedTm);

                                Hashtable tags = (Hashtable)newNode.get("tags");
                                if( tags == null ) {
                                    tags = new Hashtable();
                                    newNode.put("tags", tags);
                                }

                                // remove tags to remove
                                Enumeration enm = custom_to_remove.keys();
                                while( enm.hasMoreElements() ){
                                    String custom_tag_name = ((String)enm.nextElement()).trim();
                                    String custom_tag_value = ((String)custom_to_remove.get(custom_tag_name)).trim();
                                    if(!tags.containsKey(custom_tag_name))
                                        throw new Exception("custom field :"+custom_tag_name+" not present.");
                                    if(custom_tag_value.length()==0)
                                        tags.remove(custom_tag_name);
                                    else {
                                        if(custom_tag_value.equals(((String)tags.get(custom_tag_name)).trim()))
                                            tags.remove(custom_tag_name);
                                        else
                                            throw new Exception("custom field :"+custom_tag_name+"="+custom_tag_value+" not present.");
                                    }
                                }

                                // add tags to add
                                enm = custom_to_add.keys();
                                while( enm.hasMoreElements() ){
                                    String custom_tag_name = ((String)enm.nextElement()).trim();
                                    tags.put(custom_tag_name,((String)custom_to_add.get(custom_tag_name)).trim());
                                }
                                updateNode(oldNode, newNode);

                                msg("Done", " done\n");
                                lockedTm = null;

                            } finally {
                                // try to unlock node if it is locked
                                if( lockedTm != null )
                                    unlockNode(name, lockedTm);
                            }
                        } catch (java.rmi.ServerException ex) {
                            handleUpdateException(ex);

                        } catch (java.rmi.NoSuchObjectException ex) {
                            err("Session timeout.");

                        } catch (java.rmi.MarshalException ex) {
                            err("Session timeout.");

                        } catch(Exception ex) {
                            System.out.println("ERROR: "+ex.getMessage());
                        }
                    }

                } if( cmdActions.get("action_operand").toString().equals("admins") ) { // admins
                    verifyNodeTypeAccess();

                    // search admins
                    Hashtable admins_to_add = Utils.nHash(cmdActions.get("admins_to_add"));
                    lookupAdmins(admins_to_add);
                    err(admins_to_add.size() == 0 &&
                        Utils.nHash(cmdActions.get("admins_to_remove")).size() == 0,
                        "There is nothing to be done");

                    Hashtable nodeNames = Utils.nHash(cmdActions.get("node_names"));
                    java.util.List list = Arrays.asList(nodeNames.keySet().toArray());
                    Collections.sort(list, number_cmp);
                    Object[] nameArray = list.toArray();
                    for( int k = 0; k < nameArray.length; k++ ) {
                        try {
                            String name = ((String)nodeNames.get(nameArray[k])).toLowerCase().trim();
                            msg("Node \""+name+"\"", "\n$$ ");
                            msg("Loading node info for \""+name+"\"", ".");
                            Hashtable oldNode = MainWindow.netdb.getInfo(Constants.NODE, name);
                            if( oldNode.get("id") == null ) {
                                msg("Node \""+name+"\" does not exist.", "\n$$\n");
                                continue;
                            }

                            if( !verifyNodeTypesAccess(oldNode, name) )
                                continue;

                            if( !verifyNodeGroupAccess(oldNode, name) )
                                continue;

                            Timestamp lockedTm = null;
                            try {
                                lockedTm = lockNode(name);
                                if( lockedTm == null )
                                    continue;

                                msg("Reloading node info...", ".");
                                oldNode = MainWindow.netdb.getInfo(Constants.NODE, name);
                                if( oldNode.get("id") == null ) {
                                    System.out.println((verbose?"":"\n")+"Node \""+name+"\" does not exist.");
                                    continue;
                                }

                                Hashtable newNode = Utils.copyHash(oldNode);
                                newNode.put("locked", lockedTm);

                                Hashtable admins = (Hashtable)newNode.get("admins");
                                if( admins == null ) {
                                    admins = new Hashtable();
                                    newNode.put("admins", admins);
                                }

                                removeAdmins(admins, Utils.nHash(cmdActions.get("admins_to_remove")), name);
                                addAdmins(admins, Utils.copyHash(admins_to_add), name);
                                updatePersons(Utils.nHash(Utils.nHash(newNode.get("admins")).get("admins")));
                                updateNode(oldNode, newNode);

                                msg("Done", "done");
                                lockedTm = null;

                            } finally {
                                // try to unlock node if it is locked
                                if( lockedTm != null )
                                    unlockNode(name, lockedTm);
                            }
                        } catch (java.rmi.ServerException ex) {
                            handleUpdateException(ex);

                        } catch (java.rmi.NoSuchObjectException ex) {
                            err("Session timeout.");

                        } catch (java.rmi.MarshalException ex) {
                            err("Session timeout.");

                        } catch(Exception ex) {
                            System.out.println("ERROR: "+ex.getMessage());
                        }
                    }

                } if( cmdActions.get("action_operand").toString().equals("users") ) { // users
                    verifyNodeTypeAccess();

                    // search users in directory
                    Hashtable users_to_add = Utils.nHash(cmdActions.get("users_to_add"));
                    lookupPersons(users_to_add);
                    err(users_to_add.size() == 0 &&
                        Utils.nHash(cmdActions.get("users_to_remove")).size() == 0,
                        "There is nothing to be done");

                    Hashtable nodeNames = Utils.nHash(cmdActions.get("node_names"));
                    java.util.List list = Arrays.asList(nodeNames.keySet().toArray());
                    Collections.sort(list, number_cmp);
                    Object[] nameArray = list.toArray();
                    for( int k = 0; k < nameArray.length; k++ ) {
                        try {
                            String name = ((String)nodeNames.get(nameArray[k])).toLowerCase().trim();
                            msg("Node \""+name+"\"", "\n$$ ");
                            msg("Loading node info for \""+name+"\"", ".");
                            Hashtable oldNode = MainWindow.netdb.getInfo(Constants.NODE, name);
                            if( oldNode.get("id") == null ) {
                                msg("Node \""+name+"\" does not exist", "\n$$\n");
                                continue;
                            }

                            if( !verifyNodeTypesAccess(oldNode, name) )
                                continue;

                            if( !verifyNodeGroupAccess(oldNode, name) )
                                continue;

                            Timestamp lockedTm = null;
                            try {
                                lockedTm = lockNode(name);
                                if( lockedTm == null )
                                    continue;

                                msg("Reloading node info...", ".");
                                oldNode = MainWindow.netdb.getInfo(Constants.NODE, name);
                                if( oldNode.get("id") == null ) {
                                    System.out.println((verbose?"":"\n")+"Node \""+name+"\" does not exist.");
                                    continue;
                                }

                                Hashtable newNode = Utils.copyHash(oldNode);
                                newNode.put("locked", lockedTm);

                                Hashtable users = (Hashtable)newNode.get("users");
                                if( users == null ) {
                                    users = new Hashtable();
                                    newNode.put("users", users);
                                }

                                removePeople(users, Utils.nHash(cmdActions.get("users_to_remove")), name);
                                addPeople(users, Utils.copyHash(users_to_add), "a user", name);
                                updatePersons(Utils.nHash(newNode.get("users")));
                                updateNode(oldNode, newNode);

                                msg("Done", " done\n");
                                lockedTm = null;

                            } finally {
                                // try to unlock node if it is locked
                                if( lockedTm != null )
                                    unlockNode(name, lockedTm);
                            }
                        } catch (java.rmi.ServerException ex) {
                            handleUpdateException(ex);

                        } catch (java.rmi.NoSuchObjectException ex) {
                            err("Session timeout.");

                        } catch (java.rmi.MarshalException ex) {
                            err("Session timeout.");

                        } catch(Exception ex) {
                            System.out.println("ERROR: "+ex.getMessage());
                        }
                    }

                } if( cmdActions.get("action_operand").toString().equals("comment") ) { // comment
                    verifyNodeTypeAccess();

                    Hashtable nodeNames = Utils.nHash(cmdActions.get("node_names"));
                    java.util.List list = Arrays.asList(nodeNames.keySet().toArray());
                    Collections.sort(list, number_cmp);
                    Object[] nameArray = list.toArray();
                    for( int k = 0; k < nameArray.length; k++ ) {
                        try {
                            String name = ((String)nodeNames.get(nameArray[k])).toLowerCase().trim();
                            msg("Node \""+name+"\"", "\n$$ ");
                            msg("Loading node info for \""+name+"\"", ".");
                            Hashtable oldNode = MainWindow.netdb.getInfo(Constants.NODE, name);
                            if( oldNode.get("id") == null ) {
                                msg("Node \""+name+"\" does not exist.", "\n$$\n");
                                continue;
                            }

                            if( !verifyNodeTypesAccess(oldNode, name) )
                                continue;

                            if( !verifyNodeGroupAccess(oldNode, name) )
                                continue;

                            Timestamp lockedTm = null;
                            try {
                                lockedTm = lockNode(name);
                                if( lockedTm == null )
                                    continue;

                                msg("Reloading node info...", ".");
                                oldNode = MainWindow.netdb.getInfo(Constants.NODE, name);
                                if( oldNode.get("id") == null ) {
                                    System.out.println((verbose?"":"\n")+"Node \""+name+"\" does not exist.");
                                    continue;
                                }

                                Hashtable newNode = Utils.copyHash(oldNode);
                                newNode.put("locked", lockedTm);

                                String comment = (String)cmdActions.get("comment");
                                if( comment != null )
                                    newNode.put("comment", comment);

                                updateNode(oldNode, newNode);

                                msg("Done", " done\n");
                                lockedTm = null;

                            } finally {
                                // try to unlock node if it is locked
                                if( lockedTm != null )
                                    unlockNode(name, lockedTm);
                            }
                        } catch (java.rmi.ServerException ex) {
                            handleUpdateException(ex);

                        } catch (java.rmi.NoSuchObjectException ex) {
                            err("Session timeout.");

                        } catch (java.rmi.MarshalException ex) {
                            err("Session timeout.");

                        } catch(Exception ex) {
                            System.out.println("ERROR: "+ex.getMessage());
                        }
                    }

                } if( cmdActions.get("action_operand").toString().equals("expiration") ) { // expiration
                    verifyNodeTypeAccess();

                    Hashtable nodeNames = Utils.nHash(cmdActions.get("node_names"));
                    java.util.List list = Arrays.asList(nodeNames.keySet().toArray());
                    Collections.sort(list, number_cmp);
                    Object[] nameArray = list.toArray();
                    for( int k = 0; k < nameArray.length; k++ ) {
                        try {
                            String name = ((String)nodeNames.get(nameArray[k])).toLowerCase().trim();
                            msg("Node \""+name+"\"", "\n$$ ");
                            msg("Loading node info for \""+name+"\"", ".");
                            Hashtable oldNode = MainWindow.netdb.getInfo(Constants.NODE, name);
                            if( oldNode.get("id") == null ) {
                                msg("Node \""+name+"\" does not exist.", "\n$$\n");
                                continue;
                            }

                            if( !verifyNodeTypesAccess(oldNode, name) )
                                continue;

                            if( !verifyNodeGroupAccess(oldNode, name) )
                                continue;

                            Timestamp lockedTm = null;
                            try {
                                lockedTm = lockNode(name);
                                if( lockedTm == null )
                                    continue;

                                msg("Reloading node info...", ".");
                                oldNode = MainWindow.netdb.getInfo(Constants.NODE, name);
                                if( oldNode.get("id") == null ) {
                                    System.out.println((verbose?"":"\n")+"Node \""+name+"\" does not exist.");
                                    continue;
                                }

                                Hashtable newNode = Utils.copyHash(oldNode);
                                newNode.put("locked", lockedTm);

                                String expiration = (String)cmdActions.get("expiration");
                                Timestamp expirationTS = (Timestamp)cmdActions.get("expirationTS");
                                if( expiration != null ){
                                    if(expiration.trim().length()==0)
                                        newNode.remove("exp.date");
                                    else
                                        newNode.put("exp.date",expirationTS);
                                }

                                updateNode(oldNode, newNode);

                                msg("Done", " done\n");
                                lockedTm = null;

                            } finally {
                                // try to unlock node if it is locked
                                if( lockedTm != null )
                                    unlockNode(name, lockedTm);
                            }
                        } catch (java.rmi.ServerException ex) {
                            handleUpdateException(ex);

                        } catch (java.rmi.NoSuchObjectException ex) {
                            err("Session timeout.");

                        } catch (java.rmi.MarshalException ex) {
                            err("Session timeout.");

                        } catch(Exception ex) {
                            System.out.println("ERROR: "+ex.getMessage());
                        }
                    }

                } if( cmdActions.get("action_operand").toString().equals("department") ) { // department
                    verifyNodeTypeAccess();

                    Hashtable nodeNames = Utils.nHash(cmdActions.get("node_names"));
                    java.util.List list = Arrays.asList(nodeNames.keySet().toArray());
                    Collections.sort(list, number_cmp);
                    Object[] nameArray = list.toArray();
                    for( int k = 0; k < nameArray.length; k++ ) {
                        try {
                            String name = ((String)nodeNames.get(nameArray[k])).toLowerCase().trim();
                            msg("Node \""+name+"\"", "\n$$ ");
                            msg("Loading node info for \""+name+"\"", ".");
                            Hashtable oldNode = MainWindow.netdb.getInfo(Constants.NODE, name);
                            if( oldNode.get("id") == null ) {
                                msg("Node \""+name+"\" does not exist.", "\n$$\n");
                                continue;
                            }

                            if( !verifyNodeTypesAccess(oldNode, name) )
                                continue;

                            if( !verifyNodeGroupAccess(oldNode, name) )
                                continue;

                            Timestamp lockedTm = null;
                            try {
                                lockedTm = lockNode(name);
                                if( lockedTm == null )
                                    continue;

                                msg("Reloading node info...", ".");
                                oldNode = MainWindow.netdb.getInfo(Constants.NODE, name);
                                if( oldNode.get("id") == null ) {
                                    System.out.println((verbose?"":"\n")+"Node \""+name+"\" does not exist.");
                                    continue;
                                }

                                Hashtable newNode = Utils.copyHash(oldNode);
                                newNode.put("locked", lockedTm);

                                String department = (String)cmdActions.get("department");
                                if( department != null )
                                    newNode.put("dept", department);

                                updateNode(oldNode, newNode);

                                msg("Done", " done\n");
                                lockedTm = null;

                            } finally {
                                // try to unlock node if it is locked
                                if( lockedTm != null )
                                    unlockNode(name, lockedTm);
                            }
                        } catch (java.rmi.ServerException ex) {
                            handleUpdateException(ex);

                        } catch (java.rmi.NoSuchObjectException ex) {
                            err("Session timeout.");

                        } catch (java.rmi.MarshalException ex) {
                            err("Session timeout.");

                        } catch(Exception ex) {
                            System.out.println("ERROR: "+ex.getMessage());
                        }
                    }

                } if( cmdActions.get("action_operand").toString().equals("state") ) { // state
                    verifyNodeTypeAccess();

                    Hashtable nodeNames = Utils.nHash(cmdActions.get("node_names"));
                    java.util.List list = Arrays.asList(nodeNames.keySet().toArray());
                    Collections.sort(list, number_cmp);
                    Object[] nameArray = list.toArray();
                    for( int k = 0; k < nameArray.length; k++ ) {
                        try {
                            String name = ((String)nodeNames.get(nameArray[k])).toLowerCase().trim();
                            msg("Node \""+name+"\"", "\n$$ ");
                            msg("Loading node info for \""+name+"\"", ".");
                            Hashtable oldNode = MainWindow.netdb.getInfo(Constants.NODE, name);
                            if( oldNode.get("id") == null ) {
                                msg("Node \""+name+"\" does not exist.", "\n$$\n");
                                continue;
                            }

                            if( !verifyNodeTypesAccess(oldNode, name) )
                                continue;

                            if( !verifyNodeGroupAccess(oldNode, name) )
                                continue;

                            Timestamp lockedTm = null;
                            try {
                                lockedTm = lockNode(name);
                                if( lockedTm == null )
                                    continue;

                                msg("Reloading node info...", ".");
                                oldNode = MainWindow.netdb.getInfo(Constants.NODE, name);
                                if( oldNode.get("id") == null ) {
                                    System.out.println((verbose?"":"\n")+"Node \""+name+"\" does not exist.");
                                    continue;
                                }

                                Hashtable newNode = Utils.copyHash(oldNode);
                                newNode.put("locked", lockedTm);

                                String state = (String)cmdActions.get("state");
                                if( state != null )
                                    newNode.put("state", state);

                                updateNode(oldNode, newNode);

                                msg("Done", " done\n");
                                lockedTm = null;

                            } finally {
                                // try to unlock node if it is locked
                                if( lockedTm != null )
                                    unlockNode(name, lockedTm);
                            }
                        } catch (java.rmi.ServerException ex) {
                            handleUpdateException(ex);

                        } catch (java.rmi.NoSuchObjectException ex) {
                            err("Session timeout.");

                        } catch (java.rmi.MarshalException ex) {
                            err("Session timeout.");

                        } catch(Exception ex) {
                            System.out.println("ERROR: "+ex.getMessage());
                        }
                    }

                } if( cmdActions.get("action_operand").toString().equals("delete") ) { // delete

                    Hashtable nodeNames = Utils.nHash(cmdActions.get("node_names"));
                    java.util.List list = Arrays.asList(nodeNames.keySet().toArray());
                    Collections.sort(list, number_cmp);
                    Object[] nameArray = list.toArray();
                    for( int k = 0; k < nameArray.length; k++ ) {
                        try {
                            String name = ((String)nodeNames.get(nameArray[k])).toLowerCase().trim();
                            msg("Node \""+name+"\"", "\n$$ ");
                            msg("Loading node info for \""+name+"\"", ".");
                            Hashtable node = MainWindow.netdb.getInfo(Constants.NODE, name);
                            if( node.get("id") == null ) {
                                msg("Node \""+name+"\" does not exist.", "\n$$\n");
                                continue;
                            }

                            if( !verifyNodeTypesAccess(node, name) )
                                continue;

                            if( !verifyNodeGroupAccess(node, name) )
                                continue;

                            String displayName = Utils.name(name);
                            String displayDomainPart = Utils.domain(name, MainWindow.userDefDomain);
                            if( !displayDomainPart.trim().toLowerCase().equals(MainWindow.userDefDomain.toLowerCase()) )
                                displayName += "."+displayDomainPart.trim();

                            String response = "yes";
                            if( Utils.nHash(node.get("types")).get("Router") != null ) {
                                if( cmdActions.get("force") == null )
                                    response = readAnswer((!verbose?"\n":"")+
                                                          "\""+displayName+"\" is router. Really delete [Yes/No]? ");

                            } else {
                                int aliases_count = 0;
                                int mxes_count = 0;
                                int ips_count = 0;
                                // count all aliases and mxes. assumning here that ip and interface
                                // names have neither aliases nor mxes.
                                Hashtable names = Utils.nHash(node.get("names"));
                                Enumeration enm = names.keys();
                                while( enm.hasMoreElements() ) {
                                    Hashtable nameH = (Hashtable)names.get(enm.nextElement());
                                    aliases_count += Utils.nHash(nameH.get("aliases")).size();
                                    mxes_count += Utils.nHash(nameH.get("mxs")).size();
                                }

                                // count ips
                                Hashtable interfaces = Utils.nHash(node.get("interfaces"));
                                enm = interfaces.keys();
                                while( enm.hasMoreElements() ) {
                                    ips_count +=
                                        Utils.nHash(((Hashtable)interfaces.get(enm.nextElement())).get("ips")).size();
                                }

                                ips_count += Utils.nHash(node.get("ipc_addresses")).size();

                                if( (aliases_count > 10 || mxes_count > 10 || ips_count > 10) && cmdActions.get("force") == null )
                                    response = readAnswer((!verbose?"\n":"")+
                                          "\""+displayName+"\" has over 10 aliases/MXes/IPs.  Really delete [Yes/No]? ");

                            }
                            if( response.equals("no") )
                                continue;

                            Timestamp lockedTm = null;
                            try {
                                lockedTm = lockNode(name);
                                if( lockedTm == null )
                                    continue;

                                node.put("locked", lockedTm);

                                MainWindow.netdb.delete(node);

                                msg("Deleted", " deleted.\n");
                                lockedTm = null;

                            } finally {
                                // try to unlock node if it is locked
                                if( lockedTm != null )
                                    unlockNode(name, lockedTm);
                            }

                            if( cmdActions.get("keep_mx") != null )
                                continue;

                            // remove mxes
                            Hashtable mxSlaves = Utils.nHash(node.get("mxSlaves"));
                            Enumeration enm = mxSlaves.keys();
                            while( enm.hasMoreElements() ) {
                                String nodeID = (String)enm.nextElement();
                                node = (Hashtable)mxSlaves.get(nodeID);
                                int idNode = (new Integer(nodeID)).intValue();
                                Hashtable oldMXingNode = MainWindow.netdb.getInfo(Constants.NODE, idNode);
                                String nodeName = (String)Utils.nHash(oldMXingNode.get("names")).keySet().toArray()[0];
                                if( !MainWindow.netdb.checkGroupAccess(oldMXingNode) ) {
                                    System.out.println("WARNING: Failed to remove mxes from node \""+nodeName+"\".");
                                    continue;
                                }
                                Hashtable newMXingNode = Utils.copyHash(oldMXingNode);
                                removeMXes(newMXingNode, node);
                                lockedTm = null;
                                try {
                                    lockedTm = MainWindow.netdb.lock(Constants.NODE, idNode);
                                    oldMXingNode.put("locked", lockedTm);
                                    newMXingNode.put("locked", lockedTm);
                                    MainWindow.netdb.update(oldMXingNode, newMXingNode);

                                } catch (Exception ex) {
                                    System.out.println("WARNING: Failed to remove mxes from node \""+nodeName+"\".");

                                } finally {
                                    try {
                                        if( lockedTm != null )
                                            MainWindow.netdb.unlock(Constants.NODE, idNode, lockedTm);
                                    } catch (Exception ex) {}
                                }
                            }

                        } catch (java.rmi.ServerException ex) {
                            handleUpdateException(ex);

                        } catch (java.rmi.NoSuchObjectException ex) {
                            err("Session timeout.");

                        } catch (java.rmi.MarshalException ex) {
                            err("Session timeout.");

                        } catch(Exception ex) {
                            System.out.println("ERROR: "+ex.getMessage());
                        }
                    }

                } if( cmdActions.get("action_operand").toString().equals("info") ) { // info

                    Hashtable nodeNames = Utils.nHash(cmdActions.get("node_names"));
                    java.util.List list = Arrays.asList(nodeNames.keySet().toArray());
                    Collections.sort(list, number_cmp);
                    Object[] nameArray = list.toArray();
                    for( int k = 0; k < nameArray.length; k++ ) {
                        try {
                            String name = ((String)nodeNames.get(nameArray[k])).toLowerCase().trim();
                            Hashtable node = MainWindow.netdb.getInfo(Constants.NODE, name);
                            if( node == null || node.get("id") == null ) {
                                System.out.println("Node \""+name+"\" does not exist.");
                            } else {
                                System.out.println("");
                                if( !no_echo && nameArray.length > 1 ) {
                                    msg("Node \""+name+"\"", "\n$$\n");
                                }
                                if( ((String)cmdActions.get("type")).equals("xml") )
                                    System.out.println(Utils.obj2xml(node));
                                else
                                    formatNodeInfo(node);
                            }
                        } catch(Exception ex) {
                            System.out.println("ERROR: "+ex.getMessage());
                        }
                    }

                } if( cmdActions.get("action_operand").toString().equals("location") ) { // location
                    verifyNodeTypeAccess();

                    String building = (String)cmdActions.get("building");

                    if( building != null ) {
                        msg("Verifying location...", ".");
                        building = building.trim();
                        // look up building
                        Hashtable locations = Utils.nHash(MainWindow.netdb.getInfo(Constants.LOCATION, building));
                        err(locations.size() != 1, "Location \""+building+"\" does not exist.");
                    }
                    String room = (String)cmdActions.get("room");
                    Hashtable nodeNames = Utils.nHash(cmdActions.get("node_names"));
                    java.util.List list = Arrays.asList(nodeNames.keySet().toArray());
                    Collections.sort(list, number_cmp);
                    Object[] nameArray = list.toArray();
                    for( int k = 0; k < nameArray.length; k++ ) {
                        try {
                            String name = ((String)nodeNames.get(nameArray[k])).toLowerCase().trim();
                            msg("Node \""+name+"\"", "\n$$ ");
                            msg("Loading node info for \""+name+"\"", ".");
                            Hashtable oldNode = MainWindow.netdb.getInfo(Constants.NODE, name);
                            if( oldNode.get("id") == null ) {
                                msg("Node \""+name+"\" does not exist.", "\n$$\n");
                                continue;
                            }

                            if( !verifyNodeTypesAccess(oldNode, name) )
                                continue;

                            if( !verifyNodeGroupAccess(oldNode, name) )
                                continue;

                            Timestamp lockedTm = null;
                            try {
                                lockedTm = lockNode(name);
                                if( lockedTm == null )
                                    continue;

                                msg("Reloading node info...", ".");
                                oldNode = MainWindow.netdb.getInfo(Constants.NODE, name);
                                if( oldNode.get("id") == null ) {
                                    System.out.println((verbose?"":"\n")+"Node \""+name+"\" does not exist.");
                                    continue;
                                }

                                Hashtable newNode = Utils.copyHash(oldNode);
                                newNode.put("locked", lockedTm);

                                if( building != null )
                                    newNode.put("location", building);

                                if( room != null )
                                    newNode.put("room", room);

                                updateNode(oldNode, newNode);

                                msg("Done", " done\n");
                                lockedTm = null;

                            } finally {
                                // try to unlock node if it is locked
                                if( lockedTm != null )
                                    unlockNode(name, lockedTm);
                            }
                        } catch (java.rmi.ServerException ex) {
                            handleUpdateException(ex);

                        } catch (java.rmi.NoSuchObjectException ex) {
                            err("Session timeout.");

                        } catch (java.rmi.MarshalException ex) {
                            err("Session timeout.");

                        } catch(Exception ex) {
                            System.out.println("ERROR: "+ex.getMessage());
                        }
                    }

                } if( cmdActions.get("action_operand").toString().equals("model") ) { // model
                    verifyNodeTypeAccess();

                    String building = (String)cmdActions.get("building");

                    String make = (String)cmdActions.get("make");
                    String model = (String)cmdActions.get("model");
                    Hashtable nodeNames = Utils.nHash(cmdActions.get("node_names"));
                    java.util.List list = Arrays.asList(nodeNames.keySet().toArray());
                    Collections.sort(list, number_cmp);
                    Object[] nameArray = list.toArray();
                    for( int k = 0; k < nameArray.length; k++ ) {
                        try {
                            String name = ((String)nodeNames.get(nameArray[k])).toLowerCase().trim();
                            msg("Node \""+name+"\"", "\n$$ ");
                            msg("Loading node info for \""+name+"\"", ".");
                            Hashtable oldNode = MainWindow.netdb.getInfo(Constants.NODE, name);
                            if( oldNode.get("id") == null ) {
                                msg("Node \""+name+"\" does not exist.", "\n$$\n");
                                continue;
                            }

                            if( !verifyNodeTypesAccess(oldNode, name) )
                                continue;

                            if( !verifyNodeGroupAccess(oldNode, name) )
                                continue;

                            Timestamp lockedTm = null;
                            try {
                                lockedTm = lockNode(name);
                                if( lockedTm == null )
                                    continue;

                                msg("Reloading node info...", ".");
                                oldNode = MainWindow.netdb.getInfo(Constants.NODE, name);
                                if( oldNode.get("id") == null ) {
                                    System.out.println((verbose?"":"\n")+"Node \""+name+"\" does not exist.");
                                    continue;
                                }

                                Hashtable newNode = Utils.copyHash(oldNode);
                                newNode.put("locked", lockedTm);

                                if( make != null )
                                    newNode.put("make", make);

                                if( model != null )
                                    newNode.put("model", model);

                                updateNode(oldNode, newNode);

                                msg("Done", " done\n");
                                lockedTm = null;

                            } finally {
                                // try to unlock node if it is locked
                                if( lockedTm != null )
                                    unlockNode(name, lockedTm);
                            }

                        } catch (java.rmi.ServerException ex) {
                            handleUpdateException(ex);

                        } catch (java.rmi.NoSuchObjectException ex) {
                            err("Session timeout.");

                        } catch (java.rmi.MarshalException ex) {
                            err("Session timeout.");

                        } catch(Exception ex) {
                            System.out.println("ERROR: "+ex.getMessage());
                        }
                    }
                }
            } else if( cmdActions.get("action_target").toString().equals("list") ) {
                msg("Performing lookup...", ".");
                if( !verbose )
                    System.out.println("");


                if( cmdActions.get("action_operand").toString().equals("groups") ) {
                    Hashtable groups = MainWindow.netdb.
                        listMyGroups(((String)cmdActions.get("filter")).trim());

                    java.util.List list = Arrays.asList(groups.keySet().toArray());
                    Collections.sort(list, name_cmp);
                    Object[] groupsArray = list.toArray();
                    for( int i = 0; i < groupsArray.length; i++ )
                        System.out.println(groupsArray[i]);

                } else if( cmdActions.get("action_operand").toString().equals("locations") ) {
                    Hashtable locations = MainWindow.netdb.
                        getInfo(Constants.LOCATION, ((String)cmdActions.get("filter")).trim());

                    java.util.List list = Arrays.asList(locations.keySet().toArray());
                    Collections.sort(list, name_cmp);
                    Object[] locationsArray = list.toArray();
                    for( int i = 0; i < locationsArray.length; i++ )
                        System.out.println(locationsArray[i]);

                } else if( cmdActions.get("action_operand").toString().equals("models") ) {
                    Hashtable models = MainWindow.netdb.
                        getInfo(Constants.MODEL, ((String)cmdActions.get("filter")).trim());

                    java.util.List list = Arrays.asList(models.keySet().toArray());
                    Collections.sort(list, name_cmp);
                    Object[] modelsArray = list.toArray();
                    for( int i = 0; i < modelsArray.length; i++ ) {
                        Hashtable model = Utils.nHash(models.get(modelsArray[i]));
                        System.out.println(model.get("make")+":"+model.get("model"));
                    }

                } else if( cmdActions.get("action_operand").toString().equals("oses") ) {
                    Hashtable oses = MainWindow.netdb.
                        getInfo(Constants.OS, ((String)cmdActions.get("filter")).trim());

                    java.util.List list = Arrays.asList(oses.keySet().toArray());
                    Collections.sort(list, name_cmp);
                    Object[] osesArray = list.toArray();
                    for( int i = 0; i < osesArray.length; i++ )
                        System.out.println(osesArray[i]);
                } else if( cmdActions.get("action_operand").toString().equals("departments") ) {
                    Hashtable deps = MainWindow.netdb.
                        simpleSearch(Constants.DEPARTMENT, ((String)cmdActions.get("filter")).trim());

                    java.util.List list = Arrays.asList(deps.keySet().toArray());
                    Collections.sort(list, name_cmp);
                    Object[] depsArray = list.toArray();
                    for( int i = 0; i < depsArray.length; i++ )
                        System.out.println(depsArray[i]);
                } else if( cmdActions.get("action_operand").toString().equals("states") ) {
                    Hashtable states = MainWindow.netdb.listMyStates(((String)cmdActions.get("filter")).trim());

                    java.util.List list = Arrays.asList(states.keySet().toArray());
                    Collections.sort(list, name_cmp);
                    Object[] statesArray = list.toArray();
                    for( int i = 0; i < statesArray.length; i++ )
                        System.out.println(statesArray[i]);
                } else if( cmdActions.get("action_operand").toString().equals("dhcp_options") ) {
                    Hashtable dhcp_options = MainWindow.netdb.getInfo(Constants.DHCP_OPTIONS,((String)cmdActions.get("filter")).trim());

                    java.util.List list = Arrays.asList(dhcp_options.keySet().toArray());
                    Collections.sort(list, name_cmp);
                    Object[] dhcp_optionsArray = list.toArray();
                    for( int i = 0; i < dhcp_optionsArray.length; i++ )
                        System.out.println(dhcp_optionsArray[i]);
                }
            }

        } catch (java.rmi.ServerException ex) {
            if( ex.getCause() instanceof SessionTimeoutException ) {
                SessionTimeoutException se = (SessionTimeoutException)ex.getCause();
                err("Session timeout. "+se.getMessage());

            } else if( ex.getCause() instanceof RemoteNetDBException ) {
                RemoteNetDBException ne = (RemoteNetDBException)ex.getCause();
                Vector errors = ne.getMessages();
                String msg = "";
                int esize = errors.size();
                for( int i = 0; i < esize; i++ )
                    msg += (String)errors.elementAt(i)+(i<esize-1?"\n":"");
                err(msg);

            } else if( ex.getCause() instanceof RemoteException ) {
                RemoteException re = (RemoteException)ex.getCause();
                err(re.getMessage());

            } else
                err(ex.getMessage());

        } catch (java.rmi.NoSuchObjectException ex) {
            err("Session timeout.");

        } catch (java.rmi.MarshalException ex) {
            err("Session timeout.");

        } catch(Exception ex) {
            err(ex.getMessage());

        } finally {
            MainWindow.exit(0);
        }
    } // end of doCLI()

    private static void validateCMD(String[] cmd) {
        // first go over all parameters and look for -k option
        // which is used to specify keytab to be used instead of
        // cached tgt. Found parameters are removed from cmd array.
        String keytab = null;
        Vector cmds = new Vector();
        for( int i = 0; i < cmd.length; i++ ) {
            if( cmd[i].matches("^--?k(e(y(t(ab?)?)?)?)?$") ) {
                err(i+1==cmd.length, "", "-keytab option does not have value.");
                System.setProperty("keytab", cmd[++i]);
                continue;
            }
            if( cmd[i].matches("^--?p(r(i(n(c(i(p(al?)?)?)?)?)?)?)?$") ) {
                err(i+1==cmd.length, "", "-principal option does not have value.");
                System.setProperty("principal", cmd[++i]);
                continue;
            }
            cmds.addElement(cmd[i]);
        }

        if( System.getProperty("keytab")    != null &&
            System.getProperty("principal") == null )
            err("You must set principal to be used in conjunction with keytab");

        if( System.getProperty("keytab")    == null &&
            System.getProperty("principal") != null )
            err("You must set keytab to be used in conjunction with principal");

        // put cmds back
        cmd = new String[cmds.size()];
        for( int i = 0; i < cmds.size(); i++ )
            cmd[i] = (String)cmds.elementAt(i);

        // We could use some serious refactoring here !!
        // the Interpreter pattern (GoF) is to be used --Ganapathy
        boolean expecting_option = true;

        cmdActions = new Hashtable();

        if( checkOption(cmd[0], "v", "ersion" , true) ) { // --version
            System.out.println("netdb client version \""+version.substring(7, version.length() - 2)+"\"\n"+
                               "Copyright (c) 2003-2004, Board of Trustees, Leland Stanford Jr. University");
            MainWindow.exit(0);

        } else if( checkOption(cmd[0], "w", "ho" , false) ) { // who
            cmdActions.put("action_target", "server stat");

        } else if( cmd[0].equals("-gui") || cmd[0].equals("--gui") ) {
            gui = true;

        } else if( cmd[0].startsWith("-") || cmd[0].equals("--") ) {
            err("Unknown option \""+cmd[0].trim()+"\"");

        } else if( checkOption(cmd[0], "n", "ode" , false) ) { // node

            cmdActions.put("action_target", "node");
            if( cmd.length > 1 ) {
                if( checkOption(cmd[1], "al", "ias" , false) ) { // alias
                    err(cmd.length < 3, "Undefined action");
                    cmdActions.put("action_operand", "aliases");
                    boolean filling_up_aliases_to_add = false;
                    boolean filling_up_aliases_to_remove = false;
                    Hashtable aliases_to_add = new Hashtable();
                    Hashtable aliases_to_remove = new Hashtable();
                    Hashtable check = new Hashtable();
                    for( int i = 2; i < cmd.length - 1 ; i++ ) {
                        if( checkOption(cmd[i], "v", "erbose" , true) )
                            verbose = true;

                        else if( checkOption(cmd[i], "a", "dd" , true) ) {
                            filling_up_aliases_to_remove = false;
                            filling_up_aliases_to_add = true;

                        } else if( checkOption(cmd[i], "r", "emove" , true) ) {
                            filling_up_aliases_to_add = false;
                            filling_up_aliases_to_remove = true;

                        } else if( filling_up_aliases_to_add ) {
                            String[] names = split_on_unescaped_comma(cmd[i]);
                            for( int j = 0; j < names.length; j++ ) {
                                String name = fillDomain(names[j]);
                                err(check.get(name.toLowerCase()) != null,
                                    "Duplicate alias name \""+name+"\"");
                                aliases_to_add.put(name, "");
                                check.put(name.toLowerCase(), "");
                            }
                            filling_up_aliases_to_add = false;

                        } else if( filling_up_aliases_to_remove ) {
                            String[] names = split_on_unescaped_comma(cmd[i]);
                            for( int j = 0; j < names.length; j++ ) {
                                String name = fillDomain(names[j]);
                                err(check.get(name.toLowerCase()) != null,
                                    "Duplicate alias name \""+name+"\"");
                                aliases_to_remove.put(name, "");
                                check.put(name.toLowerCase(), "");
                            }
                            filling_up_aliases_to_remove = false;

                        } else
                            err("Unsupported option \""+cmd[i]+"\"");
                    }
                    if( cmd.length > 4 ) {
                        String name = fillDomain(cmd[cmd.length - 1]);
                        err(check.get(name.toLowerCase()) != null,
                            "Duplicate alias name \""+cmd[cmd.length - 1]+"\"");
                        cmdActions.put("name", name);
                    } else
                        err("Node name not given");
                    cmdActions.put("aliases_to_add", aliases_to_add);
                    cmdActions.put("aliases_to_remove", aliases_to_remove);

                } else if( checkOption(cmd[1], "r", "eceive_mail_for" , false) ) { // mxs
                    err(cmd.length < 3, "Undefined action");
                    cmdActions.put("action_operand","receive_mail_for");
                    boolean filling_up_mxs_to_add = false;
                    boolean filling_up_mxs_to_remove = false;
                    Hashtable mxs_to_add = new Hashtable();
                    Hashtable mxs_to_remove = new Hashtable();
                    Hashtable check = new Hashtable();
                    for( int i = 2; i < cmd.length - 1 ; i++ ) {
                        if( checkOption(cmd[i], "v", "erbose" , true) )
                            verbose = true;

                        else if( checkOption(cmd[i], "a", "dd" , true) ) {
                            filling_up_mxs_to_remove = false;
                            filling_up_mxs_to_add = true;

                        } else if( checkOption(cmd[i], "r", "emove" , true) ) {
                            filling_up_mxs_to_add = false;
                            filling_up_mxs_to_remove = true;

                        } else if( filling_up_mxs_to_add ) {
                            String[] names = split_on_unescaped_comma(cmd[i]);
                            for( int j = 0; j < names.length; j++ ) {
                                String name = fillDomain(names[j]);
                                err(check.get(name.toLowerCase()) != null,
                                    "Duplicate MX name \""+name+"\"");
                                mxs_to_add.put(name, "");
                                check.put(name.toLowerCase(), "");
                            }
                            filling_up_mxs_to_add = false;

                        } else if( filling_up_mxs_to_remove ) {
                            String[] names = split_on_unescaped_comma(cmd[i]);
                            for( int j = 0; j < names.length; j++ ) {
                                String name = fillDomain(names[j]);
                                err(check.get(name.toLowerCase()) != null,
                                    "Duplicate MX name \""+name+"\"");
                                mxs_to_remove.put(name, "");
                                check.put(name.toLowerCase(), "");
                            }
                            filling_up_mxs_to_remove = false;

                        } else
                            err("Unsupported option \""+cmd[i]+"\"");
                    }
                    if( cmd.length > 4 ) {
                        String name = fillDomain(cmd[cmd.length - 1]);
                        err(check.get(name.toLowerCase()) != null,
                            "Duplicate MX name \""+cmd[cmd.length - 1]+"\"");
                        cmdActions.put("name", name);
                    } else
                        err("Node name not given");
                    cmdActions.put("mxs_to_add", mxs_to_add);
                    cmdActions.put("mxs_to_remove", mxs_to_remove);

                } else if( checkOption(cmd[1], "g", "roup" , false) ) { // groups
                    err(cmd.length < 3, "Undefined action");
                    cmdActions.put("action_operand", "groups");
                    boolean filling_up_groups_to_add = false;
                    boolean filling_up_groups_to_remove = false;
                    boolean filling_up_file_name = false;
                    boolean filling_up_node_names = false;
                    Hashtable groups_to_add = new Hashtable();
                    Hashtable groups_to_remove = new Hashtable();
                    Hashtable check = new Hashtable();
                    int counter = 0;
                    for( int i = 2; i < cmd.length; i++ ) {

                        if( filling_up_node_names ) {
                            Hashtable nodeNames = (Hashtable)cmdActions.get("node_names");
                            nodeNames.put(counter+"", fillDomain(cmd[i]));
                            counter++;

                        } else if( checkOption(cmd[i], "v", "erbose" , true) )
                            verbose = true;

                        else if( checkOption(cmd[i], "a", "dd" , true) ) { // --add
                            filling_up_groups_to_remove = false;
                            filling_up_file_name = false;
                            filling_up_groups_to_add = true;

                        } else if( checkOption(cmd[i], "r", "emove" , true) ) { // --remove
                            filling_up_groups_to_add = false;
                            filling_up_file_name = false;
                            filling_up_groups_to_remove = true;

                        } else if( filling_up_groups_to_add ) {
                            String[] groups = split_on_unescaped_comma(cmd[i]);
                            for( int j = 0; j < groups.length; j++ ) {
                                String group = groups[j];
                                err(check.get(group.toLowerCase()) != null,
                                    "Duplicate group \""+group+"\"");
                                groups_to_add.put(group, "");
                                check.put(group.toLowerCase(), "");
                            }
                            filling_up_groups_to_add = false;

                        } else if( filling_up_groups_to_remove ) {
                            String[] groups = split_on_unescaped_comma(cmd[i]);
                            for( int j = 0; j < groups.length; j++ ) {
                                String group = groups[j];
                                err(check.get(group.toLowerCase()) != null,
                                    "Duplicate group \""+group+"\"");
                                groups_to_remove.put(group, "");
                                check.put(group.toLowerCase(), "");
                            }
                            filling_up_groups_to_remove = false;

                        } else if( checkOption(cmd[i], "i", "nput" , true) ) { // --input
                            filling_up_file_name = true;
                            filling_up_groups_to_add = false;
                            filling_up_groups_to_remove = false;

                        } else if( filling_up_file_name ) {
                            Hashtable nodeNames = (Hashtable)cmdActions.get("node_names");
                            if( nodeNames == null ) {
                                nodeNames = new Hashtable();
                                cmdActions.put("node_names", nodeNames);
                            }
                            loadNodeNames(nodeNames, cmd[i]);

                        } else if( cmd[i].startsWith("-") )
                            err("Unsupported option \""+cmd[i]+"\"");

                        else {
                            filling_up_node_names = true;
                            Hashtable nodeNames = (Hashtable)cmdActions.get("node_names");
                            if( nodeNames == null ) {
                                nodeNames = new Hashtable();
                                cmdActions.put("node_names", nodeNames);
                            }
                            nodeNames.put(counter+"", fillDomain(cmd[i]));
                            counter++;
                        }
                    }

                    cmdActions.put("groups_to_add", groups_to_add);
                    cmdActions.put("groups_to_remove", groups_to_remove);

                } else if( checkOption(cmd[1], "u", "sers" , false) ) { // users
                    err(cmd.length < 3, "Undefined action");
                    cmdActions.put("action_operand", "users");
                    boolean filling_up_users_to_add = false;
                    boolean filling_up_users_to_remove = false;
                    boolean filling_up_file_name = false;
                    boolean filling_up_node_names = false;
                    Hashtable users_to_add = new Hashtable();
                    Hashtable users_to_remove = new Hashtable();
                    Hashtable check = new Hashtable();
                    for( int i = 2; i < cmd.length; i++ ) {

                        if( filling_up_node_names ) {
                            Hashtable nodeNames = (Hashtable)cmdActions.get("node_names");
                            nodeNames.put(nodeNames.size()+"", fillDomain(cmd[i]));

                        } else if( checkOption(cmd[i], "v", "erbose" , true) ) // --verbose
                            verbose = true;

                        else if( checkOption(cmd[i], "a", "dd" , true) ) { // --add
                            filling_up_users_to_remove = false;
                            filling_up_file_name = false;
                            filling_up_users_to_add = true;

                        } else if( checkOption(cmd[i], "r", "emove" , true) ) { // --remove
                            filling_up_users_to_add = false;
                            filling_up_file_name = false;
                            filling_up_users_to_remove = true;

                        } else if( filling_up_users_to_add ) {
                            String[] users = split_on_unescaped_comma(cmd[i]);
                            for( int j = 0; j < users.length; j++ ) {
                                String user = users[j];
                                err(check.get(user.toLowerCase()) != null,
                                    "Duplicate user \""+user+"\"");
                                users_to_add.put(user, "");
                                check.put(user.toLowerCase(), "");
                            }
                            filling_up_users_to_add = false;

                        } else if( filling_up_users_to_remove ) {
                            String[] users = split_on_unescaped_comma(cmd[i]);
                            for( int j = 0; j < users.length; j++ ) {
                                String user = users[j];
                                err(check.get(user.toLowerCase()) != null,
                                    "Duplicate user \""+user+"\"");
                                users_to_remove.put(user, "");
                                check.put(user.toLowerCase(), "");
                            }
                            filling_up_users_to_remove = false;

                        } else if( checkOption(cmd[i], "i", "nput" , true) ) {
                            filling_up_file_name = true;
                            filling_up_users_to_add = false;
                            filling_up_users_to_remove = false;

                        } else if( filling_up_file_name ) {
                            Hashtable nodeNames = (Hashtable)cmdActions.get("node_names");
                            if( nodeNames == null ) {
                                nodeNames = new Hashtable();
                                cmdActions.put("node_names", nodeNames);
                            }
                            loadNodeNames(nodeNames, cmd[i]);

                        } else if( cmd[i].startsWith("-") )
                            err("Unsupported option \""+cmd[i]+"\"");

                        else {
                            filling_up_node_names = true;
                            Hashtable nodeNames = (Hashtable)cmdActions.get("node_names");
                            if( nodeNames == null ) {
                                nodeNames = new Hashtable();
                                cmdActions.put("node_names", nodeNames);
                            }
                            nodeNames.put(nodeNames.size()+"", fillDomain(cmd[i]));
                        }
                    }

                    cmdActions.put("users_to_add", users_to_add);
                    cmdActions.put("users_to_remove", users_to_remove);

                } else if( checkOption(cmd[1], "ad", "min" , false) ) { // admin
                    err(cmd.length < 3, "Undefined action");
                    cmdActions.put("action_operand", "admins");
                    boolean filling_up_users_to_add = false;
                    boolean filling_up_users_to_remove = false;
                    boolean filling_up_file_name = false;
                    boolean filling_up_node_names = false;
                    Hashtable users_to_add = new Hashtable();
                    Hashtable users_to_remove = new Hashtable();
                    Hashtable check = new Hashtable();
                    for( int i = 2; i < cmd.length; i++ ) {

                        if( filling_up_node_names ) {
                            Hashtable nodeNames = (Hashtable)cmdActions.get("node_names");
                            nodeNames.put(nodeNames.size()+"", fillDomain(cmd[i]));

                        } else if( checkOption(cmd[i], "v", "erbose" , true) ) // --verbose
                            verbose = true;

                        else if( checkOption(cmd[i], "a", "dd" , true) ) { // --add
                            filling_up_users_to_remove = false;
                            filling_up_file_name = false;
                            filling_up_users_to_add = true;

                        } else if( checkOption(cmd[i], "r", "emove" , true) ) { // --remove
                            filling_up_users_to_add = false;
                            filling_up_file_name = false;
                            filling_up_users_to_remove = true;

                        } else if( filling_up_users_to_add ) {
                            String[] users = split_on_unescaped_comma(cmd[i]);
                            for( int j = 0; j < users.length; j++ ) {
                                String user = users[j];
                                err(check.get(user.toLowerCase()) != null,
                                    "Duplicate user \""+user+"\"");
                                users_to_add.put(user, "");
                                check.put(user.toLowerCase(), "");
                            }
                            filling_up_users_to_add = false;

                        } else if( filling_up_users_to_remove ) {
                            String[] users = split_on_unescaped_comma(cmd[i]);
                            for( int j = 0; j < users.length; j++ ) {
                                String user = users[j];
                                err(check.get(user.toLowerCase()) != null,
                                    "Duplicate user \""+user+"\"");
                                users_to_remove.put(user, "");
                                check.put(user.toLowerCase(), "");
                            }
                            filling_up_users_to_remove = false;

                        } else if( checkOption(cmd[i], "i", "nput" , true) ) { // --input
                            filling_up_file_name = true;
                            filling_up_users_to_add = false;
                            filling_up_users_to_remove = false;

                        } else if( filling_up_file_name ) {
                            Hashtable nodeNames = (Hashtable)cmdActions.get("node_names");
                            if( nodeNames == null ) {
                                nodeNames = new Hashtable();
                                cmdActions.put("node_names", nodeNames);
                            }
                            loadNodeNames(nodeNames, cmd[i]);

                        } else if( cmd[i].startsWith("-") )
                            err("Unsupported option \""+cmd[i]+"\"");

                        else {
                            filling_up_node_names = true;
                            Hashtable nodeNames = (Hashtable)cmdActions.get("node_names");
                            if( nodeNames == null ) {
                                nodeNames = new Hashtable();
                                cmdActions.put("node_names", nodeNames);
                            }
                            nodeNames.put(nodeNames.size()+"", fillDomain(cmd[i]));
                        }
                    }

                    cmdActions.put("admins_to_add", users_to_add);
                    cmdActions.put("admins_to_remove", users_to_remove);

                } else if( checkOption(cmd[1], "co", "mment" , false) ) { // comment
                    err(cmd.length < 3, "Undefined action");
                    cmdActions.put("action_operand", "comment");

                    boolean filling_up_comment = false;
                    boolean filling_up_file_name = false;
                    boolean filling_up_node_names = false;
                    boolean cleared = false;
                    boolean set = false;
                    String comment = null;
                    for( int i = 2; i < cmd.length; i++ ) {

                        if( filling_up_node_names ) {
                            Hashtable nodeNames = (Hashtable)cmdActions.get("node_names");
                            nodeNames.put(nodeNames.size()+"", fillDomain(cmd[i]));

                        } else if( checkOption(cmd[i], "v", "erbose" , true) ) // --verbose
                            verbose = true;

                        else if( checkOption(cmd[i], "s", "et" , true) ) { // --set
                            filling_up_file_name = false;
                            filling_up_comment = true;
                            err(set, "Duplicate option");
                            err(cleared, "Option --set cannot be used together with --clear.");
                            set = true;

                        } else if( checkOption(cmd[i], "c", "lear" , true) ) { // --clear
                            err(set, "Option --clear cannot be used together with --set.");
                            err(cleared, "Duplicate option");
                            cleared = true;
                            comment = "";

                        } else if( filling_up_comment ) {
                            comment = cmd[i].trim();
                            filling_up_comment = false;

                        } else if( checkOption(cmd[i], "i", "nput" , true) ) { // --input
                            filling_up_file_name = true;

                        } else if( filling_up_file_name ) {
                            Hashtable nodeNames = (Hashtable)cmdActions.get("node_names");
                            if( nodeNames == null ) {
                                nodeNames = new Hashtable();
                                cmdActions.put("node_names", nodeNames);
                            }
                            loadNodeNames(nodeNames, cmd[i]);

                        } else if( cmd[i].startsWith("-") )
                            err("Unsupported option \""+cmd[i]+"\"");

                        else {
                            filling_up_node_names = true;
                            Hashtable nodeNames = (Hashtable)cmdActions.get("node_names");
                            if( nodeNames == null ) {
                                nodeNames = new Hashtable();
                                cmdActions.put("node_names", nodeNames);
                            }
                            nodeNames.put(nodeNames.size()+"", fillDomain(cmd[i]));
                        }
                    }
                    err(!set && !cleared, "You must specify ether -set or -clear options");

                    if( comment != null )
                        cmdActions.put("comment", comment);

                } else if( checkOption(cmd[1], "e", "xpiration" , false) ) { // expiration
                    err(cmd.length < 3, "Undefined action");
                    cmdActions.put("action_operand", "expiration");

                    boolean filling_up_expiration = false;
                    boolean filling_up_file_name = false;
                    boolean filling_up_node_names = false;
                    boolean cleared = false;
                    boolean set = false;
                    String expiration = null;
                    Timestamp expirationTS = null;
                    for( int i = 2; i < cmd.length; i++ ) {

                        if( filling_up_node_names ) {
                            Hashtable nodeNames = (Hashtable)cmdActions.get("node_names");
                            nodeNames.put(nodeNames.size()+"", fillDomain(cmd[i]));

                        } else if( checkOption(cmd[i], "v", "erbose" , true) ) // --verbose
                            verbose = true;

                        else if( checkOption(cmd[i], "s", "et" , true) ) { // --set
                            filling_up_file_name = false;
                            filling_up_expiration = true;
                            err(set, "Duplicate option");
                            err(cleared, "Option --set cannot be used together with --clear.");
                            set = true;

                        } else if( checkOption(cmd[i], "c", "lear" , true) ) { // --clear
                            err(set, "Option --clear cannot be used together with --set.");
                            err(cleared, "Duplicate option");
                            cleared = true;
                            expiration = "";

                        } else if( filling_up_expiration ) {
                            expiration = cmd[i].trim();
                            // parse date
                            expiration = expiration.trim().replace('-','/');
                            DateFormat df = DateFormat.getDateInstance(DateFormat.SHORT);
                            df.setLenient(true);
                            try{
                                expirationTS = new Timestamp(df.parse(expiration).getTime());
                            }catch(Exception e){
                                err("Invalid Expiration Date.");
                            }
                            filling_up_expiration = false;

                        } else if( checkOption(cmd[i], "i", "nput" , true) ) { // --input
                            filling_up_file_name = true;

                        } else if( filling_up_file_name ) {
                            Hashtable nodeNames = (Hashtable)cmdActions.get("node_names");
                            if( nodeNames == null ) {
                                nodeNames = new Hashtable();
                                cmdActions.put("node_names", nodeNames);
                            }
                            loadNodeNames(nodeNames, cmd[i]);

                        } else if( cmd[i].startsWith("-") )
                            err("Unsupported option \""+cmd[i]+"\"");

                        else {
                            filling_up_node_names = true;
                            Hashtable nodeNames = (Hashtable)cmdActions.get("node_names");
                            if( nodeNames == null ) {
                                nodeNames = new Hashtable();
                                cmdActions.put("node_names", nodeNames);
                            }
                            nodeNames.put(nodeNames.size()+"", fillDomain(cmd[i]));
                        }
                    }
                    err(!set && !cleared, "You must specify ether -set or -clear options");

                    if( expiration != null ){
                        cmdActions.put("expiration", expiration);
                        if(!expiration.equals(""))
                            cmdActions.put("expirationTS", expirationTS);
                    }

                } else if( checkOption(cmd[1], "dep", "artment" , false) ) { // department
                    err(cmd.length < 3, "Undefined action");
                    cmdActions.put("action_operand", "department");

                    boolean filling_up_department = false;
                    boolean filling_up_file_name = false;
                    boolean filling_up_node_names = false;
                    boolean set = false;
                    String department = null;
                    for( int i = 2; i < cmd.length; i++ ) {

                        if( filling_up_node_names ) {
                            Hashtable nodeNames = (Hashtable)cmdActions.get("node_names");
                            nodeNames.put(nodeNames.size()+"", fillDomain(cmd[i]));

                        } else if( checkOption(cmd[i], "v", "erbose" , true) ) // --verbose
                            verbose = true;

                        else if( checkOption(cmd[i], "s", "et" , true) ) { // --set
                            filling_up_file_name = false;
                            filling_up_department = true;
                            err(set, "Duplicate option");
                            set = true;

                        } else if( filling_up_department ) {
                            department = cmd[i].trim();
                            filling_up_department = false;

                        } else if( checkOption(cmd[i], "i", "nput" , true) ) { // --input
                            filling_up_file_name = true;

                        } else if( filling_up_file_name ) {
                            Hashtable nodeNames = (Hashtable)cmdActions.get("node_names");
                            if( nodeNames == null ) {
                                nodeNames = new Hashtable();
                                cmdActions.put("node_names", nodeNames);
                            }
                            loadNodeNames(nodeNames, cmd[i]);

                        } else if( cmd[i].startsWith("-") )
                            err("Unsupported option \""+cmd[i]+"\"");

                        else {
                            filling_up_node_names = true;
                            Hashtable nodeNames = (Hashtable)cmdActions.get("node_names");
                            if( nodeNames == null ) {
                                nodeNames = new Hashtable();
                                cmdActions.put("node_names", nodeNames);
                            }
                            nodeNames.put(nodeNames.size()+"", fillDomain(cmd[i]));
                        }
                    }
                    err(!set, "You must specify the -set option");

                    if( department != null )
                        cmdActions.put("department", department);

                } else if( checkOption(cmd[1], "st", "ate" , false) ) { // state
                    err(cmd.length < 3, "Undefined action");
                    cmdActions.put("action_operand", "state");

                    boolean filling_up_state = false;
                    boolean filling_up_file_name = false;
                    boolean filling_up_node_names = false;
                    boolean cleared = false;
                    boolean set = false;
                    String state = null;
                    for( int i = 2; i < cmd.length; i++ ) {

                        if( filling_up_node_names ) {
                            Hashtable nodeNames = (Hashtable)cmdActions.get("node_names");
                            nodeNames.put(nodeNames.size()+"", fillDomain(cmd[i]));

                        } else if( checkOption(cmd[i], "v", "erbose" , true) ) // --verbose
                            verbose = true;

                        else if( checkOption(cmd[i], "s", "et" , true) ) { // --set
                            filling_up_file_name = false;
                            filling_up_state = true;
                            err(set, "Duplicate option");
                            set = true;

                        } else if( filling_up_state ) {
                            state = cmd[i].trim();
                            filling_up_state = false;

                        } else if( checkOption(cmd[i], "i", "nput" , true) ) { // --input
                            filling_up_file_name = true;

                        } else if( filling_up_file_name ) {
                            Hashtable nodeNames = (Hashtable)cmdActions.get("node_names");
                            if( nodeNames == null ) {
                                nodeNames = new Hashtable();
                                cmdActions.put("node_names", nodeNames);
                            }
                            loadNodeNames(nodeNames, cmd[i]);

                        } else if( cmd[i].startsWith("-") )
                            err("Unsupported option \""+cmd[i]+"\"");

                        else {
                            filling_up_node_names = true;
                            Hashtable nodeNames = (Hashtable)cmdActions.get("node_names");
                            if( nodeNames == null ) {
                                nodeNames = new Hashtable();
                                cmdActions.put("node_names", nodeNames);
                            }
                            nodeNames.put(nodeNames.size()+"", fillDomain(cmd[i]));
                        }
                    }

                    if( state != null )
                        cmdActions.put("state", state);

                } else if( checkOption(cmd[1], "d", "elete" , false) ) { // delete
                    cmdActions.put("action_operand", "delete");

                    boolean filling_up_file_name = false;
                    boolean filling_up_node_names = false;
                    for( int i = 2; i < cmd.length; i++ ) {

                        if( filling_up_node_names ) {
                            Hashtable nodeNames = (Hashtable)cmdActions.get("node_names");
                            nodeNames.put(nodeNames.size()+"", fillDomain(cmd[i]));

                        } else if( filling_up_file_name ) {
                            Hashtable nodeNames = (Hashtable)cmdActions.get("node_names");
                            if( nodeNames == null ) {
                                nodeNames = new Hashtable();
                                cmdActions.put("node_names", nodeNames);
                            }
                            loadNodeNames(nodeNames, cmd[i]);

                        } else if( checkOption(cmd[i], "i", "nput" , true) ) // --input
                            filling_up_file_name = true;

                        else if( checkOption(cmd[i], "k", "eep_mx" , true) ) { // --keep_mx
                            cmdActions.put("keep_mx", "");
                            no_echo = true;

                        } else if( checkOption(cmd[i], "v", "erbose" , true) ) // --verbose
                            verbose = true;

                        else if( checkOption(cmd[i], "f", "orce" , true) ) // --force
                            cmdActions.put("force", "");

                        else if( cmd[i].startsWith("-") )
                            err("Unsupported option \""+cmd[i]+"\"");

                        else {
                            filling_up_node_names = true;
                            Hashtable nodeNames = (Hashtable)cmdActions.get("node_names");
                            if( nodeNames == null ) {
                                nodeNames = new Hashtable();
                                cmdActions.put("node_names", nodeNames);
                            }
                            nodeNames.put(nodeNames.size()+"", fillDomain(cmd[i]));
                        }
                    }

                } else if( checkOption(cmd[1], "ip", "_address" , false) ) { // ip_address
                    cmdActions.put("action_operand", "ip_address");

                    boolean filling_up_old_ip = false;
                    boolean filling_up_new_ip = false;
                    for( int i = 2; i < cmd.length; i++ ) {

                        if( checkOption(cmd[i], "v", "erbose" , true) ) // --verbose
                            verbose = true;

                        else if( checkOption(cmd[i], "r", "emove" , true) ) { // --remove
                            err(cmdActions.get("old_ip") != null, "duplicate --remove option");

                            err( cmd.length == i+1, "--remove option is missing argument");
                            String ip = cmd[++i];
                            err(!isIP(ip, false), "\""+ip+"\" is not an ip address");
                            cmdActions.put("old_ip", ip);

                        } else if( checkOption(cmd[i], "a", "dd" , true) ) { // --add
                            err(cmdActions.get("new_ip") != null, "duplicate --add option");

                            err( cmd.length == i+1, "--add option is missing argument");
                            String ip = cmd[++i];
                            err(!isIP(ip, false), "\""+ip+"\" is not an ip address");
                            cmdActions.put("new_ip", ip);

                        } else if( cmd[i].startsWith("-") )
                            err("Unsupported option \""+cmd[i]+"\"");

                        else {
                            Hashtable nodeNames = hash_get_or_create(cmdActions, "node_names");
                            err(nodeNames.size() == 1, "only one node name can be give");
                            cmdActions.put("name", fillDomain(cmd[i]));
                            nodeNames.put(nodeNames.size()+"", cmdActions.get("name"));
                        }
                    }

                    err(cmdActions.get("old_ip") == null, "option --remove is missing");

                } else if( checkOption(cmd[1], "int", "erface" , false) ) { // interface
                    cmdActions.put("action_operand", "interface");
                    boolean int_add = false;
                    boolean int_modify = false;
                    boolean int_remove = false;

                    cmd = pick_cmd_param(cmd, "^\\s*--?h(w|a(r(d(w(a(re?)?)?)?)?)?)?\\s*$",
                                         "--hw", "hw address", cmdActions, true);

                    Hashtable check = new Hashtable();
                    for( int i = 2; i < cmd.length; i++ ) {
                        if( checkOption(cmd[i], "v", "erbose" , true) ) // --verbose
                            verbose = true;

                        else if( !int_add && !int_modify && checkOption(cmd[i], "r", "emove" , true) ) { // --remove
                            err(int_remove, "duplicate --remove option");
                            err(cmd.length == i+1, "--remove option is missing parameter");

                            Hashtable addr_list = new Hashtable();
                            String[] options = split_on_unescaped_comma(cmd[++i]);
                            for( int j = 0; j < options.length; j++ ) {
                                String hw_or_ip = options[j];
                                err(!isHW(hw_or_ip) && !isIP(hw_or_ip, false),
                                    "argument \""+hw_or_ip+"\" for --remove is neither ip nor hardware address");
                                addr_list.put(hw_or_ip, "");
                            }
                            cmdActions.put("remove_int", addr_list);
                            int_remove = true;

                        } else if( checkOption(cmd[i], "a", "dd" , true) ) { // --add
                            err(int_add, "duplicate --add option");

                            err(cmd.length == i+1, "--add option is missing parameter");

                            int_add = true;
                            String hw = cmd[++i];
                            err(!hw.equals("none") && !isHW(hw),
                                "Illegal hardware address format \""+hw+"\"");
                            cmdActions.put("new_hw", hw);

                        } else if( checkOption(cmd[i], "m", "odify" , true) ) { // --modify
                            err(int_modify, "duplicate --modify option");
                            err(cmd.length == i+1, "--modify option is missing parameters");
                            String hw_or_ip = cmd[++i];
                            err(!isHW(hw_or_ip) && !isIP(hw_or_ip, false),
                                "argument \""+hw_or_ip+"\" for --modify is neither ip nor hardware address");
                            cmdActions.put("modify_int", hw_or_ip);
                            int_modify = true;

                        } else if( checkOption(cmd[i], "i", "p" , true) ) { // --ip
                            err(cmdActions.get("ip") != null, "duplicate --ip option");
                            err(cmd.length == i+1, "--ip option is missing parameter");
                            String ip = cmd[++i];
                            err(!isIP(ip, true), "argument \""+ip+"\" for --ip is not an ip address");
                            cmdActions.put("ip", ip);

                        } else if( checkOption(cmd[i], "o", "ptions" , true) ) { // --options
                            err(cmdActions.get("dhcp-options") != null, "duplicate --options");

                            err(cmd.length == i+1,  "--options is missing argument");

                            Hashtable dhcp_options = new Hashtable();
                            String[] options = split_on_unescaped_comma(cmd[++i]);
                            for( int j = 0; j < options.length; j++ ) {
                                String option = options[j].trim();
                                Matcher m = Pattern.compile("^\\s*([^\\s=]+)\\s*=\\s*(\\S+)?\\s*$").matcher(option);
                                err(!m.matches(), "Illegal dhcp option \""+option+"\"");
                                String option_name = m.group(1);
                                String option_value = m.group(2)!=null?m.group(2):"";

                                err(check.get(option_name) != null,
                                    "Duplicate dhcp option \""+option_name+"\"");

                                Hashtable optionsH = new Hashtable();
                                optionsH.put("option", option_name);
                                optionsH.put("value",  option_value);
                                dhcp_options.put(option_name+"="+option_value, optionsH) ;
                                check.put(option_name, "");
                            }
                            cmdActions.put("dhcp-options", dhcp_options);

                        } else if( cmd[i].matches("^--?d(|h|hc|hcp)(|=.*)?\\s*") ) { // --dhcp=(on|off)
                            Matcher m = Pattern.compile("^--?d(?:|h|hc|hcp)(=(on|off))?\\s*$").matcher(cmd[i]);
                            err(!m.matches(), "Illegal --dhcp flag");
                            // default value is 'on'
                            cmdActions.put("dhcp", m.group(2)!=null?m.group(2):"on");

                        } else if( cmd[i].matches("^--?r(|o|oa|oam)=?.*") ) { // --roam=(on|off)
                            Matcher m = Pattern.compile("^--?r(?:|o|oa|oam)(=(on|off))?\\s*$").matcher(cmd[i]);
                            err(!m.matches(), "Illegal --roam flag");
                            err( m.group(1) != null && int_add,
                                 "--roam flag cannot have a value while adding interface");
                            // default value is 'on'
                            cmdActions.put("roam", m.group(2)!=null?m.group(2):"on");

                        } else if( cmd[i].startsWith("-") )
                            err("Unsupported option \""+cmd[i]+"\"");

                        else {
                            err(i+1 < cmd.length, "Unsupported option \""+cmd[i]+"\"");
                            Hashtable nodeNames = hash_get_or_create(cmdActions, "node_names");
                            err(nodeNames.size() == 1, "only one node name can be given");

                            cmdActions.put("name", fillDomain(cmd[i]));
                            nodeNames.put(nodeNames.size()+"", cmdActions.get("name"));
                        }
                    }

                    // ensure valid combinations of options
                    if( cmdActions.get("remove_int") != null ||
                        ( cmdActions.get("new_hw") != null && ((String)cmdActions.get("new_hw")).equals("none") ) ) {
                        err(cmdActions.get("dhcp") != null,         "Illegal use of --dhcp option");
                        err(cmdActions.get("roam") != null,         "Illegal use of --roam option");
                        err(cmdActions.get("dhcp-options") != null, "Illegal use of --options option");
                    }

                    if( cmdActions.get("hw address") != null && cmdActions.get("modify_int") == null )
                        err("--hw option can be used only in conjunction with --modify");

                    String hw_addr = Utils.nStr(cmdActions.get("hw address"));
                    try {
                        if( hw_addr.trim().length() > 0 && !hw_addr.equals("none") ) {
                            String normalized_hw_addr = (String)parser.parse(hw_addr).get("hw");
                            err(normalized_hw_addr == null, "Incorrect format for hardware address");
                            cmdActions.put("hw address", normalized_hw_addr);
                        }
                    } catch (Exception ex) {
                        err(ex.getMessage());
                    }

                    // --remove also cannot take --ip option
                    err(cmdActions.get("remove_int") != null && cmdActions.get("ip") != null,
                        "Illegal use of --ip option");

                    // The default state of the DHCP flag when adding an interface with hw addr. is 'on'.
                    if( cmdActions.get("dhcp") == null && int_add &&
                        cmdActions.get("new_hw") != null && !((String)cmdActions.get("new_hw")).equals("none") )
                        cmdActions.put("dhcp", "on");

                    // The roaming flag is automatically set off when the DHCP flag is off.
                    if( cmdActions.get("dhcp") != null && ((String)cmdActions.get("dhcp")).equals("off") )
                        cmdActions.put("roam", "off");

                } else if( checkOption(cmd[1], "n", "ame" , false) ) { // name
                    cmdActions.put("action_operand", "name");

                    boolean filling_up_old_name = false;
                    boolean filling_up_new_name = false;
                    for( int i = 2; i < cmd.length; i++ ) {

                        if( checkOption(cmd[i], "v", "erbose" , true) ) // --verbose
                            verbose = true;

                        else if( checkOption(cmd[i], "r", "emove" , true) ) { // --remove
                            err(cmdActions.get("old_name") != null, "duplicate --remove option");

                            if( cmd.length > i+1 )
                                cmdActions.put("old_name", cmd[++i].trim());

                        } else if( checkOption(cmd[i], "a", "dd" , true) ) { // --add
                            err(cmdActions.get("new_name") != null, "duplicate --add option");

                            if( cmd.length > i+1 )
                                cmdActions.put("new_name", cmd[++i].trim());

                        } else if( cmd[i].startsWith("-") )
                            err("Unsupported option \""+cmd[i]+"\"");

                        else {
                            Hashtable nodeNames = (Hashtable)cmdActions.get("node_names");
                            if( nodeNames == null ) {
                                nodeNames = new Hashtable();
                                cmdActions.put("node_names", nodeNames);
                            }

                            err(nodeNames.size() == 1, "only one node name can be given");

                            cmdActions.put("name", fillDomain(cmd[i]));
                            nodeNames.put(nodeNames.size()+"", cmdActions.get("name"));
                        }
                    }

                    String old_name = (String)cmdActions.get("old_name");
                    err(old_name == null, "option --remove is missing");

                } else if( checkOption(cmd[1], "inf", "o" , false) ) { // info
                    cmdActions.put("action_operand", "info");
                    cmdActions.put("type", "pretty-print");

                    boolean filling_up_file_name = false;
                    boolean filling_up_node_names = false;
                    for( int i = 2; i < cmd.length; i++ ) {

                        if( filling_up_node_names ) {
                            Hashtable nodeNames = (Hashtable)cmdActions.get("node_names");
                            nodeNames.put(nodeNames.size()+"", fillDomain(cmd[i]));

                        } else if( filling_up_file_name ) {
                            Hashtable nodeNames = (Hashtable)cmdActions.get("node_names");
                            if( nodeNames == null ) {
                                nodeNames = new Hashtable();
                                cmdActions.put("node_names", nodeNames);
                            }
                            loadNodeNames(nodeNames, cmd[i]);

                        } else if( checkOption(cmd[i], "i", "nput" , true) ) // --input
                            filling_up_file_name = true;

                        else if( checkOption(cmd[i], "x", "ml" , true) ) { // --xml
                            cmdActions.put("type", "xml");
                            no_echo = true;

                        } else if( checkOption(cmd[i], "v", "erbose" , true) ) // --verbose
                            verbose = true;

                        else if( cmd[i].startsWith("-") )
                            err("Unsupported option \""+cmd[i]+"\"");

                        else {
                            filling_up_node_names = true;
                            Hashtable nodeNames = (Hashtable)cmdActions.get("node_names");
                            if( nodeNames == null ) {
                                nodeNames = new Hashtable();
                                cmdActions.put("node_names", nodeNames);
                            }
                            nodeNames.put(nodeNames.size()+"", fillDomain(cmd[i]));
                        }
                    }

                } else if( checkOption(cmd[1], "l", "ocation" , false) ) { // location
                    err(cmd.length < 3, "Undefined action");
                    cmdActions.put("action_operand", "location");

                    boolean filling_up_location = false;
                    boolean filling_up_file_name = false;
                    boolean filling_up_node_names = false;
                    String building = null;
                    String room = null;
                    for( int i = 2; i < cmd.length; i++ ) {

                        if( filling_up_node_names ) {
                            Hashtable nodeNames = (Hashtable)cmdActions.get("node_names");
                            nodeNames.put(nodeNames.size()+"", fillDomain(cmd[i]));

                        } else if( filling_up_location ) {

                            String full_location = cmd[i].trim();
                            if( full_location.indexOf(":") < 0 )
                                building = full_location;
                            else {
                                building = full_location.substring(0, full_location.indexOf(":"));
                                room = full_location.substring(full_location.indexOf(":")+1);
                            }

                            filling_up_location = false;

                        } else if( filling_up_file_name ) {
                            Hashtable nodeNames = (Hashtable)cmdActions.get("node_names");
                            if( nodeNames == null ) {
                                nodeNames = new Hashtable();
                                cmdActions.put("node_names", nodeNames);
                            }
                            loadNodeNames(nodeNames, cmd[i]);

                        } else if( checkOption(cmd[i], "v", "erbose" , true) ) // --verbose
                            verbose = true;

                        else if( checkOption(cmd[i], "s", "et" , true) ) { // --set
                            filling_up_file_name = false;
                            filling_up_location = true;

                        } else if( checkOption(cmd[i], "i", "nput" , true) )  // --input
                            filling_up_file_name = true;

                        else if( cmd[i].startsWith("-") )
                            err("Unsupported option \""+cmd[i]+"\"");

                        else {
                            filling_up_node_names = true;
                            Hashtable nodeNames = (Hashtable)cmdActions.get("node_names");
                            if( nodeNames == null ) {
                                nodeNames = new Hashtable();
                                cmdActions.put("node_names", nodeNames);
                            }
                            nodeNames.put(nodeNames.size()+"", fillDomain(cmd[i]));
                        }
                    }

                    if( building != null && building.trim().length() > 0 )
                        cmdActions.put("building", building);

                    err(room == null || room.trim().length() == 0, "Room number is missing");
                    cmdActions.put("room", room);

                } else if( checkOption(cmd[1], "m", "odel" , false) ) { // model
                    err(cmd.length < 3, "Undefined action");
                    cmdActions.put("action_operand", "model");

                    boolean filling_up_make_and_model = false;
                    boolean filling_up_file_name = false;
                    boolean filling_up_node_names = false;
                    String make = null;
                    String model = null;
                    for( int i = 2; i < cmd.length; i++ ) {

                        if( filling_up_node_names ) {
                            Hashtable nodeNames = (Hashtable)cmdActions.get("node_names");
                            nodeNames.put(nodeNames.size()+"", fillDomain(cmd[i]));

                        } else if( filling_up_make_and_model ) {

                            String full_mam = cmd[i].trim();
                            if( full_mam.indexOf(":") < 0 )
                                make = full_mam;
                            else {
                                if( full_mam.indexOf(":") > 0 )
                                    make = full_mam.substring(0, full_mam.indexOf(":"));
                                if( full_mam.indexOf(":") < full_mam.length() )
                                    model = full_mam.substring(full_mam.indexOf(":")+1);
                            }

                            filling_up_make_and_model = false;

                        } else if( filling_up_file_name ) {
                            Hashtable nodeNames = (Hashtable)cmdActions.get("node_names");
                            if( nodeNames == null ) {
                                nodeNames = new Hashtable();
                                cmdActions.put("node_names", nodeNames);
                            }
                            loadNodeNames(nodeNames, cmd[i]);

                        } else if( checkOption(cmd[i], "v", "erbose" , true) ) // --verbose
                            verbose = true;

                        else if( checkOption(cmd[i], "s", "et" , true) ) { // --set
                            filling_up_file_name = false;
                            filling_up_make_and_model = true;

                        } else if( checkOption(cmd[i], "i", "nput" , true) )  // --input
                            filling_up_file_name = true;

                        else if( cmd[i].startsWith("-") )
                            err("Unsupported option \""+cmd[i]+"\"");

                        else {
                            filling_up_node_names = true;
                            Hashtable nodeNames = (Hashtable)cmdActions.get("node_names");
                            if( nodeNames == null ) {
                                nodeNames = new Hashtable();
                                cmdActions.put("node_names", nodeNames);
                            }
                            nodeNames.put(nodeNames.size()+"", fillDomain(cmd[i]));
                        }
                    }

                    if( make != null && make.trim().length() > 0 )
                        cmdActions.put("make", make);

                    if( model != null && model.trim().length() > 0 )
                        cmdActions.put("model", model);

                } else if( checkOption(cmd[1], "o", "s" , false) ) { // os
                    err(cmd.length < 3, "Undefined action");
                    cmdActions.put("action_operand", "oses");

                    boolean filling_up_oses_to_add = false;
                    boolean filling_up_oses_to_remove = false;
                    boolean filling_up_file_name = false;
                    boolean filling_up_node_names = false;
                    Hashtable oses_to_add = new Hashtable();
                    Hashtable oses_to_remove = new Hashtable();
                    Hashtable check = new Hashtable();
                    for( int i = 2; i < cmd.length; i++ ) {

                        if( filling_up_node_names ) {
                            Hashtable nodeNames = (Hashtable)cmdActions.get("node_names");
                            nodeNames.put(nodeNames.size()+"", fillDomain(cmd[i]));

                        } else if( checkOption(cmd[i], "v", "erbose" , true) ) // --verbose
                            verbose = true;

                        else if( checkOption(cmd[i], "a", "dd" , true) ) { // --add
                            filling_up_oses_to_remove = false;
                            filling_up_file_name = false;
                            filling_up_oses_to_add = true;

                        } else if( checkOption(cmd[i], "r", "emove" , true) ) { // --remove
                            filling_up_oses_to_add = false;
                            filling_up_file_name = false;
                            filling_up_oses_to_remove = true;

                        } else if( filling_up_oses_to_add ) {
                            String[] oses = split_on_unescaped_comma(cmd[i]);
                            for( int j = 0; j < oses.length; j++ ) {
                                String os = oses[j];
                                err(check.get(os.toLowerCase()) != null, "Duplicate os \""+os+"\"");
                                oses_to_add.put(os, "");
                                check.put(os.toLowerCase(), "");
                            }
                            filling_up_oses_to_add = false;

                        } else if( filling_up_oses_to_remove ) {
                            String[] oses = split_on_unescaped_comma(cmd[i]);
                            for( int j = 0; j < oses.length; j++ ) {
                                String os = oses[j];
                                err(check.get(os.toLowerCase()) != null, "Duplicate os \""+os+"\"");
                                oses_to_remove.put(os, "");
                                check.put(os.toLowerCase(), "");
                            }
                            filling_up_oses_to_remove = false;

                        } else if( checkOption(cmd[i], "i", "nput" , true) ) { // --input
                            filling_up_file_name = true;
                            filling_up_oses_to_add = false;
                            filling_up_oses_to_remove = false;

                        } else if( filling_up_file_name ) {
                            Hashtable nodeNames = (Hashtable)cmdActions.get("node_names");
                            if( nodeNames == null ) {
                                nodeNames = new Hashtable();
                                cmdActions.put("node_names", nodeNames);
                            }
                            loadNodeNames(nodeNames, cmd[i]);

                        } else if( cmd[i].startsWith("-") )
                            err("Unsupported option \""+cmd[i]+"\"");

                        else {
                            filling_up_node_names = true;
                            Hashtable nodeNames = (Hashtable)cmdActions.get("node_names");
                            if( nodeNames == null ) {
                                nodeNames = new Hashtable();
                                cmdActions.put("node_names", nodeNames);
                            }
                            nodeNames.put(nodeNames.size()+"", fillDomain(cmd[i]));
                        }
                    }

                    cmdActions.put("oses_to_add", oses_to_add);
                    cmdActions.put("oses_to_remove", oses_to_remove);

                } else if( checkOption(cmd[1], "c", "ustom" , false) ) { // custom
                    err(cmd.length < 3, "Undefined action");
                    cmdActions.put("action_operand", "custom");

                    boolean filling_up_custom_to_add = false;
                    boolean filling_up_custom_to_remove = false;
                    boolean filling_up_file_name = false;
                    boolean filling_up_node_names = false;
                    Hashtable custom_to_add = new Hashtable();
                    Hashtable custom_to_remove = new Hashtable();
                    Hashtable check = new Hashtable();
                    for( int i = 2; i < cmd.length; i++ ) {

                        if( filling_up_node_names ) {
                            Hashtable nodeNames = (Hashtable)cmdActions.get("node_names");
                            nodeNames.put(nodeNames.size()+"", fillDomain(cmd[i]));

                        } else if( checkOption(cmd[i], "v", "erbose" , true) ) // --verbose
                            verbose = true;

                        else if( checkOption(cmd[i], "a", "dd" , true) ) { // --add
                            filling_up_custom_to_remove = false;
                            filling_up_file_name = false;
                            filling_up_custom_to_add = true;

                        } else if( checkOption(cmd[i], "r", "emove" , true) ) { // --remove
                            filling_up_custom_to_add = false;
                            filling_up_file_name = false;
                            filling_up_custom_to_remove = true;

                        } else if( filling_up_custom_to_add ) {
                            String[] custom_tags = split_on_unescaped_comma(cmd[i]);
                            for( int j = 0; j < custom_tags.length; j++ ) {
                                String custom_tag = custom_tags[j];
                                String custom_tag_name = new String(custom_tag);
                                String custom_tag_value = "";
                                int index = custom_tag.indexOf("=");
                                if(index != -1){
                                    custom_tag_name=custom_tag.substring(0,index);
                                    custom_tag_value=custom_tag.substring(index+1);
                                }
                                err(check.get(custom_tag_name) != null,
                                    "Duplicate tag \""+custom_tag_name+"\"");
                                custom_to_add.put(custom_tag_name,custom_tag_value) ;
                                check.put(custom_tag_name, "");
                            }
                            filling_up_custom_to_add = false;

                        } else if( filling_up_custom_to_remove ) {
                            String[] custom_tags = split_on_unescaped_comma(cmd[i]);
                            for( int j = 0; j < custom_tags.length; j++ ) {
                                String custom_tag = custom_tags[j];
                                String custom_tag_name = new String(custom_tag);
                                String custom_tag_value = "";
                                int index = custom_tag.indexOf("=");
                                if(index != -1){
                                    custom_tag_name=custom_tag.substring(0,index);
                                    custom_tag_value=custom_tag.substring(index+1);
                                }
                                err(check.get(custom_tag_name) != null,
                                    "Duplicate tag \""+custom_tag_name+"\"");
                                custom_to_remove.put(custom_tag_name,custom_tag_value);
                                check.put(custom_tag_name, "");
                            }
                            filling_up_custom_to_remove = false;

                        } else if( checkOption(cmd[i], "i", "nput" , true) ) { // --input
                            filling_up_file_name = true;
                            filling_up_custom_to_add = false;
                            filling_up_custom_to_remove = false;

                        } else if( filling_up_file_name ) {
                            Hashtable nodeNames = (Hashtable)cmdActions.get("node_names");
                            if( nodeNames == null ) {
                                nodeNames = new Hashtable();
                                cmdActions.put("node_names", nodeNames);
                            }
                            loadNodeNames(nodeNames, cmd[i]);

                        } else if( cmd[i].startsWith("-") )
                            err("Unsupported option \""+cmd[i]+"\"");

                        else {
                            filling_up_node_names = true;
                            Hashtable nodeNames = (Hashtable)cmdActions.get("node_names");
                            if( nodeNames == null ) {
                                nodeNames = new Hashtable();
                                cmdActions.put("node_names", nodeNames);
                            }
                            nodeNames.put(nodeNames.size()+"", fillDomain(cmd[i]));
                        }
                    }

                    cmdActions.put("custom_to_add", custom_to_add);
                    cmdActions.put("custom_to_remove", custom_to_remove);

                } else if( checkOption(cmd[1], "cl", "one" , false) ) { // clone
                    err(cmd.length < 3, "Undefined action");
                    cmdActions.put("action_operand", "clone");

                    for( int i = 2; i < cmd.length; i++ ) {

                        if( checkOption(cmd[i], "v", "erbose" , true) ) // --verbose
                            verbose = true;

                        else if( checkOption(cmd[i], "t", "emplate" , true) ) { // --template
                            err(cmdActions.get("template") != null, "duplicate --template option");

                            if( cmd.length > i+1 )
                                cmdActions.put("template", cmd[++i].trim());

                        } else if( checkOption(cmd[i], "n", "ame" , true) ) { // --name
                            err(cmdActions.get("name") != null, "duplicate --name option");

                            if( cmd.length > i+1 )
                                cmdActions.put("name", cmd[++i].trim());


                        } else if( checkOption(cmd[i], "l", "ocation" , true) ) { // --location
                            err(cmdActions.get("location") != null, "duplicate --location option");

                            if( cmd.length > i+1 ) {
                                String full_location = cmd[++i].trim();
                                String building = null;
                                String room = null;
                                if( full_location.indexOf(":") < 0 )
                                    building = full_location;
                                else {
                                    building = full_location.substring(0, full_location.indexOf(":"));
                                    room = full_location.substring(full_location.indexOf(":")+1);
                                }
                                if( building != null && building.trim().length() > 0 )
                                    cmdActions.put("building", building.trim());

                                err(room == null || room.trim().length() == 0, "Room number is missing");
                                cmdActions.put("room", room.trim());
                            }

                        } else if( checkOption(cmd[i], "h", "ardware" , true) ||
                                   checkOption(cmd[i], "h", "w" , true) ) {  // --hardware | --hw
                            err(cmdActions.get("hw") != null, "duplicate --hw | --hardware option");

                            if( cmd.length > i+1 )
                                cmdActions.put("hw", cmd[++i].trim());

                        } else if( checkOption(cmd[i], "d", "hcp" , true) )  // --dhcp
                            cmdActions.put("dhcp", "");

                        else if( checkOption(cmd[i], "r", "oam" , true) )  // --roam
                            cmdActions.put("roam", "");

                        else if( checkOption(cmd[i], "i", "p" , true) ) { // --ip
                            err(cmdActions.get("ip") != null, "duplicate --ip option");

                            if( cmd.length > i+1 )
                                cmdActions.put("ip", cmd[++i].trim());

                        } else if( checkOption(cmd[i], "m", "odel" , true) ) { // --model
                            err(cmdActions.get("--model") != null, "duplicate --model option");

                            cmdActions.put("--model", ""); // dummy place holder

                            if( cmd.length > i+1 ) {
                                String make = null;
                                String model = null;
                                String full_mam = cmd[++i].trim();
                                if( full_mam.indexOf(":") < 0 )
                                    make = full_mam;
                                else {
                                    if( full_mam.indexOf(":") > 0 )
                                        make = full_mam.substring(0, full_mam.indexOf(":"));

                                    if( full_mam.indexOf(":") < full_mam.length() )
                                        model = full_mam.substring(full_mam.indexOf(":")+1);
                                }

                                if( make != null && make.trim().length() > 0 )
                                    cmdActions.put("make", make.trim());

                                if( model != null && model.trim().length() > 0 )
                                    cmdActions.put("model", model.trim());
                            }

                        } else if( checkOption(cmd[i], "o", "s" , true) ) { // --os
                            err(cmdActions.get("oses") != null, "duplicate --os option");

                            if( cmd.length > i+1 ) {
                                Hashtable osesH = new Hashtable();
                                String[] oses = split_on_unescaped_comma(cmd[++i]);
                                Hashtable check = new Hashtable();
                                for( int j = 0; j < oses.length; j++ ) {
                                    String os = oses[j].trim();
                                    err(check.get(os.toLowerCase()) != null, "Duplicate os \""+os+"\"");
                                    osesH.put(os, "");
                                    check.put(os.toLowerCase(), "");
                                }

                                if( osesH.size() > 0 )
                                    cmdActions.put("oses", osesH);
                            }

                        } else if( checkOption(cmd[i], "u", "ser" , true) ) { // --user
                            err(cmdActions.get("users") != null, "duplicate --user option");

                            if( cmd.length > i+1 ) {
                                Hashtable usersH = new Hashtable();
                                String[] users = split_on_unescaped_comma(cmd[++i]);
                                Hashtable check = new Hashtable();
                                for( int j = 0; j < users.length; j++ ) {
                                    String user = users[j].trim();
                                    err(check.get(user.toLowerCase()) != null,
                                        "Duplicate user \""+user+"\"");
                                    usersH.put(user, "");
                                    check.put(user.toLowerCase(), "");
                                }

                                if( usersH.size() > 0 )
                                    cmdActions.put("users", usersH);
                            }

                        } else if( checkOption(cmd[i], "a", "dmin" , true) ) { // --admin
                            err(cmdActions.get("admins") != null, "duplicate --admin option");

                            if( cmd.length > i+1 ) {
                                Hashtable adminsH = new Hashtable();
                                String[] admins = split_on_unescaped_comma(cmd[++i]);
                                Hashtable check = new Hashtable();
                                for( int j = 0; j < admins.length; j++ ) {
                                    String admin = admins[j].trim();
                                    err(check.get(admin.toLowerCase()) != null,
                                        "Duplicate admin \""+admin+"\"");
                                    adminsH.put(admin, "");
                                    check.put(admin.toLowerCase(), "");
                                }

                                if( adminsH.size() > 0 )
                                    cmdActions.put("admins", adminsH);
                            }

                        } else if( checkOption(cmd[i], "c", "omment" , true) ) { // --comment
                            err(cmdActions.get("comment") != null, "duplicate --comment option");

                            if( cmd.length > i+1 )
                                cmdActions.put("comment", cmd[++i].trim());

                        } else if( checkOption(cmd[i], "s", "tate" , true) ) { // --state
                            err(cmdActions.get("state") != null, "duplicate --state option");

                            if( cmd.length > i+1 )
                                cmdActions.put("state", cmd[++i].trim());

                        } else if( checkOption(cmd[i], "d", "epartment" , true) ) { // --department
                            err(cmdActions.get("department") != null, "duplicate --department option");

                            if( cmd.length > i+1 )
                                cmdActions.put("department", cmd[++i].trim());

                        } else
                            err("Unsupported option ["+cmd[i]+"]");
                    }

                    err(cmdActions.get("template") == null, "Missing template node name");

                    err(cmdActions.get("name") == null, "Missing node name");

                    err(cmdActions.get("roam") != null && cmdActions.get("dhcp") == null,
                        "Option --roam may be used only if --dhcp is set as well");

                    String ip = (String)cmdActions.get("ip");
                    if( ip != null &&
                        ( ip.equals("0") ||
                          ip.equals("no") ||
                          ip.equals("none") ) && cmdActions.get("hw") == null )
                        err("Node without ip must have hardware address");

                } else
                    err("Unsupported keyword \""+cmd[1]+"\"");
            } else
                err("Undefined action");

            String op = (String)cmdActions.get("action_operand") ;
            if( op != null && ( !op.equals("aliases") && !op.equals("receive_mail_for") && !op.equals("clone") ) ) {
                Hashtable node_names_h = (Hashtable)cmdActions.get("node_names");
                err(node_names_h == null || node_names_h.size() == 0, "No node names are given");
            }

        } else if( checkOption(cmd[0], "l", "ist" , false) ) { // list
            cmdActions.put("action_target", "list");
            if( cmd.length > 1 ) {
                if( checkOption(cmd[1], "g", "roups" , false) ) // groups
                    cmdActions.put("action_operand", "groups");

                else if( checkOption(cmd[1], "l", "ocations" , false) ) // locations
                    cmdActions.put("action_operand", "locations");

                else if( checkOption(cmd[1], "m", "odels" , false) ) // models
                    cmdActions.put("action_operand", "models");

                else if( checkOption(cmd[1], "o", "ses" , false) ) // oses
                    cmdActions.put("action_operand", "oses");

                else if( checkOption(cmd[1], "de", "partments" , false) ) // departments
                    cmdActions.put("action_operand", "departments");

                else if( checkOption(cmd[1], "s", "tates" , false) ) // states
                    cmdActions.put("action_operand", "states");

                else if( checkOption(cmd[1], "dh", "cp_options" , false) ) // states
                    cmdActions.put("action_operand", "dhcp_options");

                else
                    err("Unsupported keyword \""+cmd[1]+"\"");

                if( cmd.length > 1 ) {
                    for( int i = 2; i < cmd.length; i++ ) {
                        if( checkOption(cmd[i], "v", "erbose" , true) ) // --verbose
                            verbose = true;

                        else if( cmd[i].startsWith("-") )
                            err("Unsupported option \""+cmd[i]+"\"");

                        else {
                            err(cmdActions.get("filter") != null,
                                "You can pass only one filter to the list command");
                            cmdActions.put("filter", cmd[i]);
                        }
                    }
                }

            } else
                err("Undefined action.\nPossible actions are "+
                    "'groups', 'locations', 'models', 'oses', 'departments', 'states'");

            if( cmdActions.get("filter") == null )
                cmdActions.put("filter", "*");

        } else
            err("Unsupported record type \""+cmd[0]+"\"");

    } // end of validateCMD(...)

    public static void completeNames() {
        Hashtable aliases_to_add = (Hashtable)cmdActions.get("aliases_to_add");
        if( aliases_to_add != null ) {
            Hashtable tab = new Hashtable();
            Enumeration enm = aliases_to_add.keys();
            while( enm.hasMoreElements() ) {
                String name = ((String)enm.nextElement()).trim();
                tab.put(fillDomain(name), "");
            }
            cmdActions.put("aliases_to_add", tab);
        }

        Hashtable aliases_to_remove = (Hashtable)cmdActions.get("aliases_to_remove");
        if( aliases_to_remove != null ) {
            Hashtable tab = new Hashtable();
            Enumeration enm = aliases_to_remove.keys();
            while( enm.hasMoreElements() ) {
                String name = ((String)enm.nextElement()).trim();
                tab.put(fillDomain(name), "");
            }
            cmdActions.put("aliases_to_remove", tab);
        }

        Hashtable mxs_to_add = (Hashtable)cmdActions.get("mxs_to_add");
        if( mxs_to_add != null ) {
            Hashtable tab = new Hashtable();
            Enumeration enm = mxs_to_add.keys();
            while( enm.hasMoreElements() ) {
                String name = ((String)enm.nextElement()).trim();
                String prefix = "";
                if( name.indexOf(":") > -1 ) {
                    prefix = name.substring(name.indexOf(":"));
                    name = name.substring(0, name.indexOf(":"));
                }
                tab.put(fillDomain(name)+prefix, "");
            }
            cmdActions.put("mxs_to_add", tab);
        }

        Hashtable mxs_to_remove = (Hashtable)cmdActions.get("mxs_to_remove");
        if( mxs_to_remove != null ) {
            Hashtable tab = new Hashtable();
            Enumeration enm = mxs_to_remove.keys();
            while( enm.hasMoreElements() ) {
                String name = ((String)enm.nextElement()).trim();
                tab.put(fillDomain(name), "");
            }
            cmdActions.put("mxs_to_remove", tab);
        }

        String name = (String)cmdActions.get("name");
        if( name != null )
            cmdActions.put("name", fillDomain(name.trim()));

        String template = (String)cmdActions.get("template");
        if( template != null )
            cmdActions.put("template", fillDomain(template.trim()));

        String old_name = (String) cmdActions.get("old_name");
        if( old_name != null )
            cmdActions.put("old_name", fillDomain(old_name.trim()));

        String new_name = (String) cmdActions.get("new_name");
        if( new_name != null )
            cmdActions.put("new_name", fillDomain(new_name.trim()));

        Hashtable node_names = (Hashtable)cmdActions.get("node_names");
        if( node_names != null ) {
            Enumeration enm = node_names.keys();
            while( enm.hasMoreElements() ) {
                String key = (String)enm.nextElement();
                name = ((String)node_names.get(key)).trim();
                node_names.put(key, fillDomain(name));
            }
        }

    } // end of completeNames()

    /** Display error message and exit program */
    private static void err(String msg) {
        err(true, msg);
    } // end of err(...)

    /**
     * Display error message and exit program.
     * 'prefix' will be placed before 'ERROR:'
     */
    private static void err(String prefix, String msg) {
        err(true, prefix, msg);
    } // end of err(...)

    /** Display error message and exit program if isError is true */
    private static void err(boolean isError, String msg) {
        err(isError, "", msg);
    } // end of err(...)

    /**
     * Display error message and exit program if isError is true.
     * 'prefix' will be placed before 'ERROR:'
     */
    private static void err(boolean isError, String prefix, String msg) {
        if( !isError ) return;
        System.out.println(prefix+"ERROR: "+msg);
        MainWindow.exit(1);
    } // end of err(...)

    /** Display error message and throw ExitException */
    private static void exx(String msg) throws ExitException {
        exx(true, "", msg);
    } // end of exx(...)

    /** Display error message and throw ExitException if isError is true */
    private static void exx(boolean isError, String prefix, String msg)
        throws ExitException
    {
        if( !isError ) return;
        System.out.println(prefix+"ERROR: "+msg);
        throw new ExitException(msg);
    } // end of exx(...)


    /** If given name does not have domain then it fills it with users default domain */
    private static String fillDomain(String name) {
        if( name.trim().indexOf(".") >= 0 )
            return name.trim();
        if( MainWindow.userDefDomain != null && MainWindow.userDefDomain.trim().length() > 0 )
            return name.trim()+"."+MainWindow.userDefDomain;
        else
            return name.trim();
    } // end of fillDomain(...)

    /** Loads list of node name from 'file' into 'nodeName' hash */
    private static void loadNodeNames(Hashtable nodeNames, String file) {
        BufferedReader rin = null;
        try {
            if( file.trim().equals("-") )
                rin = new BufferedReader(new InputStreamReader(System.in));
            else
                rin = new BufferedReader(new InputStreamReader(new FileInputStream(file)));
        } catch(Exception ex) {
            err("Failed to open file \""+file+"\"");
            try {
                rin.close(); // try to close it just in case
            } catch(Exception exx) {
            }
        }

        try {
            String name = null;
            for(;;) {
                name = rin.readLine();
                if( name == null )
                    break;
                if( name.trim().length() == 0 )
                    continue;
                name = fillDomain(name);
                if( nodeNames.put(nodeNames.size()+"", name) != null )
                    msg("\nname "+name+" appears more than once in "+file,
                        "name "+name+" appears more than once in "+file);
            }
        } catch(Exception ex) {
            err("Failed to read from file \""+file+"\"");

        } finally {
            try {
                rin.close();
            } catch(Exception exx) {
            }
        }
    } // end of loadNodeName(...)

    private static void updatePersons(Hashtable persons) throws ServerException, RemoteException, Exception {
        msg("Updating persons...", ".");
        Enumeration enm = persons.keys();
        while( enm.hasMoreElements() ) {
            Hashtable person = Utils.nHash(persons.get(enm.nextElement()));
            Object oType = person.get("object");
            if( oType != null && (oType instanceof String) &&
                ((String)oType).equals("person") )
                Utils.appendHash(person, MainWindow.netdb.update(person, person));
        }
    }

    private static void updateNode(Hashtable oldNode, Hashtable newNode) throws ServerException, RemoteException {
        msg("Performing update...", ".");
        MainWindow.netdb.update(oldNode, newNode);
    } // end of updateNode

    private static void verifyNodeTypeAccess() throws ServerException, RemoteException {
        msg("Verifying node access...", ".");
        err(!MainWindow.netdb.checkAccess(Constants.NODE), "You do not have node access");
    } // end of verifyNodeTypeAccess()

    private static void verifyNodeTypesAccessOrDie(Hashtable node, String name)
        throws ServerException, RemoteException
    {
        verifyNodeTypesAccess(node, name, true);
    } // nodeTypeAccessVerifyOrDie

    private static boolean verifyNodeTypesAccess(Hashtable node, String name)
        throws ServerException, RemoteException
    {
        return verifyNodeTypesAccess(node, name, false);
    }

    private static boolean verifyNodeTypesAccess(Hashtable node, String name, boolean die)
        throws ServerException, RemoteException
    {
        msg("Verifying node access...", ".");

        Hashtable types = Utils.nHash(node.get("types"));
        Enumeration enm = types.keys();
        boolean typeAccess = true;
        while( enm.hasMoreElements() ) {
            String type = ((String)enm.nextElement()).trim();
            if( type.equals("Advanced") ) {
                if( !MainWindow.netdb.checkAccess(Constants.ADVANCED_NODE) ) {
                    err(die, verbose?"":"\n", "You do not have advanced node access to modify \""+name+"\"");
                    System.out.println((verbose?"":"\n")+
                                       "You do not have advanced node access to modify \""+name+"\"");
                    typeAccess = false;
                }

            } else if( type.equals("Router") ) {
                if( !MainWindow.netdb.checkAccess(Constants.ROUTER) ) {
                    err(die, verbose?"":"\n", "You do not have router node access to modify \""+name+"\"");
                    System.out.println((verbose?"":"\n")+
                                       "You do not have router node access to modify \""+name+"\"");
                    typeAccess = false;
                }

            } else if( type.equals("IPCprovider") ) {
                if( !MainWindow.netdb.checkAccess(Constants.IPC_PROVIDER) ) {
                    err(die, verbose?"":"\n", "You do not have ipc provider node access to modify \""+name+"\"");
                    System.out.println((verbose?"":"\n")+
                                       "You do not have ipc provider node access to modify \""+name+"\"");
                    typeAccess = false;
                }

            }
        }
        return typeAccess;
    } // end of verifyNodeTypesAccess(...)

    private static void verifyNodeGroupAccessOrDie(Hashtable node, String name)
        throws ServerException, RemoteException
    {
        verifyNodeGroupAccess(node, name, true);
    } // verifyNodeGroupAccessOrDie(...)

    private static boolean verifyNodeGroupAccess(Hashtable node, String name)
        throws ServerException, RemoteException
    {
        return verifyNodeGroupAccess(node, name, false);
    }

    private static boolean verifyNodeGroupAccess(Hashtable node, String name, boolean die) throws ServerException, RemoteException {
        msg("Verifying group access...", ".");
        if( !MainWindow.netdb.checkGroupAccess(node) ) {
            err(die, verbose?"":"\n", "You do not have group access to a node \""+name+"\"");
            System.out.println((verbose?"":"\n")+"You do not have group access to a node \""+name+"\"");
            return false;
        }
        return true;
    } // end of verifyNodeGroupAccess(...)

    private static Timestamp lockNode(String name) throws ServerException, RemoteException {
        msg("Locking node...", ".");
        Timestamp lockTm = MainWindow.netdb.lock(Constants.NODE, name);
        if( lockTm == null)
            System.out.println((verbose?"":"\n")+"Failed to lock node \""+name+"\"");
        return lockTm;
    } // end of lockNode(...)

    private static void unlockNode(String name, Timestamp lockedTm) {
        try {
            System.out.println("\nUnlocking node...");
            MainWindow.netdb.unlock(Constants.NODE, name, lockedTm);
        } catch(Exception ex) {
        };
    } // end of unlockNode(...)

    public static void handleUpdateException(java.rmi.ServerException ex) {
        if( ex.getCause() instanceof SessionTimeoutException ) {
            SessionTimeoutException se = (SessionTimeoutException)ex.getCause();
            err("Session timeout. "+se.getMessage());

        } else if( ex.getCause() instanceof RemoteNetDBException ) {
            RemoteNetDBException ne = (RemoteNetDBException)ex.getCause();
            Vector errors = ne.getMessages();
            String msg = "";
            int esize = errors.size();
            for( int i = 0; i < esize; i++ )
                msg += (String)errors.elementAt(i)+(i<esize-1?"\n":"");
            System.out.println("ERROR: "+msg);

        } else if( ex.getCause() instanceof RemoteException ) {
            RemoteException re = (RemoteException)ex.getCause();
            System.out.println("ERROR: "+re.getMessage());

        } else
            System.out.println("ERROR: "+ex.getMessage());
    } // end of handleUpdateException(...)

    private static void lookupPersons(Hashtable persons) {
        Enumeration enm = persons.keys();
        Hashtable clearance_set = new Hashtable();
        while( enm.hasMoreElements() ) {
            String netID = (String)enm.nextElement();
            if( !netID.matches("[a-zA-Z0-9\\-_\\.]+") ) {
                clearance_set.put(netID, "");
                msg("NetID: \""+netID+"\" contains illegal characters.", "\n$$\n");
            }
        }

        enm = clearance_set.keys();
        while( enm.hasMoreElements() )
            persons.remove(enm.nextElement());

        enm = persons.keys();
        while( enm.hasMoreElements() ) {
            String netID = (String)enm.nextElement();
            try {
                Hashtable person = Utils.nHash(MainWindow.netdb.dirSearch(Constants.NETID, netID));
                if( person.size() > 0 ) {
                    Object key = person.keySet().toArray()[0];
                    persons.put(netID, person.get(key));
                } else {
                    msg("Person NetID: \""+netID+"\" not found in a directory", "\n$$\n");
                    clearance_set.put(netID, "");
                }
            } catch (Exception ex) {
            }
        }

        enm = clearance_set.keys();
        while( enm.hasMoreElements() )
            persons.remove(enm.nextElement());
    } // end of lookupPersons(...)

    private static void lookupAdmins(Hashtable admins) {
        Enumeration enm = admins.keys();
        Hashtable clearance_set = new Hashtable();
        while( enm.hasMoreElements() ) {
            String netID = (String)enm.nextElement();
            if( netID.trim().endsWith(":") || netID.trim().endsWith(";") )
                continue;
            if( !netID.matches("[a-zA-Z0-9\\-_\\.]+") ) {
                clearance_set.put(netID, "");
                msg("NetID: \""+netID+"\" contains illegal characters.", "\n$$\n");
            }
        }

        enm = clearance_set.keys();
        while( enm.hasMoreElements() )
            admins.remove(enm.nextElement());

        // first look up people
        enm = admins.keys();
        while( enm.hasMoreElements() ) {
            String netID = (String)enm.nextElement();
            if( netID.trim().endsWith(":") || netID.trim().endsWith(";") )
                continue;
            try {
                Hashtable person = Utils.nHash(MainWindow.netdb.dirSearch(Constants.NETID, netID));
                if( person.size() > 0 ) {
                    Object key = person.keySet().toArray()[0];
                    admins.put(netID, person.get(key));
                } else {
                    msg("Person NetID: \""+netID+"\" not found in a directory", "\n$$\n");
                    clearance_set.put(netID, "");
                }
            } catch (Exception ex) {
            }
        }

        // now look up admin teams
        enm = admins.keys();
        while( enm.hasMoreElements() ) {
            String ateam = (String)enm.nextElement();
            if( !ateam.trim().endsWith(":") && !ateam.trim().endsWith(";") )
                continue;
            try {
                String ateam2 = ateam.trim();
                ateam2 = ateam2.substring(0, ateam2.length()-1);
                Hashtable result = Utils.nHash(MainWindow.netdb.simpleSearch(Constants.ATEAM, ateam2));
                if( result.size() > 0 ) {
                    Hashtable ateamH = new Hashtable();
                    ateamH.put("ateam", result.keySet().toArray()[0]);
                    admins.put(ateam, ateamH);
                } else {
                    msg("Admin team \""+ateam2+"\" does not exist", "\n$$\n");
                    clearance_set.put(ateam, "");
                }

            } catch (Exception ex) {
            }
        }

        enm = clearance_set.keys();
        while( enm.hasMoreElements() )
            admins.remove(enm.nextElement());
    } // end of lookupAdmins(...)

    private static void removeAdmins(Hashtable admins, Hashtable atorem, String nodeName) {
        Enumeration enm = atorem.keys();
        while( enm.hasMoreElements() ) {
            String idToRemove = (String)enm.nextElement();
            if( idToRemove.endsWith(":") || idToRemove.endsWith(";") ) {
                // admin team
                Hashtable ateams = (Hashtable)admins.get("ateams");
                if( ateams == null ) {
                    ateams = new Hashtable();
                    admins.put("ateams", ateams);
                }
                String ateamNameToRemove = idToRemove.substring(0, idToRemove.length() - 1);
                Enumeration enm2 = ateams.keys();
                boolean found = false;
                while( enm2.hasMoreElements() ) {
                    String key = (String)enm2.nextElement();
                    if( key.toLowerCase().equals(ateamNameToRemove.toLowerCase()) ) {
                        ateams.remove(key);
                        found = true;
                    }
                }
                if( !found )
                    msg("Admin team \""+ateamNameToRemove+"\" not found in node \""+nodeName+"\"", "\n$$\n");

            } else {
                // person
                Hashtable people = (Hashtable)admins.get("admins");
                if( people == null ) {
                    people = new Hashtable();
                    admins.put("admins", people);
                }
                Enumeration enm2 = people.keys();
                boolean found = false;
                while( enm2.hasMoreElements() ) {
                    String key = (String)enm2.nextElement();
                    Hashtable person = (Hashtable)people.get(key);
                    String netID = (String)person.get("NetID");
                    if( netID != null && netID.equals(idToRemove) ) {
                        people.remove(key);
                        found = true;
                    }
                }
                if( !found )
                    msg("Admin NetID: \""+idToRemove+"\" not found in node \""+nodeName+"\"", "\n$$\n");
            }
        }
    } // end of removeAdmins(...)

    private static void removePeople(Hashtable people, Hashtable ptorem, String nodeName) {
        Enumeration enm = ptorem.keys();
        while( enm.hasMoreElements() ) {
            String netIdToRemove = ((String)enm.nextElement()).trim();
            Enumeration enm2 = people.keys();
            boolean found = false;
            while( enm2.hasMoreElements() ) {
                String key = (String)enm2.nextElement();
                Hashtable person = (Hashtable)people.get(key);
                String netID = (String)person.get("NetID");
                if( netID != null && netID.equals(netIdToRemove) ) {
                    people.remove(key);
                    found = true;
                }
            }
            if( !found )
                msg("User NetID: \""+netIdToRemove+"\" not found in node \""+nodeName+"\"", "\n$$\n");
        }
    } // end of removePeople(...)

    private static void addPeople(Hashtable people, Hashtable ptoadd, String prefix, String nodeName) {
        Hashtable clearanceKeys = new Hashtable();

        // See if the person(s) we are trying to add already in a people Hash
        Enumeration enm = ptoadd.keys();
        while( enm.hasMoreElements() ) {
            String key = (String)enm.nextElement();
            Object p2a = (Object)ptoadd.get(key);
            if( !(p2a instanceof Hashtable) ) {
                clearanceKeys.put(key, "");
                continue;
            }
            String netIdToAdd = (String)((Hashtable)p2a).get("NetID");
            if( netIdToAdd == null )
                continue;
            Enumeration enm2 = people.keys();
            while( enm2.hasMoreElements() ) {
                Hashtable person = (Hashtable)people.get(enm2.nextElement());
                String netID = (String)person.get("NetID");
                if( netID != null && netID.equals(netIdToAdd) ) {
                    msg("Person NetID: \""+netID+"\" already "+prefix+" of the node \""+nodeName+"\"", "\n$$\n");
                    clearanceKeys.put(key, "");
                }
            }
        }

        // Remove offending keys
        enm = clearanceKeys.keys();
        while( enm.hasMoreElements() )
            ptoadd.remove(enm.nextElement());

        // Now add ptoadd
        enm = ptoadd.keys();
        while( enm.hasMoreElements() ) {
            String key = (String)enm.nextElement();
            people.put(key, ptoadd.get(key));
        }
    } // end of addPeople(...)

    private static void addAdmins(Hashtable admins, Hashtable atoadd, String nodeName) {
        Hashtable clearanceKeys = new Hashtable();

        // See if the person(s) or ateam we are trying to add already in a ateams Hash
        Enumeration enm = atoadd.keys();
        while( enm.hasMoreElements() ) {
            String key = (String)enm.nextElement();
            Object a2a = (Object)atoadd.get(key);
            if( !(a2a instanceof Hashtable) ) {
                clearanceKeys.put(key, "");
                continue;
            }

            String netIdToAdd = (String)((Hashtable)a2a).get("NetID");
            String ateamName = (String)((Hashtable)a2a).get("ateam");
            if( netIdToAdd != null ) { // person
                Hashtable people = (Hashtable)admins.get("admins");
                if( people == null ) {
                    people = new Hashtable();
                    admins.put("admins", people);
                }
                Enumeration enm2 = people.keys();
                while( enm2.hasMoreElements() ) {
                    Hashtable person = (Hashtable)people.get(enm2.nextElement());
                    String netID = (String)person.get("NetID");
                    if( netID != null && netID.equals(netIdToAdd) ) {
                        msg("Person NetID: \""+netID+"\" already an admin of the node \""+nodeName+"\"", "\n$$\n");
                        clearanceKeys.put(key, "");
                    }
                }
            } else if( ateamName != null ) { // admin team
                Hashtable adminsH = (Hashtable)admins.get("ateams");
                if( adminsH == null ) {
                    adminsH = new Hashtable();
                    admins.put("ateams", adminsH);
                }
                Enumeration enm2 = adminsH.keys();
                while( enm2.hasMoreElements() ) {
                    String key2 = (String)enm2.nextElement();
                    if( key2.trim().toLowerCase().equals(ateamName.trim().toLowerCase()) ) {
                        msg("Admin team \""+ateamName+"\" already a part of the node \""+nodeName+"\"", "\n$$\n");
                        clearanceKeys.put(key, "");
                    }
                }

            } else
                clearanceKeys.put(key, "");
        }

        // Remove offending keys
        enm = clearanceKeys.keys();
        while( enm.hasMoreElements() )
            atoadd.remove(enm.nextElement());

        // Now add ptoadd
        Hashtable people = (Hashtable)admins.get("admins");
        if( people == null ) {
            people = new Hashtable();
            admins.put("admins", people);
        }

        Hashtable adminsH = (Hashtable)admins.get("ateams");
        if( adminsH == null ) {
            adminsH = new Hashtable();
            admins.put("ateams", adminsH);
        }

        enm = atoadd.keys();
        while( enm.hasMoreElements() ) {
            String key = (String)enm.nextElement();
            Hashtable a2a = (Hashtable)atoadd.get(key);
            String netIdToAdd = (String)((Hashtable)a2a).get("NetID");
            String ateamName = (String)((Hashtable)a2a).get("ateam");
            if( netIdToAdd != null ) // person
                people.put(key, a2a);
            else if( ateamName != null ) { // admin team
                //Hashtable admin = new Hashtable();
                //admin.put("phone", "");
                //admin.put("email", "");
                adminsH.put(ateamName, new Hashtable());
            }
        }
    } // end of addAdmins(...)

    public static void formatNodeInfo(Hashtable node) {
        // print names
        Hashtable names = (Hashtable)node.get("names");
        Enumeration enm = names.keys();
        Enumeration enm1 = null;
        java.util.List list1 = null;
        Iterator it1 = null;
        java.util.List list2 = null;
        Iterator it2 = null;
        java.util.List list3 = null;
        Iterator it3 = null;
        Hashtable name = null;
        Hashtable aliases = null;
        Hashtable mxs = null;
        Comparator name_cmp = new Comparator() {
                public int compare(Object o1, Object o2) {
                    return ((String)o1).compareToIgnoreCase((String)o2);
                }
                public boolean equals(Object obj) {
                    return true;
                }
            };
        Comparator ip_cmp = new Comparator() {
                public int compare(Object o1, Object o2) {
                    int retval = 0;

                    try {
                        long cmp_val = Utils.ipstr2long( ((String)o1).trim() ) -
                            Utils.ipstr2long( ((String)o2).trim() );
                        retval = cmp_val>0?1:(cmp_val<0?-1:0);
                    } catch(Exception ex) {
                        System.out.println(ex);
                    }
                    return retval;
                }
                public boolean equals(Object obj) {
                    return true;
                }
            };
        java.util.List list = Arrays.asList(names.keySet().toArray());
        Collections.sort(list, name_cmp);
        Iterator it = list.iterator();

        String key = "";
        String key1 = "";
        long start_time = (new java.util.Date()).getTime();
        while( it.hasNext() ) {
            key = (String)it.next(); // it is a name
            name = (Hashtable)names.get(key);
            System.out.println("         name: "+name.get("name")+"."+name.get("domain"));
            aliases = (Hashtable)name.get("aliases");
            list1 = Arrays.asList(aliases.keySet().toArray());
            Collections.sort(list1, name_cmp);
            it1 = list1.iterator();

            // print aliases
            Vector aliases_v = new Vector();
            String alias = "            alias: ";
            int index = 0;
            while( it1.hasNext() ) {
                key1 = (String)it1.next(); // it is an alias
                Hashtable aliasH = (Hashtable)aliases.get(key1);
                if( alias.length()+key1.length() > 77 ) {
                    alias += ",";
                    aliases_v.addElement(alias);
                    alias = "                   "+aliasH.get("name")+"."+aliasH.get("domain");
                    index = 1;
                }else{
                    index++;
                    if( index == 1 )
                        alias += aliasH.get("name")+"."+aliasH.get("domain");
                    else
                        alias += ", "+aliasH.get("name")+"."+aliasH.get("domain");
                }
            }
            if( index > 0 )
                aliases_v.addElement(alias);

            if( aliases_v.size() > 0 ) {
                for( int i=0; i<aliases_v.size(); i++ )
                    System.out.println((String)aliases_v.elementAt(i));
            }

            // print mx's
            Vector mxs_v = new Vector();
            String mx = "    recv mail for: ";
            index = 0;
            mxs = (Hashtable)name.get("mxs");
            enm1 = mxs.keys();
            list1 = Arrays.asList(mxs.keySet().toArray());
            Collections.sort(list1, name_cmp);
            it1 = list1.iterator();

            while( it1.hasNext() ) {
                key1 = (String)it1.next(); // it is an mx
                Hashtable mxHash = (Hashtable)mxs.get(key1);
                String pref = (String)mxHash.get("pref");
                if( mx.length()+key1.length()+2+pref.length() > 77 ) {
                    mx += ",";
                    mxs_v.addElement(mx);
                    mx = "                   "+mxHash.get("name")+"."+mxHash.get("domain")+"("+pref+")";
                    index = 1;
                }else{
                    index++;
                    if( index == 1 )
                        mx += mxHash.get("name")+"."+mxHash.get("domain")+"("+pref+")";
                    else
                        mx += ", "+mxHash.get("name")+"."+mxHash.get("domain")+"("+pref+")";
                }
            }
            if( index > 0 )
                mxs_v.addElement(mx);

            if( mxs_v.size() > 0 ) {
                for( int i=0; i<mxs_v.size(); i++ )
                    System.out.println((String)mxs_v.elementAt(i));
            }
        }

        // the rest
        Hashtable types = Utils.nHash(node.get("types"));
        String nType = types.size()==0?"Host":"";
        for( Map.Entry ent : (java.util.List<Map.Entry>)Utils.sort(types.entrySet(), Utils.node_type_cmp) )
            nType += (nType.length()>0?", ":"")+((Hashtable)ent.getValue()).get("type");
        System.out.println("         type: Node ("+nType+")");

        System.out.println("        state: "+node.get("state").toString().trim() );

        String make_and_model = "";
        if( node.get("make") != null )
            make_and_model += node.get("make").toString().trim() + " ";
        if( node.get("model") != null )
            make_and_model += node.get("model").toString().trim();
        System.out.println("          cpu: "+make_and_model);

        Hashtable oses = Utils.nHash(node.get("oses"));
        list = Arrays.asList(oses.keySet().toArray());
        Collections.sort(list, name_cmp);
        Object[] osArray = list.toArray();
        String oses_string = "";
        for( int i = 0; i < osArray.length; i++ )
            oses_string += osArray[i]+(i<osArray.length-1?", ":"");
        System.out.println("       op-sys: "+oses_string);
        System.out.println("   department: "+node.get("dept"));
        System.out.println("     location: "+node.get("location")+
                           " ("+node.get("site")+"-"+node.get("code")+")");
        System.out.println("         room: "+node.get("room"));

        // Custom Field Names
        Hashtable tags = Utils.nHash(node.get("tags"));
        if( tags.size() > 0 ) {
            enm = tags.keys();
            int counter = 0;
            while( enm.hasMoreElements() ) {
                String keyName = (String)enm.nextElement();
                if( counter > 0 )
                    System.out.println("               "+keyName.trim()+"="+tags.get(keyName).toString().trim());
                else
                    System.out.println("custom fields: "+keyName.trim()+"="+tags.get(keyName).toString().trim());
                counter++;
            }
        }

        // print address space, it should appear only if it is a template
        String addr_space = (String)node.get("addr_space");
        if( addr_space != null )
            System.out.println("address-space: "+addr_space);

        // print interfaces
        Hashtable interfaces = (Hashtable)node.get("interfaces");
        if( interfaces != null ) {

            Comparator intfc_cmp = new Comparator() {
                public int compare(Object o1, Object o2) {
                    Hashtable intfc1 = (Hashtable)((Map.Entry)o1).getValue();
                    Hashtable intfc2 = (Hashtable)((Map.Entry)o2).getValue();

                    boolean hasIPs1 = false;
                    boolean hasIPs2 = false;
                    long ip1 = 0;
                    long ip2 = 0;

                    Hashtable ips = Utils.nHash(intfc1.get("ips"));
                    Enumeration enm = ips.keys();
                    while( enm.hasMoreElements() ) {
                        try {
                            long ip = Utils.ipstr2long((String)enm.nextElement());
                            if( hasIPs1 )
                                ip1 = ip<ip1?ip:ip1;
                            else {
                                hasIPs1 = true;
                                ip1 = ip;
                            }
                        } catch (Exception ex) { }
                    }

                    ips = Utils.nHash(intfc2.get("ips"));
                    enm = ips.keys();
                    while( enm.hasMoreElements() ) {
                        try {
                            long ip = Utils.ipstr2long((String)enm.nextElement());
                            if( hasIPs2 )
                                ip2 = ip<ip2?ip:ip2;
                            else {
                                hasIPs2 = true;
                                ip2 = ip;
                            }
                        } catch (Exception ex) { }
                    }

                    if( !hasIPs1 && hasIPs2 )
                        return -1;

                    if( hasIPs1 && !hasIPs2 )
                        return 1;

                    if( !hasIPs1 && !hasIPs2 ) {
                        String i1 = (String)((Map.Entry)o1).getKey();
                        String i2 = (String)((Map.Entry)o2).getKey();

                        long v1 = 0;
                        boolean number1 = true;
                        try {
                            v1 = (new Long((String)i1)).longValue();
                        } catch (Exception ex) {
                            number1 = false;
                            try {
                                v1 = (new Long( ((String)i1).substring(((String)i1).indexOf("_")+2) )).longValue();
                            } catch(Exception exx) {
                                v1 = 0;
                            }
                        }

                        long v2 = 0;
                        boolean number2 = true;
                        try {
                            v2 = (new Long((String)i2)).longValue();
                        } catch (Exception ex) {
                            number2 = false;
                            try {
                                v2 = (new Long( ((String)i2).substring(((String)i2).indexOf("_")+2) )).longValue();
                            } catch(Exception exx) {
                                v2 = 0;
                            }
                        }

                        if( number1 && !number2 )
                            return 1;

                        if( !number1 && number2 )
                            return -1;

                        try {
                            long cmp_val =  v2 - v1;
                            return cmp_val>0?1:(cmp_val<0?-1:0);
                        } catch (Exception ex) {}

                        return 0;
                    }

                    try {
                        long cmp_val =  ip1 - ip2;
                        return cmp_val>0?1:(cmp_val<0?-1:0);
                    } catch (Exception ex) {}

                    return 0;
                }
                public boolean equals(Object obj) {
                    return true;
                }
            };

            java.util.List ilist = Arrays.asList(interfaces.entrySet().toArray());
            Collections.sort(ilist, intfc_cmp);
            Object[] ia = ilist.toArray();

            enm = interfaces.keys();
            int intfc_counter = 0;
            if( interfaces.size() > 0 )
                System.out.println("   interfaces: ");
            String prepend = "";
            for (int i = 0; i < ia.length; i++) {
                //while( enm.hasMoreElements() ) {
                intfc_counter++;
                prepend = "  "+
                    Utils.formatString((new StringBuffer()).append(intfc_counter), 4, 4, ')', Utils.RIGHT)+" ";
                Hashtable intfc = (Hashtable)((Map.Entry)ia[i]).getValue();
                //Hashtable intfc = (Hashtable)interfaces.get(enm.nextElement());
                names = (Hashtable)intfc.get("names");
                // print interface names
                if( names != null ) {
                    list1 = Arrays.asList(names.keySet().toArray());
                    Collections.sort(list1, name_cmp);
                    it1 = list1.iterator();
                    while( it1.hasNext() ) {
                        String _name = (String)it1.next();
                        Hashtable nameH = (Hashtable)names.get(_name);
                        System.out.println(prepend + "   name: "+nameH.get("name")+"."+nameH.get("domain"));
                        prepend = "        ";
                    }
                }

                if( intfc.get("hw") != null ) {
                    String hw = ((String)intfc.get("hw")).trim().toLowerCase();
                    System.out.print(prepend + "hw-addr: "+hw.substring(0, 4)+"."+hw.substring(4, 8)+"."+hw.substring(8));
                    if( intfc.get("use-dhcp?") != null && ((Boolean)intfc.get("use-dhcp?")).booleanValue() )
                        System.out.print("  dhcp");
                    if( intfc.get("roaming?") != null && ((Boolean)intfc.get("roaming?")).booleanValue() )
                        System.out.print("  roam");
                    System.out.println("");
                    prepend = "        ";

                    // if has hw addr then print dhcp-option right after it
                    // othervise right after ip addresses section
                    if( intfc.get("dhcp-options") != null ) {
                        Hashtable options = (Hashtable)intfc.get("dhcp-options");
                        list1 = Arrays.asList(options.keySet().toArray());
                        Collections.sort(list1, name_cmp);
                        it1 = list1.iterator();
                        int counter = 0;
                        while( it1.hasNext() ) {
                            Hashtable option = (Hashtable)options.get(it1.next());
                            if( counter == 0 )
                                System.out.println("       dhcp-opt: "+option.get("option")+"="+option.get("value"));
                            else
                                System.out.println("                 "+option.get("option")+"="+option.get("value"));
                            counter++;
                        }
                    }
                }

                Hashtable ip_addresses = (Hashtable)intfc.get("ips");
                if( ip_addresses != null ) {
                    list1 = Arrays.asList(ip_addresses.keySet().toArray());
                    Collections.sort(list1, ip_cmp);
                    it1 = list1.iterator();
                    int ip_counter = 0;
                    while( it1.hasNext() ) {
                        ip_counter++;
                        String ip = (String)it1.next();
                        Hashtable ip_addr = (Hashtable)ip_addresses.get(ip);
                        Boolean active = (Boolean)ip_addr.get("active?");
                        if( ip_counter == 1 ) {
                            System.out.print(prepend + "ip-addr: " +
                                             Utils.formatString(new StringBuffer(ip), 16, 16, '\0', Utils.LEFT) +
                                             (types.get("Advanced")!=null?Utils.nStr(ip_addr.get("PTRprefAbbr")):" ")+" "+
                                             (active.booleanValue()?"    ":"off "));
                            prepend = "                 ";
                        } else
                            System.out.print(prepend +
                                             Utils.formatString(new StringBuffer(ip), 16, 16, '\0', Utils.LEFT) +
                                             (types.get("Advanced")!=null?Utils.nStr(ip_addr.get("PTRprefAbbr")):" ")+" "+
                                             (active.booleanValue()?"    ":"off "));
                        names = (Hashtable)ip_addr.get("names");
                        if( names != null ) {
                            list2 = Arrays.asList(names.keySet().toArray());
                            Collections.sort(list2, name_cmp);
                            it2 = list2.iterator();
                            while( it2.hasNext() ) {
                                String _name = (String)it2.next();
                                Hashtable nameH = (Hashtable)names.get(_name);
                                String nameStr = nameH.get("name")+"."+nameH.get("domain");
                                System.out.print("  "+Utils.formatString(new StringBuffer(nameStr), -1, 41, '\0', Utils.LEFT));
                            }
                        }
                        System.out.println("");
                    }
                }

                // show dhcp options after ip addresses section if interface does not have hw address
                if( intfc.get("hw") == null && intfc.get("dhcp-options") != null ) {
                    Hashtable options = (Hashtable)intfc.get("dhcp-options");
                    list1 = Arrays.asList(options.keySet().toArray());
                    Collections.sort(list1, name_cmp);
                    it1 = list1.iterator();
                    int counter = 0;
                    while( it1.hasNext() ) {
                        Hashtable option = (Hashtable)options.get(it1.next());
                        if( counter == 0 )
                            System.out.println("       dhcp-opt: "+option.get("option")+"="+option.get("value"));
                        else
                            System.out.println("                 "+option.get("option")+"="+option.get("value"));
                        counter++;
                    }
                }
            }
        }

        // print IPC addresses
        Hashtable ipc_addresses = (Hashtable)node.get("ipc_addresses");
        if( ipc_addresses != null ) {
            list1 = Arrays.asList(ipc_addresses.keySet().toArray());
            Collections.sort(list1, ip_cmp);
            it1 = list1.iterator();
            int ipc_counter = 0;
            while( it1.hasNext() ) {
                ipc_counter++;
                key = (String)it1.next();
                Hashtable ip_addr = (Hashtable)ipc_addresses.get(key);
                Boolean active = (Boolean)ip_addr.get("active?");
                if( ipc_counter == 1 )
                    System.out.print("IPC addresses: "+Utils.formatString(new StringBuffer(key), 16, 16, '\0', Utils.LEFT) +
                                     (active.booleanValue()?"    ":"off "));
                else
                    System.out.print("               "+Utils.formatString(new StringBuffer(key), 16, 16, '\0', Utils.LEFT) +
                                     (active.booleanValue()?"    ":"off "));
                Hashtable ipc_address = (Hashtable)ipc_addresses.get(key);
                names = (Hashtable)ipc_address.get("names");
                if( names != null ) {
                    list2 = Arrays.asList(names.keySet().toArray());
                    Collections.sort(list2, name_cmp);
                    it2 = list2.iterator();
                    while( it2.hasNext() ) {
                        String _name = (String)it2.next();
                        Hashtable nameH = (Hashtable)names.get(_name);
                        String nameStr = nameH.get("name")+"."+nameH.get("domain");
                        System.out.print(" "+Utils.formatString(new StringBuffer(nameStr), -1, 42, '\0', Utils.LEFT));
                        //name = (Hashtable)names.get(_name);
                    }
                }
                System.out.println("");
            }
        }

        // print users
        Hashtable users = (Hashtable)node.get("users");
        if( users != null ) {
            list = Arrays.asList(users.keySet().toArray());
            Collections.sort(list, name_cmp);
            Object[] keys = list.toArray();
            for( int i = 0; i < keys.length; i++ ) {
                Hashtable user = (Hashtable)users.get(keys[i]);
                if( i == 0 )
                    System.out.print("         user: "+user.get("name"));
                else
                    System.out.print("               "+user.get("name"));
                String dirID = (String)user.get("DirID");
                if( dirID != null && dirID.trim().length() > 0 )
                    System.out.print(" ("+dirID.trim().toLowerCase()+")");
                System.out.println("");
            }
        }

        // print admins
        Hashtable admins = Utils.nHash((Hashtable)node.get("admins"));
        int admin_counter = 1;
        Hashtable apeople = Utils.nHash(admins.get("admins"));
        list = Arrays.asList(apeople.keySet().toArray());
        Collections.sort(list, name_cmp);
        Object[] keys = list.toArray();
        for( int i = 0; i < keys.length; i++ ) {
            Hashtable person = Utils.nHash(apeople.get(keys[i]));
            if( admin_counter == 1 )
                System.out.print("administrator: ");
            else
                System.out.print("               ");
            admin_counter++;
            String dirID = (String)person.get("DirID");
            System.out.print(person.get("name"));
            if( dirID == null )
                System.out.println("");
            else
                System.out.println(" ("+dirID.trim().toLowerCase()+")");
        }
        Hashtable ateams = Utils.nHash(admins.get("ateams"));
        list = Arrays.asList(ateams.keySet().toArray());
        Collections.sort(list, name_cmp);
        keys = list.toArray();
        for( int i = 0; i < keys.length; i++ ) {
            Hashtable ateam = Utils.nHash(ateams.get(keys[i]));
            if( admin_counter == 1 )
                System.out.print("administrator: ");
            else
                System.out.print("               ");
            admin_counter++;
            System.out.println(((String)keys[i]).trim());
            if( ateam.get("email") != null )
                System.out.println("                  e-mail: "+ateam.get("email"));

            if( ateam.get("phone") != null )
                    System.out.println("                   phone: "+ateam.get("phone"));
        }

        if( node.get("exp.date") != null ) {
            try {
                System.out.println("     exp date: "+
                    (new SimpleDateFormat("MM/dd/yyyy")).format(node.get("exp.date")));
            } catch(Exception ex) {}
        }

        // print netdb groups
        Hashtable groups = (Hashtable)node.get("groups");
        if( groups != null ) {
            list1 = Arrays.asList(groups.keySet().toArray());
            Collections.sort(list1, name_cmp);
            it1 = list1.iterator();

            Vector groups_v = new Vector();
            String groupsStr = "        group: ";
            int index = 0;
            int length = 19;
            while( it1.hasNext() ) {
                key1 = (String)it1.next(); // it is a group name
                if( length+key1.length() > 77 ) {
                    groupsStr += ",";
                    groups_v.addElement(groupsStr);
                    groupsStr = "               "+key1;
                    index = 1;
                    length = 15 + key1.length();
                } else {
                    index++;
                    if( index == 1 ) {
                        groupsStr += key1;
                        length = length + key1.length();
                    } else {
                        groupsStr += ", "+key1;
                        length = length + 2 + key1.length();
                    }
                }
            }
            if( index > 0 )
                groups_v.addElement(groupsStr);

            if( groups_v.size() > 0 ) {
                for( int i=0; i<groups_v.size(); i++ )
                    System.out.println((String)groups_v.elementAt(i));
            }
        }

        // print comment
        String comment = (String)node.get("comment");
        if( comment != null ) {
            try {
                System.out.println(Utils.formatString2Block("      comment: ", comment, 78));
            } catch(Exception ex) {
                System.out.println(ex);
            }
        }
        SimpleDateFormat sdf = new SimpleDateFormat("MMM dd yyyy hh:mm a");
        Hashtable mod_by = Utils.nHash(node.get("mod.by"));
        System.out.println("   updated-by: "+mod_by.get("name")+" ("+mod_by.get("NetID")+")");
        System.out.println(" date-updated: "+sdf.format(node.get("modified")));
        Hashtable created_by = Utils.nHash(node.get("created.by"));
        System.out.println("   created-by: "+created_by.get("name")+" ("+created_by.get("NetID")+")");
        System.out.println(" date-created: "+sdf.format(node.get("created"))+"\n");
    } // end of formatNodeInfo(...)

    private static void removeMXes(Hashtable mxingNode, Hashtable mxes) {
        Hashtable names = Utils.nHash(mxingNode.get("names"));
        Enumeration enm = names.keys();
        while( enm.hasMoreElements() ) {
            String key = (String)enm.nextElement();
            String nameFQDN = key.toLowerCase().trim();

            Hashtable mxs = null;
            Enumeration enm2 = mxes.keys();
            while( enm2.hasMoreElements() ) {
                String name = (String)enm2.nextElement();
                if( name.equals(nameFQDN) ) {
                    mxs = (Hashtable)mxes.get(name);
                    break;
                }
            }
            if( mxs == null )
                continue;

            Vector keysToRemove = new Vector();
            Hashtable name = (Hashtable)names.get(key);
            Hashtable mxNames = Utils.nHash(name.get("mxs"));
            enm2 = mxNames.keys();
            while( enm2.hasMoreElements() ) {
                String mxKey = (String)enm2.nextElement();

                Enumeration enm3 = mxs.keys();
                while( enm3.hasMoreElements() ) {
                    String mxName = (String)enm3.nextElement();
                    if( mxKey.toLowerCase().trim().equals(mxName.toLowerCase().trim()) ) {
                        keysToRemove.addElement(mxKey);
                        break;
                    }
                }
            }

            // now remove keysToRemove
            for( int i = 0; i < keysToRemove.size(); i++ )
                mxNames.remove(keysToRemove.elementAt(i));
        }
    } // end of removeMXes(...)

    public static boolean checkOption(String line, String minimum, String rest, boolean dash) {
        for( int i = 0; i <= rest.length(); i++ ) {
            if( dash ) {
                if( line.equals("-"+minimum+rest.substring(0, i)) ||
                    line.equals("--"+minimum+rest.substring(0, i)) )
                    return true;
            } else {
                if( line.equals(minimum+rest.substring(0, i)) )
                    return true;
            }
        }
        return false;
    }

    public static void startLoginGUI() {
        (new Thread() {
                public void run() {
                    initDialog = initScreen.createDialog(null, "NetDB");
                    loginLabel.setText("Connecting");
                    if( progressBar != null )
                        initScreen.remove(progressBar);
                    progressBar = new JProgressBar();
                    progressBar.setIndeterminate(true);
                    initScreen.add(progressBar);
                    initDialog.show();
                    Object selectedValue = initScreen.getValue();
                    if( selectedValue != null && selectedValue.toString().equals("Exit") )
                        MainWindow.exit(0);
                }
            }).start();
    } // end of startLoginGUI()

    public static void login() {

        try {
            names = Naming.list("//"+System.getProperty("netdb.host")+":"+
                                System.getProperty("registry.port", "20005"));
            if( names.length == 1 ) {
                netdb_handle = (NetDBi)Naming.lookup(names[0]);
            } else if( names.length > 1 ) {
                if( gui ) {
                    sd = new SelectDialog(initDialog, names);
                    sd.setVisible(true);
                } else
                    selected_index = 0;
                netdb_handle = (NetDBi)Naming.lookup(names[selected_index]);
            } else
                throw new Exception("Could not locate NetDB server");
        } catch (Exception ex) {
            ex.printStackTrace();
            if( gui )
                JOptionPane.showMessageDialog(null, "<html><body>"+Utils.htmlize(ex.getMessage())+
                               "</body></html>", "Error", JOptionPane.ERROR_MESSAGE);
            else
                Utils.error(ex.getMessage());
            MainWindow.exit(1);
        }
        if( gui )
            loginLabel.setText("Authenticating");
        else {
            if( !no_echo ) msg("Authenticating...", ".");
        }

        LoginContext lc = null;

        // try to authencate three times
        for( int i = 0; i < 3; i++ ) {
            try {

                lc = createLoginContext();

                // attempt authentication
                lc.login();
                break;

            } catch (LoginException ex) {
                sun.security.krb5.KrbException ke = (sun.security.krb5.KrbException)((LoginException)ex).getCause();
                if( ke.returnCode() != 24 || i == 2 ) {
                    if( gui )
                        JOptionPane.showMessageDialog(initDialog, "<html><body>"+Utils.htmlize(ex.getMessage())+
                                                      "</body></html>", "Error", JOptionPane.ERROR_MESSAGE);
                    else
                        Utils.error(ex.getMessage());
                    MainWindow.exit(1);
                }

            } catch (Exception ex) {
                if( gui )
                    JOptionPane.showMessageDialog(initDialog, "<html><body>"+Utils.htmlize(ex.getMessage())+
                                                  "</body></html>", "Error", JOptionPane.ERROR_MESSAGE);
                else
                    Utils.error(ex.getMessage());
                MainWindow.exit(1);
            }
        }

        try {
            MainWindow.netdb = netdb_handle.getInstance();
            KAction kAction = new KAction(MainWindow.netdb);
            Subject.doAsPrivileged(lc.getSubject(), kAction, null);
        } catch (Exception ex) {
            ex.printStackTrace();
            String msg;
            if( ex instanceof java.rmi.ServerException || ex instanceof java.security.PrivilegedActionException ) {
                Throwable th = ex.getCause();
                if( th instanceof java.rmi.RemoteException )
                    msg = th.getCause().getMessage();
                else
                    msg = th.getMessage();
            } else
                msg = ex.toString();

            if( gui )
                JOptionPane.showMessageDialog(null, "<html><body>"+Utils.htmlize(msg)+
                                              "</body></html>", "Error", JOptionPane.ERROR_MESSAGE);
            else {
                Utils.error(msg);
            }

            MainWindow.exit(1);
        }
    } // end of login()

    public static void prebuildGUI() {
     //JComboBox.setDefaultLightWeightPopupEnabled(true);

        timeOutButtons = new JButton[2];
        timeOutButtons[0] = new JButton("Relogin");
        timeOutButtons[1] = new JButton("Quit");

        ((JButton)(timeOutButtons[0])).addActionListener(new ActionListener() {
                public void actionPerformed(ActionEvent ev) {
                    timeOutDialogWin.hide();

                    // close all but main frames
                    synchronized(XFrame.allFrames) {
                        Enumeration enm = XFrame.allFrames.keys();
                        while( enm.hasMoreElements() ) {
                            Hashtable frame = (Hashtable)XFrame.allFrames.remove(enm.nextElement());
                            if( frame.get("main") == null )
                                ((JFrame)frame.get("frame")).dispose();
                        }
                    }

                    startLoginGUI();
                    (new Thread() {
                            public void run() {
                                login();
                                initDialog.dispose();
                            }
                        }).start();
                }
            });

        ((JButton)(timeOutButtons[1])).addActionListener(new ActionListener() {
                public void actionPerformed(ActionEvent ev) {
                    MainWindow.exit(0);
                }
            });

        JPanel panel = new JPanel(new BorderLayout());
        panel.add(new JLabel("<html><body>Session timeout.</body></html>",
                             JLabel.CENTER),
                  BorderLayout.NORTH);
        JOptionPane timOutDialog =
            new JOptionPane(panel, JOptionPane.PLAIN_MESSAGE,
                            JOptionPane.YES_NO_OPTION, null,
                            timeOutButtons);
        timeOutDialogWin = timOutDialog.createDialog(null, "Session timeout.");
    }

    public static void handleTimeout() {
        timeOutDialogWin.show();
    }

    private static LoginContext createLoginContext() {
        try {
            // set up our security provider
            Security.setProperty("login.configuration.provider", "SecProvider");
            // set up login context
            LoginContext lc = new LoginContext("NetDBClient", new CallbackHandler() {
                    public void handle(Callback[] callbacks)
                        throws UnsupportedCallbackException, IOException {
                        if( !gui ) {
                            System.out.println("\nNo valid credentials found.");
                            MainWindow.exit(1);
                        }
                        for (int i = 0; i < callbacks.length; i++) {
                            if (callbacks[i] instanceof TextOutputCallback)
                                Utils.debug(((TextOutputCallback)callbacks[i]).getMessage());

                            else if (callbacks[i] instanceof NameCallback) {
                                JPanel panel = new JPanel(new GridLayout(4, 1));
                                panel.add(new JLabel("Net ID:"));
                                String userName = System.getProperty("user.name");
                                netIDTF = new JTextField(userName != null?userName:"", 10);
                                netIDTF.addKeyListener(new KeyAdapter() {
                                        public void keyPressed(KeyEvent e) {
                                            if( e.getKeyCode() == KeyEvent.VK_ENTER )
                                                ((JTextField)e.getSource()).transferFocus();
                                        }
                                    });
                                panel.add(netIDTF);
                                panel.add(new JLabel("Password:"));

                                passwordTF = new JPasswordField(10);
                                passwordTF.addKeyListener(new KeyAdapter() {
                                        public void keyPressed(KeyEvent e) {
                                            if( e.getKeyCode() == KeyEvent.VK_ENTER ) {
                                                netID = netIDTF.getText().trim();
                                                password = passwordTF.getText();
                                                authDialog.hide();
                                            }
                                        }
                                    });
                                panel.add(passwordTF);

                                JButton[] pButtons = new JButton[2];
                                pButtons[0] = new JButton("Submit");
                                pButtons[0].addActionListener(new ActionListener() {
                                        public void actionPerformed(ActionEvent e) {
                                            netID = netIDTF.getText().trim();
                                            password = passwordTF.getText();
                                            authDialog.hide();
                                        }
                                    });

                                pButtons[1] = new JButton("Cancel");
                                pButtons[1].addActionListener(new ActionListener() {
                                        public void actionPerformed(ActionEvent e) {
                                            MainWindow.exit(0);
                                        }
                                    });

                                authScreen = new JOptionPane(panel, JOptionPane.PLAIN_MESSAGE,
                                                             JOptionPane.OK_CANCEL_OPTION, null, pButtons);

                                authDialog = authScreen.createDialog(initDialog, "Authenticate");
                                authDialog.show();
                                ((NameCallback)callbacks[i]).setName(netID);

                            } else if (callbacks[i] instanceof PasswordCallback)
                                ((PasswordCallback)callbacks[i]).setPassword(password.toCharArray());
                        }
                    } // end of handle(...)
                });
            return lc;

        } catch (LoginException le) {
            Utils.error("Cannot create LoginContext. "
                        + le.getMessage());
            MainWindow.exit(1);

        } catch (SecurityException se) {
            Utils.error("Cannot create LoginContext. "+se.getMessage());
            MainWindow.exit(1);
        }

        return null;
    } // end of createLoginContext(...)

    private static String readAnswer(String question) throws Exception {
        String return_val = null;
        System.out.print(question);
        System.out.flush();
        while( return_val == null ) {
            return_val = (new BufferedReader(new InputStreamReader(System.in))).readLine();
            if( return_val != null ) {
                return_val = return_val.trim().toLowerCase();
                if( return_val.equals("y") ||
                    return_val.equals("ye") ||
                    return_val.equals("yes") )
                    return "yes";

                if( return_val.equals("n") ||
                    return_val.equals("no") )
                    return "no";
            }
            return_val = null;
            System.out.print(question);
            System.out.flush();
        }
        return "no";
    }

    private static void msg(String msg1, String msg2) {
        if( verbose )
            System.out.println(msg1);
        else
            System.out.print(msg2.replaceAll("\\$\\$", msg1));

        System.out.flush();
    }

    /**
     * Will get Hashtable object from source 'hash' given the 'key'.
     * If object does not exit will create Hashtable place in a source 'hash'
     * and return it.
     **/
    private static Hashtable hash_get_or_create(Hashtable hash, Object key) {
        Hashtable result = (Hashtable)hash.get(key);
        if( result == null ) {
            result = new Hashtable();
            hash.put(key, result);
        }
        return result;
    }

    /** Checks that source string is an ip address */
    private static boolean isIP(String src, boolean allow_plus_suffix) {
        try {
            if( allow_plus_suffix && src.endsWith("+") )
                src = src.substring(0, src.length()-1);
            Hashtable parseRes = (new Parser()).parse(src);
            String ip_low = (String)parseRes.get("ip_low");
            String ip_high = (String)parseRes.get("ip_high");
            if( ip_low == null || ip_high == null || !ip_low.equals(ip_high) )
                throw new Exception("");
            return true;

        } catch (Exception ex) {
            return false;
        }
    } // end of isIP(...)

    /** Checks that source string is a hardware address */
    private static boolean isHW(String src) {
        try {
            if( (new Parser()).parse(src).get("hw") == null )
                throw new Exception("");
            return true;

        } catch (Exception ex) {
            return false;
        }
    } // end of isHW(...)

    /**
     * given ip_or_hw finds interface among given interfaces,
     * returns key in the 'interfaces' hash
     */
    private static String find_interface(Hashtable interfaces, String ip_or_hw) throws Exception {
        Hashtable res = (new Parser()).parse(ip_or_hw);
        String hw = (String)res.get("hw");
        if( hw != null ) hw = hw.toLowerCase();
        // we already know that at this point ip is not a range
        String ip = (String)res.get("ip_low");
        Enumeration enm = interfaces.keys();
        while( enm.hasMoreElements() ) {
            String key = (String)enm.nextElement();
            Hashtable intfc = (Hashtable)interfaces.get(key);
            if( hw != null ) {
                // look up by hw
                String intfc_hw = (String)intfc.get("hw");
                if( intfc_hw == null )
                    continue;
                if( intfc_hw.toLowerCase().equals(hw) )
                    return key;

            } else if( ip != null ) {
                Hashtable ips = (Hashtable)intfc.get("ips");
                if( ips == null )
                    continue;
                Enumeration ip_enm = ips.keys();
                while( ip_enm.hasMoreElements() ) {
                    String intfc_ip = (String)ip_enm.nextElement();
                    if( intfc_ip.equals(ip) )
                        return key;
                }
            }
        }
        return null;
    } // end of find_interface(...)

    private static String[] split_on_unescaped_comma(String src) {
        Vector parts    = new Vector();
        char[] append = new char[1];
        char[] chars    = src.toCharArray();
        boolean escaped  = false;
        String block = "";
        for( int i = 0; i < chars.length; i++ ) {
            if( chars[i] == '\\' ) {
                if( !escaped )
                    escaped = true;
                else {
                    append[0] = chars[i];
                    block += new String(append);
                    escaped = false;
                }
            } else if( chars[i] == ',' ) {
                if( escaped ) {
                    append[0] = chars[i];
                    block += new String(append);
                    escaped = false;
                } else { // split here
                    parts.addElement(block);
                    block = "";
                }
            } else {
                append[0] = chars[i];
                block += new String(append);
                if( escaped )
                    escaped = false;
            }
        }
        if( block.length() > 0 ) // add last block if there is any
            parts.addElement(block);

        String[] res = new String[parts.size()];
        for( int i = 0; i < parts.size(); i++ )
            res[i] = (String)parts.elementAt(i);

        return res;
    } // end of split_on_unescaped_comma(...)

    private static String[] pick_cmd_param(String[] cmd,              String param_regex,
                                           String param_display_name, String property_name,
                                           Hashtable cmdActions,      boolean has_value)
    {
        Vector cmd_elements = new Vector();

        for( int i = 0; i < cmd.length; i++ ) {
            if( cmd[i].matches(param_regex) ) {
                if( has_value && i+1==cmd.length )
                    err(param_display_name+" option does not have value.");

                if( has_value )
                    cmdActions.put(property_name, cmd[++i]);
                else
                    cmdActions.put(property_name, "true");
                continue;
            }
            cmd_elements.addElement(cmd[i]);
        }

        // put cmds back
        String[] new_cmd = new String[cmd_elements.size()];
        for( int i = 0; i < cmd_elements.size(); i++ )
            new_cmd[i] = (String)cmd_elements.elementAt(i);

        return new_cmd;
    } // pick_cmd_param(...)
}
